//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfc/Exception.h>
#include <lfc/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BY);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,FINAL));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s18);

   Scanner s19(CALL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CASE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CHECK);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s21);

   Scanner s22(CLOSE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(COMMIT);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s23);

   Scanner s24(COLUMN);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s24);

   Scanner s25(CONSTRAINT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(10 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s25.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s25.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s25.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s25);

   Scanner s26(COUNT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s26);

   Scanner s27(COUNTER);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s27);

   Scanner s28(CREATE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(CURSOR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s29);

   Scanner s30(DATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s30);

   Scanner s31(DATE2STR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s31);

   Scanner s32(DATE2INT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATETIME);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DECIMAL);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s34);

   Scanner s35(DEFAULT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DELETETOK);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DESC);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DISTINCT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DIV);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s39);

   Scanner s40(DOUBLE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(DROP);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s41);

   Scanner s42(ELSE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSIF);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s43);

   Scanner s44(END_TOKEN);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s44);

   Scanner s45(EXCEPTION);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s45);

   Scanner s46(EXISTS);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s46);

   Scanner s47(FALSEVAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s47);

   Scanner s48(FETCH);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FIXED);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FLOAT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FOR);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s51);

   Scanner s52(FOREIGN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s52);

   Scanner s53(FROM);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s53);

   Scanner s54(GETPOS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(GROUP);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s55);

   Scanner s56(HAVING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s56);

   Scanner s57(IDENTIFIED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(10 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s57.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s57);

   Scanner s58(IF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,FINAL));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s58);

   Scanner s59(INTOK);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INDEX);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s60);

   Scanner s61(INNER);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s62);

   Scanner s63(INTO);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s63);

   Scanner s64(INT2DATE);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s64);

   Scanner s65(INSERT);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s65);

   Scanner s66(IS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(ISOLATION);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(9 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s67.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s67);

   Scanner s68(JDBC);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s68);

   Scanner s69(JOIN);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s69);

   Scanner s70(KEY);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s70);

   Scanner s71(LEFT);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s71);

   Scanner s72(LENGTH);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s72);

   Scanner s73(LIKE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LIST);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LOAD);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOCKS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s76);

   Scanner s77(LONG);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOWER);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LTRIM);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s79);

   Scanner s80(MIN);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s80);

   Scanner s81(MAX);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MOD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MODIFY);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(6 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s83.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s83);

   Scanner s84(NEXTCOUNT);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s84);

   Scanner s85(NOOP);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s85);

   Scanner s86(NOT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s86);

   Scanner s87(NULLTOKEN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s87);

   Scanner s88(OFF);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s88);

   Scanner s89(ON);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,FINAL));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(OUTTOK);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTER);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s91);

   Scanner s92(OR);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,FINAL));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(ORDER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(PLAN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s94);

   Scanner s95(POOL);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POWER);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s96);

   Scanner s97(PRIMARY);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(7 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s97.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s97);

   Scanner s98(PRINT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PROCEDURE);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(9 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s99.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s99.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s99);

   Scanner s100(QUERYCACHE);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(10 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'y' ,5));
   s100.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s100.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s100.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s100.addTransition(ScannerTransEntry(8 ,'h' ,9));
   s100.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s100);

   Scanner s101(QUIT);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s101);

   Scanner s102(RANDSTR);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s102);

   Scanner s103(RANDINT);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(7 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s103.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s103);

   Scanner s104(RBSEG);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s104);

   Scanner s105(REFERENCES);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(10 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s105.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s105.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s105.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s105.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s105);

   Scanner s106(RENAME);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s106);

   Scanner s107(REORGANIZE);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(10 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s107.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s107.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s107.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s107.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s107);

   Scanner s108(RETURNTOKEN);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REMOVE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s109);

   Scanner s110(REPLACE);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(7 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s110.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s110);

   Scanner s111(RIGHT);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s111);

   Scanner s112(ROLLBACK);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(8 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s112.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s112.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s112);

   Scanner s113(ROUND);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s113);

   Scanner s114(ROWLIMIT);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(8 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s114.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s114);

   Scanner s115(RTRIM);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s115);

   Scanner s116(SELECT);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s116);

   Scanner s117(SET);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s117);

   Scanner s118(SETCOUNT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(8 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s118.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s118);

   Scanner s119(SHOW);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s119);

   Scanner s120(SMALLINT);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(8 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s120.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s120.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s120);

   Scanner s121(START_TOKEN);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s121);

   Scanner s122(STRING);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s122);

   Scanner s123(SUBSTR);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s123);

   Scanner s124(SUM);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s124);

   Scanner s125(SYNC);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s125);

   Scanner s126(SYSDATE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s126);

   Scanner s127(SYSTEMSPACE);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(11 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s127.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s127.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s127.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s127.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s127);

   Scanner s128(SYSOBJ);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s128);

   Scanner s129(TABLEINFO);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(9 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s129.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s129.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s129);

   Scanner s130(TABLE);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s130);

   Scanner s131(TABLESET);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(8 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s131.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s131);

   Scanner s132(THEN);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s132);

   Scanner s133(TINYINT);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s133);

   Scanner s134(TMPOBJ);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s134);

   Scanner s135(TRANSACTION);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(11 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s135.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s135.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s135.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s135.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s135);

   Scanner s136(STR2INT);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s136);

   Scanner s137(STR2LONG);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(8 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s137.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s137);

   Scanner s138(TO);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,FINAL));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s138);

   Scanner s139(TRIM);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s139);

   Scanner s140(TRUEVAL);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s140);

   Scanner s141(TRUNC);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s141);

   Scanner s142(UNION);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s142);

   Scanner s143(UNIQUE);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s143);

   Scanner s144(UPDATE);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(6 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s144.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s144);

   Scanner s145(UPPER);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s145);

   Scanner s146(VAR);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s146);

   Scanner s147(VALUES);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s147);

   Scanner s148(VIEW);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s148);

   Scanner s149(WHEN);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s149);

   Scanner s150(WHERE);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s150);

   Scanner s151(WHILE);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s151);

   Scanner s152(CONCAT);
   s152.addState(ScannerStateEntry(0 ,START));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s152);

   Scanner s153(EQU);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s153);

   Scanner s154(KSEP);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s154);

   Scanner s155(LB);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s155);

   Scanner s156(LT);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s156);

   Scanner s157(MT);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s157);

   Scanner s158(NEGATION);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s158);

   Scanner s159(RB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s159);

   Scanner s160(LAB);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s160);

   Scanner s161(RAB);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s161);

   Scanner s162(SEMICOLON);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s162);

   Scanner s163(STAR);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s163);

   Scanner s164(DIVISION);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s164);

   Scanner s165(MINUS);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s165);

   Scanner s166(PLUS);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s166);

   Scanner s167(INTVAL);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addState(ScannerStateEntry(2 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s167.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s167);

   Scanner s168(FLOATVAL);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(3 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s168.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s168.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s168);

   Scanner s169(IDENTIFIER);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s169);

   Scanner s170(VARREF);
   s170.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addState(ScannerStateEntry(2 ,START));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s170);

   Scanner s171(QUALIFIEDOBJ);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(3 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s171.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s171);

   Scanner s172(QUALIFIEDPRE);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s172);

   Scanner s173(QUALIFIEDTS);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(3 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s173.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s173.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s173);

}
void Cego::loadParser0()
{
   _actionMap[814][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[813][RB] = ActionEntry(SHIFT, 814);
   _actionMap[812][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _jumpMap[812][SimpleAttr] = 696;
   _jumpMap[812][SimpleAttrList] = 813;
   _actionMap[809][LB] = ActionEntry(SHIFT, 812);
   _actionMap[810][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[810][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[810][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[810][RB] = ActionEntry(REDUCE, 231);
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[810][KSEP] = ActionEntry(REDUCE, 231);
   _actionMap[811][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[811][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[811][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[811][ORDER] = ActionEntry(REDUCE, 225);
   _actionMap[811][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[811][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[811][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[811][RB] = ActionEntry(REDUCE, 225);
   _actionMap[811][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[805][IDENTIFIER] = ActionEntry(SHIFT, 809);
   _actionMap[806][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[806][RB] = ActionEntry(REDUCE, 76);
   _actionMap[807][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[807][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[807][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[807][ASC] = ActionEntry(SHIFT, 798);
   _actionMap[807][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[807][DESC] = ActionEntry(SHIFT, 799);
   _actionMap[807][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[807][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[807][RB] = ActionEntry(REDUCE, 236);
   _actionMap[807][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[807][KSEP] = ActionEntry(REDUCE, 236);
   _jumpMap[807][DefaultOrderOpt] = 797;
   _jumpMap[807][OrderingOpt] = 810;
   _actionMap[808][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[808][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[808][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[808][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[808][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[808][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[808][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[808][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[808][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[808][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[808][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[808][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[808][LEFT] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser1()
{
   _actionMap[808][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[808][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[808][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[808][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[808][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[808][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[808][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[808][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[808][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[808][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[808][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[808][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[808][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[808][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[808][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[808][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[808][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[808][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[808][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[808][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[808][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[808][LB] = ActionEntry(SHIFT, 138);
   _actionMap[808][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[808][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[808][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[808][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[808][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[808][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[808][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[808][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[808][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[808][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[808][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[808][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[808][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[808][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[808][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[808][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[808][ObjSpec] = 96;
   _jumpMap[808][Constant] = 95;
   _jumpMap[808][SignedFloat] = 94;
   _jumpMap[808][SignedInt] = 93;
   _jumpMap[808][Attribute] = 92;
   _jumpMap[808][Function] = 91;
   _jumpMap[808][CasePrepare] = 90;
   _jumpMap[808][CaseClause] = 89;
   _jumpMap[808][Factor] = 88;
   _jumpMap[808][Term] = 87;
   _jumpMap[808][Expr] = 811;
   _actionMap[793][REFERENCES] = ActionEntry(SHIFT, 805);
}
void Cego::loadParser2()
{
   _actionMap[794][ELSE] = ActionEntry(REDUCE, 112);
   _actionMap[794][ELSIF] = ActionEntry(REDUCE, 112);
   _actionMap[794][EXCEPTION] = ActionEntry(REDUCE, 112);
   _actionMap[794][END_TOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[794][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[794][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[794][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[794][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[794][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[794][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[794][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[794][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[794][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[794][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[794][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[794][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[794][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[794][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[794][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[794][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[794][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[794][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[794][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[794][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[794][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[794][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[794][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[794][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[794][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[794][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[794][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[794][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[794][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[794][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[794][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[794][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[794][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[794][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[794][LB] = ActionEntry(SHIFT, 138);
   _actionMap[794][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[794][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[794][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[794][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[794][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[794][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[794][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[794][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[794][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[794][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[794][FETCH] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser3()
{
   _actionMap[794][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[794][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[794][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[794][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[794][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[794][IF] = ActionEntry(SHIFT, 328);
   _actionMap[794][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[794][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[794][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[794][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[794][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[794][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[794][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[794][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[794][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[794][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[794][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[794][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[794][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[794][ObjSpec] = 96;
   _jumpMap[794][Constant] = 95;
   _jumpMap[794][SignedFloat] = 94;
   _jumpMap[794][SignedInt] = 93;
   _jumpMap[794][Attribute] = 92;
   _jumpMap[794][Function] = 91;
   _jumpMap[794][DeleteStatement] = 324;
   _jumpMap[794][UpdateStatement] = 323;
   _jumpMap[794][InsertStatement] = 322;
   _jumpMap[794][RollbackStatement] = 321;
   _jumpMap[794][CommitStatement] = 320;
   _jumpMap[794][StartStatement] = 319;
   _jumpMap[794][CasePrepare] = 90;
   _jumpMap[794][CaseClause] = 89;
   _jumpMap[794][Factor] = 88;
   _jumpMap[794][Term] = 87;
   _jumpMap[794][Expr] = 318;
   _jumpMap[794][ProcStatement] = 445;
   _jumpMap[794][ProcIfPart] = 316;
   _jumpMap[794][ProcBlockStart] = 315;
   _actionMap[795][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[795][SelectStatement] = 806;
   _actionMap[796][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[796][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[796][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[796][RB] = ActionEntry(REDUCE, 232);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[796][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[797][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[797][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[797][ENDTOKEN] = ActionEntry(REDUCE, 233);
}
void Cego::loadParser4()
{
   _actionMap[797][RB] = ActionEntry(REDUCE, 233);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[797][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[798][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[798][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[798][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[798][RB] = ActionEntry(REDUCE, 235);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[798][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[799][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[799][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[799][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[799][RB] = ActionEntry(REDUCE, 234);
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[799][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[800][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[800][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[800][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[800][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[800][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[800][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[800][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[800][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[800][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[800][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[800][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[800][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[800][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[800][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[800][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[800][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[800][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[800][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[800][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[800][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[800][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[800][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[800][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[800][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[800][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[800][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[800][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[800][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[800][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[800][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[800][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[800][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[800][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[800][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[800][LB] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser5()
{
   _actionMap[800][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[800][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[800][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[800][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[800][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[800][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[800][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[800][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[800][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[800][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[800][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[800][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[800][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[800][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[800][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[800][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[800][ObjSpec] = 96;
   _jumpMap[800][Constant] = 95;
   _jumpMap[800][SignedFloat] = 94;
   _jumpMap[800][SignedInt] = 93;
   _jumpMap[800][Attribute] = 92;
   _jumpMap[800][Function] = 91;
   _jumpMap[800][CasePrepare] = 90;
   _jumpMap[800][CaseClause] = 89;
   _jumpMap[800][Factor] = 88;
   _jumpMap[800][Term] = 87;
   _jumpMap[800][Expr] = 807;
   _actionMap[801][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[801][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[801][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[801][EQU] = ActionEntry(SHIFT, 490);
   _actionMap[801][NEGATION] = ActionEntry(SHIFT, 493);
   _actionMap[801][LT] = ActionEntry(SHIFT, 491);
   _actionMap[801][MT] = ActionEntry(SHIFT, 492);
   _jumpMap[801][Comparison] = 808;
   _actionMap[802][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[802][HAVING] = ActionEntry(REDUCE, 223);
   _actionMap[802][ORDER] = ActionEntry(REDUCE, 223);
   _actionMap[802][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[802][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[802][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[802][RB] = ActionEntry(REDUCE, 223);
   _actionMap[802][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[803][AND] = ActionEntry(SHIFT, 494);
   _actionMap[803][OR] = ActionEntry(SHIFT, 495);
   _actionMap[803][LEFT] = ActionEntry(REDUCE, 208);
   _actionMap[803][RIGHT] = ActionEntry(REDUCE, 208);
   _actionMap[803][INNER] = ActionEntry(REDUCE, 208);
   _actionMap[803][JOIN] = ActionEntry(REDUCE, 208);
   _actionMap[803][RETURNTOKEN] = ActionEntry(REDUCE, 208);
}
void Cego::loadParser6()
{
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[803][RB] = ActionEntry(REDUCE, 208);
   _actionMap[803][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[803][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[803][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[803][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[803][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[803][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[804][AND] = ActionEntry(SHIFT, 494);
   _actionMap[804][OR] = ActionEntry(SHIFT, 495);
   _actionMap[804][LEFT] = ActionEntry(REDUCE, 209);
   _actionMap[804][RIGHT] = ActionEntry(REDUCE, 209);
   _actionMap[804][INNER] = ActionEntry(REDUCE, 209);
   _actionMap[804][JOIN] = ActionEntry(REDUCE, 209);
   _actionMap[804][RETURNTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[804][RB] = ActionEntry(REDUCE, 209);
   _actionMap[804][ENDTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[804][UNION] = ActionEntry(REDUCE, 209);
   _actionMap[804][ROWLIMIT] = ActionEntry(REDUCE, 209);
   _actionMap[804][ORDER] = ActionEntry(REDUCE, 209);
   _actionMap[804][GROUP] = ActionEntry(REDUCE, 209);
   _actionMap[804][WHERE] = ActionEntry(REDUCE, 209);
   _actionMap[770][RB] = ActionEntry(SHIFT, 793);
   _actionMap[771][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[771][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[771][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[771][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[771][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[771][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[771][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[771][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[771][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[771][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[771][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[771][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[771][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[771][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[771][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[771][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[771][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[771][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[771][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[771][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[771][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[771][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[771][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[771][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[771][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[771][POWER] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser7()
{
   _actionMap[771][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[771][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[771][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[771][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[771][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[771][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[771][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[771][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[771][LB] = ActionEntry(SHIFT, 138);
   _actionMap[771][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[771][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[771][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[771][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[771][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[771][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[771][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[771][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[771][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[771][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[771][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[771][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[771][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[771][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[771][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[771][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[771][IF] = ActionEntry(SHIFT, 328);
   _actionMap[771][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[771][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[771][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[771][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[771][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[771][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[771][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[771][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[771][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[771][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[771][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[771][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[771][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[771][ObjSpec] = 96;
   _jumpMap[771][Constant] = 95;
   _jumpMap[771][SignedFloat] = 94;
   _jumpMap[771][SignedInt] = 93;
   _jumpMap[771][Attribute] = 92;
   _jumpMap[771][Function] = 91;
   _jumpMap[771][DeleteStatement] = 324;
   _jumpMap[771][UpdateStatement] = 323;
   _jumpMap[771][InsertStatement] = 322;
   _jumpMap[771][RollbackStatement] = 321;
   _jumpMap[771][CommitStatement] = 320;
}
void Cego::loadParser8()
{
   _jumpMap[771][StartStatement] = 319;
   _jumpMap[771][CasePrepare] = 90;
   _jumpMap[771][CaseClause] = 89;
   _jumpMap[771][Factor] = 88;
   _jumpMap[771][Term] = 87;
   _jumpMap[771][Expr] = 318;
   _jumpMap[771][ProcStatement] = 317;
   _jumpMap[771][ProcIfPart] = 316;
   _jumpMap[771][ProcBlockStart] = 315;
   _jumpMap[771][ProcStatementList] = 794;
   _actionMap[772][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[772][DEFAULT] = ActionEntry(REDUCE, 321);
   _actionMap[772][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[772][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[772][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[772][RB] = ActionEntry(REDUCE, 321);
   _actionMap[772][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[773][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[773][DEFAULT] = ActionEntry(REDUCE, 326);
   _actionMap[773][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[773][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[773][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[773][RB] = ActionEntry(REDUCE, 326);
   _actionMap[773][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[774][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[774][DEFAULT] = ActionEntry(REDUCE, 327);
   _actionMap[774][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[774][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[774][RB] = ActionEntry(REDUCE, 327);
   _actionMap[774][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[775][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[775][DEFAULT] = ActionEntry(REDUCE, 318);
   _actionMap[775][NULLTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[775][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[775][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[775][RB] = ActionEntry(REDUCE, 318);
   _actionMap[775][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[777][RB] = ActionEntry(REDUCE, 177);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[778][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[778][RB] = ActionEntry(REDUCE, 171);
   _actionMap[779][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[779][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[779][INNER] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser9()
{
   _actionMap[779][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[779][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[779][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[779][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[779][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[779][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[779][AND] = ActionEntry(REDUCE, 307);
   _actionMap[779][OR] = ActionEntry(REDUCE, 307);
   _actionMap[779][RB] = ActionEntry(REDUCE, 307);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[780][RB] = ActionEntry(REDUCE, 197);
   _actionMap[781][ALL] = ActionEntry(SHIFT, 795);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[782][RB] = ActionEntry(REDUCE, 239);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[783][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[783][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[783][ASC] = ActionEntry(SHIFT, 798);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[783][DESC] = ActionEntry(SHIFT, 799);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[783][RB] = ActionEntry(REDUCE, 236);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[783][KSEP] = ActionEntry(REDUCE, 236);
   _jumpMap[783][DefaultOrderOpt] = 797;
   _jumpMap[783][OrderingOpt] = 796;
   _actionMap[784][KSEP] = ActionEntry(SHIFT, 800);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[784][RB] = ActionEntry(REDUCE, 228);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[785][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[785][RB] = ActionEntry(REDUCE, 220);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[786][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[786][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[786][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[786][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[786][RB] = ActionEntry(REDUCE, 226);
}
void Cego::loadParser10()
{
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[787][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[787][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[787][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[787][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[787][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[787][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[787][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[787][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[787][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[787][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[787][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[787][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[787][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[787][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[787][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[787][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[787][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[787][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[787][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[787][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[787][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[787][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[787][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[787][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[787][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[787][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[787][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[787][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[787][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[787][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[787][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[787][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[787][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[787][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[787][LB] = ActionEntry(SHIFT, 138);
   _actionMap[787][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[787][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[787][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[787][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[787][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[787][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[787][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[787][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[787][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[787][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[787][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[787][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[787][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[787][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser11()
{
   _actionMap[787][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[787][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[787][ObjSpec] = 96;
   _jumpMap[787][Constant] = 95;
   _jumpMap[787][SignedFloat] = 94;
   _jumpMap[787][SignedInt] = 93;
   _jumpMap[787][Attribute] = 92;
   _jumpMap[787][Function] = 91;
   _jumpMap[787][CasePrepare] = 90;
   _jumpMap[787][CaseClause] = 89;
   _jumpMap[787][Factor] = 88;
   _jumpMap[787][Term] = 87;
   _jumpMap[787][Expr] = 801;
   _actionMap[788][IDENTIFIER] = ActionEntry(SHIFT, 763);
   _actionMap[788][QUALIFIEDOBJ] = ActionEntry(SHIFT, 764);
   _actionMap[788][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _jumpMap[788][Attribute] = 802;
   _actionMap[789][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[789][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[789][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[789][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[789][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[789][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[789][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[789][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[789][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[789][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[789][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[789][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[789][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[789][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[789][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[789][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[789][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[789][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[789][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[789][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[789][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[789][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[789][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[789][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[789][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[789][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[789][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[789][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[789][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[789][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[789][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[789][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[789][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser12()
{
   _actionMap[789][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[789][LB] = ActionEntry(SHIFT, 362);
   _actionMap[789][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[789][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[789][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[789][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[789][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[789][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[789][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[789][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[789][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[789][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[789][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[789][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[789][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[789][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[789][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[789][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[789][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[789][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[789][ObjSpec] = 96;
   _jumpMap[789][Constant] = 95;
   _jumpMap[789][SignedFloat] = 94;
   _jumpMap[789][SignedInt] = 93;
   _jumpMap[789][Attribute] = 92;
   _jumpMap[789][QueryPredicate] = 359;
   _jumpMap[789][QueryCondition] = 803;
   _jumpMap[789][Function] = 91;
   _jumpMap[789][CasePrepare] = 90;
   _jumpMap[789][CaseClause] = 89;
   _jumpMap[789][Factor] = 88;
   _jumpMap[789][Term] = 87;
   _jumpMap[789][Expr] = 357;
   _actionMap[790][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[790][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[790][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[790][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[790][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[790][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[790][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[790][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[790][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[790][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[790][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[790][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[790][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[790][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[790][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[790][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[790][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser13()
{
   _actionMap[790][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[790][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[790][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[790][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[790][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[790][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[790][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[790][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[790][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[790][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[790][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[790][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[790][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[790][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[790][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[790][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[790][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[790][LB] = ActionEntry(SHIFT, 362);
   _actionMap[790][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[790][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[790][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[790][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[790][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[790][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[790][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[790][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[790][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[790][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[790][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[790][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[790][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[790][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[790][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[790][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[790][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[790][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[790][ObjSpec] = 96;
   _jumpMap[790][Constant] = 95;
   _jumpMap[790][SignedFloat] = 94;
   _jumpMap[790][SignedInt] = 93;
   _jumpMap[790][Attribute] = 92;
   _jumpMap[790][QueryPredicate] = 359;
   _jumpMap[790][QueryCondition] = 804;
   _jumpMap[790][Function] = 91;
   _jumpMap[790][CasePrepare] = 90;
   _jumpMap[790][CaseClause] = 89;
   _jumpMap[790][Factor] = 88;
   _jumpMap[790][Term] = 87;
   _jumpMap[790][Expr] = 357;
   _actionMap[791][SEMICOLON] = ActionEntry(REDUCE, 248);
}
void Cego::loadParser14()
{
   _actionMap[791][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[792][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[792][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[792][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[792][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[730][AND] = ActionEntry(SHIFT, 494);
   _actionMap[730][OR] = ActionEntry(SHIFT, 495);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[731][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _jumpMap[731][SimpleAttr] = 696;
   _jumpMap[731][SimpleAttrList] = 770;
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[732][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[733][THEN] = ActionEntry(SHIFT, 771);
   _actionMap[734][THEN] = ActionEntry(REDUCE, 117);
   _actionMap[735][END_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[735][ELSE] = ActionEntry(REDUCE, 122);
   _actionMap[735][ELSIF] = ActionEntry(REDUCE, 122);
   _actionMap[736][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[736][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[736][OR] = ActionEntry(REDUCE, 136);
   _actionMap[736][AND] = ActionEntry(REDUCE, 136);
   _actionMap[736][RB] = ActionEntry(REDUCE, 136);
   _actionMap[737][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[737][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[737][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[738][RB] = ActionEntry(SHIFT, 772);
   _actionMap[739][RB] = ActionEntry(SHIFT, 773);
   _actionMap[740][RB] = ActionEntry(SHIFT, 774);
   _actionMap[741][RB] = ActionEntry(SHIFT, 775);
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 128);
   _actionMap[743][RB] = ActionEntry(SHIFT, 776);
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[745][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _jumpMap[745][SimpleAttr] = 696;
   _jumpMap[745][SimpleAttrList] = 777;
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[746][RB] = ActionEntry(REDUCE, 169);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[747][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[747][RB] = ActionEntry(REDUCE, 172);
   _actionMap[748][NULLTOKEN] = ActionEntry(SHIFT, 778);
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[749][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[749][RB] = ActionEntry(REDUCE, 170);
   _actionMap[750][NULLTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[750][NOT] = ActionEntry(REDUCE, 174);
}
void Cego::loadParser15()
{
   _actionMap[750][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[750][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[750][RB] = ActionEntry(REDUCE, 174);
   _actionMap[751][LONG] = ActionEntry(SHIFT, 265);
   _actionMap[751][BIGINT] = ActionEntry(SHIFT, 261);
   _actionMap[751][SMALLINT] = ActionEntry(SHIFT, 266);
   _actionMap[751][TINYINT] = ActionEntry(SHIFT, 267);
   _actionMap[751][DOUBLE] = ActionEntry(SHIFT, 263);
   _actionMap[751][DECIMAL] = ActionEntry(SHIFT, 262);
   _actionMap[751][FIXED] = ActionEntry(SHIFT, 264);
   _actionMap[752][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[752][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[752][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[752][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[752][RB] = ActionEntry(REDUCE, 195);
   _actionMap[753][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[753][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[753][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[753][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[753][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[753][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[753][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[753][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[753][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[753][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[753][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[753][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[753][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[753][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[753][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[753][AND] = ActionEntry(REDUCE, 309);
   _actionMap[753][OR] = ActionEntry(REDUCE, 309);
   _actionMap[753][RB] = ActionEntry(REDUCE, 309);
   _actionMap[754][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[754][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[754][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[754][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[754][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[754][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[754][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[754][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[754][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[754][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[754][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[754][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[754][AND] = ActionEntry(REDUCE, 306);
   _actionMap[754][OR] = ActionEntry(REDUCE, 306);
   _actionMap[754][RB] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser16()
{
   _actionMap[755][RB] = ActionEntry(SHIFT, 779);
   _actionMap[756][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[756][RB] = ActionEntry(REDUCE, 163);
   _actionMap[757][UNION] = ActionEntry(SHIFT, 781);
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[757][RB] = ActionEntry(REDUCE, 77);
   _jumpMap[757][UnionAllOpt] = 780;
   _actionMap[758][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[758][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[758][RB] = ActionEntry(REDUCE, 240);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[759][INTVAL] = ActionEntry(SHIFT, 782);
   _actionMap[760][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[760][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[760][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[760][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[760][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[760][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[760][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[760][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[760][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[760][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[760][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[760][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[760][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[760][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[760][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[760][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[760][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[760][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[760][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[760][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[760][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[760][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[760][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[760][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[760][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[760][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[760][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[760][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[760][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[760][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[760][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[760][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[760][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[760][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[760][LB] = ActionEntry(SHIFT, 138);
   _actionMap[760][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[760][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[760][SYSDATE] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser17()
{
   _actionMap[760][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[760][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[760][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[760][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[760][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[760][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[760][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[760][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[760][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[760][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[760][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[760][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[760][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[760][ObjSpec] = 96;
   _jumpMap[760][Constant] = 95;
   _jumpMap[760][SignedFloat] = 94;
   _jumpMap[760][SignedInt] = 93;
   _jumpMap[760][Attribute] = 92;
   _jumpMap[760][Function] = 91;
   _jumpMap[760][OrderingList] = 784;
   _jumpMap[760][CasePrepare] = 90;
   _jumpMap[760][CaseClause] = 89;
   _jumpMap[760][Factor] = 88;
   _jumpMap[760][Term] = 87;
   _jumpMap[760][Expr] = 783;
   _actionMap[761][KSEP] = ActionEntry(SHIFT, 788);
   _actionMap[761][ORDER] = ActionEntry(REDUCE, 227);
   _actionMap[761][HAVING] = ActionEntry(SHIFT, 787);
   _actionMap[761][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[761][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[761][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[761][RB] = ActionEntry(REDUCE, 227);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 227);
   _jumpMap[761][NoHaving] = 786;
   _jumpMap[761][HavingClause] = 785;
   _actionMap[762][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[762][HAVING] = ActionEntry(REDUCE, 224);
   _actionMap[762][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[762][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[762][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[762][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[762][RB] = ActionEntry(REDUCE, 224);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[763][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[763][HAVING] = ActionEntry(REDUCE, 335);
   _actionMap[763][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[763][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[763][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[763][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[763][RB] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser18()
{
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[764][HAVING] = ActionEntry(REDUCE, 336);
   _actionMap[764][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[764][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[764][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[764][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[764][RB] = ActionEntry(REDUCE, 336);
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[765][AND] = ActionEntry(SHIFT, 494);
   _actionMap[765][OR] = ActionEntry(SHIFT, 495);
   _actionMap[765][LEFT] = ActionEntry(REDUCE, 207);
   _actionMap[765][RIGHT] = ActionEntry(REDUCE, 207);
   _actionMap[765][INNER] = ActionEntry(REDUCE, 207);
   _actionMap[765][JOIN] = ActionEntry(REDUCE, 207);
   _actionMap[765][RETURNTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[765][RB] = ActionEntry(REDUCE, 207);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 207);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[765][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[765][GROUP] = ActionEntry(REDUCE, 207);
   _actionMap[765][WHERE] = ActionEntry(REDUCE, 207);
   _actionMap[766][ON] = ActionEntry(SHIFT, 724);
   _jumpMap[766][JoinTableOn] = 789;
   _actionMap[767][ON] = ActionEntry(SHIFT, 724);
   _jumpMap[767][JoinTableOn] = 790;
   _actionMap[768][VARREF] = ActionEntry(SHIFT, 729);
   _jumpMap[768][ReturnVar] = 791;
   _actionMap[769][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[769][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[769][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[769][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[769][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[769][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[769][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[769][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[769][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[769][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[769][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[769][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[769][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[769][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[769][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[769][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[769][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[769][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[769][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[769][STR2INT] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser19()
{
   _actionMap[769][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[769][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[769][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[769][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[769][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[769][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[769][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[769][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[769][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[769][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[769][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[769][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[769][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[769][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[769][LB] = ActionEntry(SHIFT, 138);
   _actionMap[769][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[769][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[769][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[769][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[769][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[769][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[769][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[769][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[769][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[769][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[769][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[769][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[769][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[769][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[769][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[769][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[769][ObjSpec] = 96;
   _jumpMap[769][Constant] = 95;
   _jumpMap[769][SignedFloat] = 94;
   _jumpMap[769][SignedInt] = 93;
   _jumpMap[769][Attribute] = 92;
   _jumpMap[769][Function] = 91;
   _jumpMap[769][CasePrepare] = 90;
   _jumpMap[769][CaseClause] = 89;
   _jumpMap[769][Factor] = 88;
   _jumpMap[769][Term] = 87;
   _jumpMap[769][Expr] = 792;
   _actionMap[671][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[671][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[671][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[671][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[671][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[671][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[671][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[671][DATE2STR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser20()
{
   _actionMap[671][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[671][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[671][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[671][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[671][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[671][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[671][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[671][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[671][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[671][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[671][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[671][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[671][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[671][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[671][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[671][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[671][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[671][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[671][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[671][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[671][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[671][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[671][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[671][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[671][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[671][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[671][LB] = ActionEntry(SHIFT, 362);
   _actionMap[671][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[671][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[671][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[671][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[671][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[671][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[671][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[671][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[671][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[671][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[671][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[671][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[671][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[671][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[671][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[671][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[671][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[671][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[671][ObjSpec] = 96;
   _jumpMap[671][Constant] = 95;
   _jumpMap[671][SignedFloat] = 94;
   _jumpMap[671][SignedInt] = 93;
   _jumpMap[671][Attribute] = 92;
}
void Cego::loadParser21()
{
   _jumpMap[671][QueryPredicate] = 359;
   _jumpMap[671][QueryCondition] = 730;
   _jumpMap[671][Function] = 91;
   _jumpMap[671][CasePrepare] = 90;
   _jumpMap[671][CaseClause] = 89;
   _jumpMap[671][Factor] = 88;
   _jumpMap[671][Term] = 87;
   _jumpMap[671][Expr] = 357;
   _actionMap[672][LB] = ActionEntry(SHIFT, 731);
   _actionMap[673][IDENTIFIER] = ActionEntry(SHIFT, 732);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[675][IDENTIFIER] = ActionEntry(SHIFT, 734);
   _jumpMap[675][ProcExceptionType] = 733;
   _actionMap[676][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[677][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[677][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[677][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[677][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[677][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[677][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[677][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[677][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[677][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[677][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[677][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[677][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[677][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[677][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[677][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[677][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[677][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[677][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[677][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[677][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[677][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[677][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[677][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[677][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[677][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[677][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[677][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[677][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[677][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[677][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[677][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[677][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[677][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[677][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[677][LB] = ActionEntry(SHIFT, 138);
   _actionMap[677][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser22()
{
   _actionMap[677][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[677][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[677][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[677][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[677][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[677][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[677][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[677][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[677][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[677][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[677][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[677][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[677][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[677][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[677][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[677][IF] = ActionEntry(SHIFT, 328);
   _actionMap[677][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[677][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[677][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[677][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[677][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[677][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[677][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[677][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[677][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[677][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[677][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[677][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[677][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[677][ObjSpec] = 96;
   _jumpMap[677][Constant] = 95;
   _jumpMap[677][SignedFloat] = 94;
   _jumpMap[677][SignedInt] = 93;
   _jumpMap[677][Attribute] = 92;
   _jumpMap[677][Function] = 91;
   _jumpMap[677][DeleteStatement] = 324;
   _jumpMap[677][UpdateStatement] = 323;
   _jumpMap[677][InsertStatement] = 322;
   _jumpMap[677][RollbackStatement] = 321;
   _jumpMap[677][CommitStatement] = 320;
   _jumpMap[677][StartStatement] = 319;
   _jumpMap[677][CasePrepare] = 90;
   _jumpMap[677][CaseClause] = 89;
   _jumpMap[677][Factor] = 88;
   _jumpMap[677][Term] = 87;
   _jumpMap[677][Expr] = 318;
   _jumpMap[677][ProcStatement] = 317;
   _jumpMap[677][ProcIfPart] = 316;
   _jumpMap[677][ProcBlockStart] = 315;
   _jumpMap[677][ProcStatementList] = 314;
}
void Cego::loadParser23()
{
   _jumpMap[677][ProcStmtBlock] = 735;
   _actionMap[678][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[679][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[679][ELSE] = ActionEntry(REDUCE, 119);
   _actionMap[679][ELSIF] = ActionEntry(REDUCE, 119);
   _actionMap[680][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[680][RB] = ActionEntry(REDUCE, 131);
   _actionMap[680][AND] = ActionEntry(REDUCE, 131);
   _actionMap[680][OR] = ActionEntry(REDUCE, 131);
   _actionMap[680][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[681][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[681][RB] = ActionEntry(REDUCE, 130);
   _actionMap[681][AND] = ActionEntry(REDUCE, 130);
   _actionMap[681][OR] = ActionEntry(REDUCE, 130);
   _actionMap[681][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[682][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[682][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[682][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[682][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[682][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[682][OR] = ActionEntry(REDUCE, 134);
   _actionMap[682][AND] = ActionEntry(REDUCE, 134);
   _actionMap[682][RB] = ActionEntry(REDUCE, 134);
   _actionMap[683][NULLTOKEN] = ActionEntry(SHIFT, 736);
   _actionMap[684][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[684][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[684][OR] = ActionEntry(REDUCE, 135);
   _actionMap[684][AND] = ActionEntry(REDUCE, 135);
   _actionMap[684][RB] = ActionEntry(REDUCE, 135);
   _actionMap[685][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[685][RB] = ActionEntry(REDUCE, 133);
   _actionMap[685][AND] = ActionEntry(REDUCE, 133);
   _actionMap[685][OR] = ActionEntry(REDUCE, 133);
   _actionMap[685][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[686][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[688][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[688][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[688][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[688][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[688][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[688][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[688][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[688][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[688][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[688][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[688][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[688][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[688][RIGHT] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser24()
{
   _actionMap[688][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[688][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[688][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[688][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[688][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[688][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[688][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[688][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[688][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[688][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[688][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[688][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[688][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[688][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[688][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[688][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[688][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[688][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[688][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[688][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[688][LB] = ActionEntry(SHIFT, 138);
   _actionMap[688][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[688][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[688][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[688][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[688][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[688][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[688][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[688][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[688][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[688][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[688][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[688][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[688][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[688][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[688][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[688][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[688][ObjSpec] = 96;
   _jumpMap[688][Constant] = 95;
   _jumpMap[688][SignedFloat] = 94;
   _jumpMap[688][SignedInt] = 93;
   _jumpMap[688][Attribute] = 92;
   _jumpMap[688][Function] = 91;
   _jumpMap[688][CasePrepare] = 90;
   _jumpMap[688][CaseClause] = 89;
   _jumpMap[688][Factor] = 88;
   _jumpMap[688][Term] = 87;
   _jumpMap[688][Expr] = 737;
   _actionMap[689][INTVAL] = ActionEntry(SHIFT, 738);
   _actionMap[690][INTVAL] = ActionEntry(SHIFT, 739);
}
void Cego::loadParser25()
{
   _actionMap[691][INTVAL] = ActionEntry(SHIFT, 740);
   _actionMap[692][INTVAL] = ActionEntry(SHIFT, 741);
   _actionMap[693][END_TOKEN] = ActionEntry(SHIFT, 742);
   _actionMap[694][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _jumpMap[694][SimpleAttr] = 696;
   _jumpMap[694][SimpleAttrList] = 743;
   _actionMap[695][RB] = ActionEntry(SHIFT, 744);
   _actionMap[696][KSEP] = ActionEntry(SHIFT, 745);
   _actionMap[696][RB] = ActionEntry(REDUCE, 178);
   _actionMap[697][RB] = ActionEntry(REDUCE, 179);
   _actionMap[697][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[698][KSEP] = ActionEntry(REDUCE, 84);
   _actionMap[698][RB] = ActionEntry(REDUCE, 84);
   _actionMap[699][BEGIN] = ActionEntry(REDUCE, 80);
   _actionMap[700][KSEP] = ActionEntry(REDUCE, 86);
   _actionMap[700][RB] = ActionEntry(REDUCE, 86);
   _actionMap[701][KSEP] = ActionEntry(REDUCE, 87);
   _actionMap[701][RB] = ActionEntry(REDUCE, 87);
   _actionMap[702][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[702][RB] = ActionEntry(REDUCE, 165);
   _actionMap[703][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[703][NULLTOKEN] = ActionEntry(SHIFT, 749);
   _actionMap[703][NOT] = ActionEntry(SHIFT, 748);
   _actionMap[703][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[703][RB] = ActionEntry(REDUCE, 173);
   _jumpMap[703][DefaultNullOpt] = 747;
   _jumpMap[703][NullOpt] = 746;
   _actionMap[704][NULLTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[704][NOT] = ActionEntry(REDUCE, 175);
   _actionMap[704][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[704][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[704][RB] = ActionEntry(REDUCE, 175);
   _actionMap[705][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[705][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[705][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[705][LB] = ActionEntry(SHIFT, 751);
   _actionMap[705][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[705][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[705][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[705][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[705][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[705][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[705][LAB] = ActionEntry(SHIFT, 139);
   _jumpMap[705][Constant] = 750;
   _jumpMap[705][SignedFloat] = 94;
   _jumpMap[705][SignedInt] = 93;
   _actionMap[706][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[706][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[707][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[707][MINUS] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser26()
{
   _actionMap[707][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[707][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[707][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[707][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[707][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[707][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[707][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[707][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[707][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[707][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[707][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[707][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[707][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[707][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[707][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[707][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[707][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[707][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[707][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[707][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[707][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[707][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[707][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[707][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[707][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[707][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[707][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[707][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[707][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[707][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[707][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[707][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[707][LB] = ActionEntry(SHIFT, 138);
   _actionMap[707][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[707][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[707][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[707][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[707][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[707][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[707][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[707][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[707][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[707][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[707][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[707][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[707][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[707][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[707][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[707][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[707][ObjSpec] = 96;
}
void Cego::loadParser27()
{
   _jumpMap[707][Constant] = 95;
   _jumpMap[707][SignedFloat] = 94;
   _jumpMap[707][SignedInt] = 93;
   _jumpMap[707][Attribute] = 92;
   _jumpMap[707][Function] = 91;
   _jumpMap[707][CasePrepare] = 90;
   _jumpMap[707][CaseClause] = 89;
   _jumpMap[707][Factor] = 88;
   _jumpMap[707][Term] = 87;
   _jumpMap[707][Expr] = 752;
   _actionMap[708][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[708][KSEP] = ActionEntry(REDUCE, 192);
   _actionMap[709][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[709][RB] = ActionEntry(REDUCE, 193);
   _actionMap[710][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[710][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[710][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[710][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[710][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[710][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[710][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[710][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[710][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[710][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[710][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[710][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[710][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[710][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[710][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[710][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[710][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[710][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[710][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[710][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[710][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[710][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[710][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[710][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[710][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[710][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[710][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[710][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[710][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[710][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[710][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[710][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[710][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[710][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[710][LB] = ActionEntry(SHIFT, 138);
   _actionMap[710][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser28()
{
   _actionMap[710][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[710][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[710][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[710][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[710][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[710][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[710][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[710][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[710][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[710][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[710][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[710][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[710][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[710][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[710][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[710][ObjSpec] = 96;
   _jumpMap[710][Constant] = 95;
   _jumpMap[710][SignedFloat] = 94;
   _jumpMap[710][SignedInt] = 93;
   _jumpMap[710][Attribute] = 92;
   _jumpMap[710][Function] = 91;
   _jumpMap[710][CasePrepare] = 90;
   _jumpMap[710][CaseClause] = 89;
   _jumpMap[710][Factor] = 88;
   _jumpMap[710][Term] = 87;
   _jumpMap[710][Expr] = 753;
   _actionMap[711][RB] = ActionEntry(SHIFT, 754);
   _actionMap[712][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[712][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[712][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[712][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[712][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[712][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[712][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[712][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[712][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[712][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[712][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[712][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[712][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[712][AND] = ActionEntry(REDUCE, 311);
   _actionMap[712][OR] = ActionEntry(REDUCE, 311);
   _actionMap[712][RB] = ActionEntry(REDUCE, 311);
   _actionMap[713][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[713][SelectStatement] = 755;
   _actionMap[714][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[714][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[714][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[714][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[714][RETURNTOKEN] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser29()
{
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[714][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[714][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[714][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[714][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[714][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[714][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[714][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[714][AND] = ActionEntry(REDUCE, 313);
   _actionMap[714][OR] = ActionEntry(REDUCE, 313);
   _actionMap[714][RB] = ActionEntry(REDUCE, 313);
   _actionMap[715][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[715][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[715][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[715][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[715][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[715][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[715][RB] = ActionEntry(REDUCE, 305);
   _actionMap[715][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[715][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[715][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[715][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[715][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[715][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[715][AND] = ActionEntry(REDUCE, 305);
   _actionMap[715][OR] = ActionEntry(REDUCE, 305);
   _actionMap[716][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[716][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[716][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[716][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[716][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[716][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[716][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[716][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[716][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[716][AS] = ActionEntry(REDUCE, 352);
   _actionMap[716][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[716][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][OR] = ActionEntry(REDUCE, 352);
   _actionMap[716][AND] = ActionEntry(REDUCE, 352);
   _actionMap[716][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[716][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[716][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][IS] = ActionEntry(REDUCE, 352);
   _actionMap[716][LIKE] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser30()
{
   _actionMap[716][MT] = ActionEntry(REDUCE, 352);
   _actionMap[716][LT] = ActionEntry(REDUCE, 352);
   _actionMap[716][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[716][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[716][RB] = ActionEntry(REDUCE, 352);
   _actionMap[716][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[716][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[716][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[716][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[716][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[716][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[716][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[716][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[716][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[716][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[716][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[716][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[717][VARREF] = ActionEntry(SHIFT, 756);
   _actionMap[718][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[718][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[718][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[718][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[718][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[718][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[718][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[718][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[718][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[718][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[718][AS] = ActionEntry(REDUCE, 146);
   _actionMap[718][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[718][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[718][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[718][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[718][OR] = ActionEntry(REDUCE, 146);
   _actionMap[718][AND] = ActionEntry(REDUCE, 146);
   _actionMap[718][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[718][IS] = ActionEntry(REDUCE, 146);
   _actionMap[718][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[718][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[718][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[718][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[718][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[718][LT] = ActionEntry(REDUCE, 146);
   _actionMap[718][MT] = ActionEntry(REDUCE, 146);
   _actionMap[718][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[718][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[718][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[718][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[718][ENDTOKEN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser31()
{
   _actionMap[718][RB] = ActionEntry(REDUCE, 146);
   _actionMap[718][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[718][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[718][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[718][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[718][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[718][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[719][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[719][RB] = ActionEntry(REDUCE, 241);
   _actionMap[719][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[719][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[719][ROWLIMIT] = ActionEntry(SHIFT, 759);
   _jumpMap[719][NoLimit] = 758;
   _jumpMap[719][LimitOpt] = 757;
   _actionMap[720][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[720][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[720][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[720][RB] = ActionEntry(REDUCE, 229);
   _actionMap[720][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[721][BY] = ActionEntry(SHIFT, 760);
   _actionMap[722][IDENTIFIER] = ActionEntry(SHIFT, 763);
   _actionMap[722][QUALIFIEDOBJ] = ActionEntry(SHIFT, 764);
   _actionMap[722][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _jumpMap[722][Attribute] = 762;
   _jumpMap[722][GroupList] = 761;
   _actionMap[723][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[723][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[723][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[723][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[723][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[723][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[723][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[723][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[723][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[723][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[723][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[723][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[723][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[723][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[723][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[723][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[723][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[723][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[723][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[723][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[723][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[723][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[723][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[723][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[723][DIV] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser32()
{
   _actionMap[723][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[723][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[723][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[723][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[723][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[723][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[723][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[723][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[723][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[723][LB] = ActionEntry(SHIFT, 362);
   _actionMap[723][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[723][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[723][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[723][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[723][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[723][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[723][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[723][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[723][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[723][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[723][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[723][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[723][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[723][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[723][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[723][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[723][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[723][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[723][ObjSpec] = 96;
   _jumpMap[723][Constant] = 95;
   _jumpMap[723][SignedFloat] = 94;
   _jumpMap[723][SignedInt] = 93;
   _jumpMap[723][Attribute] = 92;
   _jumpMap[723][QueryPredicate] = 359;
   _jumpMap[723][QueryCondition] = 765;
   _jumpMap[723][Function] = 91;
   _jumpMap[723][CasePrepare] = 90;
   _jumpMap[723][CaseClause] = 89;
   _jumpMap[723][Factor] = 88;
   _jumpMap[723][Term] = 87;
   _jumpMap[723][Expr] = 357;
   _actionMap[724][EXISTS] = ActionEntry(REDUCE, 216);
   _actionMap[724][LB] = ActionEntry(REDUCE, 216);
   _actionMap[724][NOT] = ActionEntry(REDUCE, 216);
   _actionMap[724][VARREF] = ActionEntry(REDUCE, 216);
   _actionMap[724][FETCH] = ActionEntry(REDUCE, 216);
   _actionMap[724][COUNT] = ActionEntry(REDUCE, 216);
   _actionMap[724][SUM] = ActionEntry(REDUCE, 216);
   _actionMap[724][AVG] = ActionEntry(REDUCE, 216);
   _actionMap[724][MIN] = ActionEntry(REDUCE, 216);
}
void Cego::loadParser33()
{
   _actionMap[724][MAX] = ActionEntry(REDUCE, 216);
   _actionMap[724][CASE] = ActionEntry(REDUCE, 216);
   _actionMap[724][TRIM] = ActionEntry(REDUCE, 216);
   _actionMap[724][RTRIM] = ActionEntry(REDUCE, 216);
   _actionMap[724][LTRIM] = ActionEntry(REDUCE, 216);
   _actionMap[724][ROUND] = ActionEntry(REDUCE, 216);
   _actionMap[724][DATE2STR] = ActionEntry(REDUCE, 216);
   _actionMap[724][DATE2INT] = ActionEntry(REDUCE, 216);
   _actionMap[724][INT2DATE] = ActionEntry(REDUCE, 216);
   _actionMap[724][LOWER] = ActionEntry(REDUCE, 216);
   _actionMap[724][UPPER] = ActionEntry(REDUCE, 216);
   _actionMap[724][LEFT] = ActionEntry(REDUCE, 216);
   _actionMap[724][RIGHT] = ActionEntry(REDUCE, 216);
   _actionMap[724][GETPOS] = ActionEntry(REDUCE, 216);
   _actionMap[724][SUBSTR] = ActionEntry(REDUCE, 216);
   _actionMap[724][REPLACE] = ActionEntry(REDUCE, 216);
   _actionMap[724][LENGTH] = ActionEntry(REDUCE, 216);
   _actionMap[724][TRUNC] = ActionEntry(REDUCE, 216);
   _actionMap[724][STR2INT] = ActionEntry(REDUCE, 216);
   _actionMap[724][STR2LONG] = ActionEntry(REDUCE, 216);
   _actionMap[724][RANDSTR] = ActionEntry(REDUCE, 216);
   _actionMap[724][RANDINT] = ActionEntry(REDUCE, 216);
   _actionMap[724][MOD] = ActionEntry(REDUCE, 216);
   _actionMap[724][DIV] = ActionEntry(REDUCE, 216);
   _actionMap[724][POWER] = ActionEntry(REDUCE, 216);
   _actionMap[724][BITAND] = ActionEntry(REDUCE, 216);
   _actionMap[724][BITOR] = ActionEntry(REDUCE, 216);
   _actionMap[724][BITXOR] = ActionEntry(REDUCE, 216);
   _actionMap[724][NEXTCOUNT] = ActionEntry(REDUCE, 216);
   _actionMap[724][SETCOUNT] = ActionEntry(REDUCE, 216);
   _actionMap[724][IDENTIFIER] = ActionEntry(REDUCE, 216);
   _actionMap[724][QUALIFIEDOBJ] = ActionEntry(REDUCE, 216);
   _actionMap[724][QUALIFIEDTS] = ActionEntry(REDUCE, 216);
   _actionMap[724][QUALIFIEDPRE] = ActionEntry(REDUCE, 216);
   _actionMap[724][STRINGVAL] = ActionEntry(REDUCE, 216);
   _actionMap[724][DATE] = ActionEntry(REDUCE, 216);
   _actionMap[724][SYSDATE] = ActionEntry(REDUCE, 216);
   _actionMap[724][NULLTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[724][TRUEVAL] = ActionEntry(REDUCE, 216);
   _actionMap[724][FALSEVAL] = ActionEntry(REDUCE, 216);
   _actionMap[724][LAB] = ActionEntry(REDUCE, 216);
   _actionMap[724][FLOATVAL] = ActionEntry(REDUCE, 216);
   _actionMap[724][MINUS] = ActionEntry(REDUCE, 216);
   _actionMap[724][INTVAL] = ActionEntry(REDUCE, 216);
   _actionMap[725][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[725][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[725][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[725][ObjSpec] = 423;
   _jumpMap[725][Table] = 766;
   _actionMap[726][IDENTIFIER] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser34()
{
   _actionMap[726][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[726][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[726][ObjSpec] = 423;
   _jumpMap[726][Table] = 767;
   _actionMap[727][KSEP] = ActionEntry(SHIFT, 768);
   _actionMap[727][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[728][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[729][EQU] = ActionEntry(SHIFT, 769);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[573][COLUMN] = ActionEntry(SHIFT, 436);
   _actionMap[574][ON] = ActionEntry(SHIFT, 671);
   _actionMap[575][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[576][IDENTIFIER] = ActionEntry(SHIFT, 672);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[577][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[578][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[578][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[579][TO] = ActionEntry(SHIFT, 673);
   _actionMap[580][IDENTIFIER] = ActionEntry(SHIFT, 674);
   _actionMap[581][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[581][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[581][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[581][KSEP] = ActionEntry(REDUCE, 115);
   _actionMap[581][RB] = ActionEntry(REDUCE, 115);
   _actionMap[582][ELSE] = ActionEntry(REDUCE, 110);
   _actionMap[582][ELSIF] = ActionEntry(REDUCE, 110);
   _actionMap[582][EXCEPTION] = ActionEntry(REDUCE, 110);
   _actionMap[582][END_TOKEN] = ActionEntry(REDUCE, 110);
   _actionMap[583][WHEN] = ActionEntry(SHIFT, 675);
   _actionMap[584][EXCEPTION] = ActionEntry(REDUCE, 89);
   _actionMap[584][END_TOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[584][ELSE] = ActionEntry(REDUCE, 89);
   _actionMap[584][ELSIF] = ActionEntry(REDUCE, 89);
   _actionMap[584][VAR] = ActionEntry(REDUCE, 89);
   _actionMap[584][CURSOR] = ActionEntry(REDUCE, 89);
   _actionMap[584][CLOSE] = ActionEntry(REDUCE, 89);
   _actionMap[584][VARREF] = ActionEntry(REDUCE, 89);
   _actionMap[584][NOOP] = ActionEntry(REDUCE, 89);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[584][WHILE] = ActionEntry(REDUCE, 89);
   _actionMap[584][IF] = ActionEntry(REDUCE, 89);
   _actionMap[584][BEGIN] = ActionEntry(REDUCE, 89);
   _actionMap[584][ROLLBACK] = ActionEntry(REDUCE, 89);
   _actionMap[584][COMMIT] = ActionEntry(REDUCE, 89);
   _actionMap[584][START_TOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[584][UPDATE] = ActionEntry(REDUCE, 89);
   _actionMap[584][DELETETOK] = ActionEntry(REDUCE, 89);
   _actionMap[584][INSERT] = ActionEntry(REDUCE, 89);
}
void Cego::loadParser35()
{
   _actionMap[584][FETCH] = ActionEntry(REDUCE, 89);
   _actionMap[584][LB] = ActionEntry(REDUCE, 89);
   _actionMap[584][COUNT] = ActionEntry(REDUCE, 89);
   _actionMap[584][SUM] = ActionEntry(REDUCE, 89);
   _actionMap[584][AVG] = ActionEntry(REDUCE, 89);
   _actionMap[584][MIN] = ActionEntry(REDUCE, 89);
   _actionMap[584][MAX] = ActionEntry(REDUCE, 89);
   _actionMap[584][CASE] = ActionEntry(REDUCE, 89);
   _actionMap[584][TRIM] = ActionEntry(REDUCE, 89);
   _actionMap[584][RTRIM] = ActionEntry(REDUCE, 89);
   _actionMap[584][LTRIM] = ActionEntry(REDUCE, 89);
   _actionMap[584][ROUND] = ActionEntry(REDUCE, 89);
   _actionMap[584][DATE2STR] = ActionEntry(REDUCE, 89);
   _actionMap[584][DATE2INT] = ActionEntry(REDUCE, 89);
   _actionMap[584][INT2DATE] = ActionEntry(REDUCE, 89);
   _actionMap[584][LOWER] = ActionEntry(REDUCE, 89);
   _actionMap[584][UPPER] = ActionEntry(REDUCE, 89);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 89);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 89);
   _actionMap[584][GETPOS] = ActionEntry(REDUCE, 89);
   _actionMap[584][SUBSTR] = ActionEntry(REDUCE, 89);
   _actionMap[584][REPLACE] = ActionEntry(REDUCE, 89);
   _actionMap[584][LENGTH] = ActionEntry(REDUCE, 89);
   _actionMap[584][TRUNC] = ActionEntry(REDUCE, 89);
   _actionMap[584][STR2INT] = ActionEntry(REDUCE, 89);
   _actionMap[584][STR2LONG] = ActionEntry(REDUCE, 89);
   _actionMap[584][RANDSTR] = ActionEntry(REDUCE, 89);
   _actionMap[584][RANDINT] = ActionEntry(REDUCE, 89);
   _actionMap[584][MOD] = ActionEntry(REDUCE, 89);
   _actionMap[584][DIV] = ActionEntry(REDUCE, 89);
   _actionMap[584][POWER] = ActionEntry(REDUCE, 89);
   _actionMap[584][BITAND] = ActionEntry(REDUCE, 89);
   _actionMap[584][BITOR] = ActionEntry(REDUCE, 89);
   _actionMap[584][BITXOR] = ActionEntry(REDUCE, 89);
   _actionMap[584][NEXTCOUNT] = ActionEntry(REDUCE, 89);
   _actionMap[584][SETCOUNT] = ActionEntry(REDUCE, 89);
   _actionMap[584][IDENTIFIER] = ActionEntry(REDUCE, 89);
   _actionMap[584][QUALIFIEDOBJ] = ActionEntry(REDUCE, 89);
   _actionMap[584][QUALIFIEDTS] = ActionEntry(REDUCE, 89);
   _actionMap[584][QUALIFIEDPRE] = ActionEntry(REDUCE, 89);
   _actionMap[584][STRINGVAL] = ActionEntry(REDUCE, 89);
   _actionMap[584][DATE] = ActionEntry(REDUCE, 89);
   _actionMap[584][SYSDATE] = ActionEntry(REDUCE, 89);
   _actionMap[584][NULLTOKEN] = ActionEntry(REDUCE, 89);
   _actionMap[584][TRUEVAL] = ActionEntry(REDUCE, 89);
   _actionMap[584][FALSEVAL] = ActionEntry(REDUCE, 89);
   _actionMap[584][LAB] = ActionEntry(REDUCE, 89);
   _actionMap[584][FLOATVAL] = ActionEntry(REDUCE, 89);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 89);
   _actionMap[584][INTVAL] = ActionEntry(REDUCE, 89);
}
void Cego::loadParser36()
{
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[586][END_TOKEN] = ActionEntry(SHIFT, 589);
   _actionMap[587][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[587][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[587][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[587][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[587][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[587][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[587][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[587][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[587][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[587][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[587][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[587][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[587][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[587][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[587][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[587][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[587][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[587][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[587][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[587][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[587][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[587][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[587][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[587][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[587][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[587][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[587][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[587][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[587][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[587][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[587][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[587][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[587][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[587][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[587][LB] = ActionEntry(SHIFT, 138);
   _actionMap[587][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[587][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[587][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[587][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[587][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[587][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[587][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[587][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[587][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[587][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[587][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[587][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[587][SUM] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser37()
{
   _actionMap[587][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[587][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[587][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[587][IF] = ActionEntry(SHIFT, 328);
   _actionMap[587][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[587][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[587][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[587][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[587][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[587][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[587][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[587][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[587][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[587][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[587][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[587][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[587][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[587][ObjSpec] = 96;
   _jumpMap[587][Constant] = 95;
   _jumpMap[587][SignedFloat] = 94;
   _jumpMap[587][SignedInt] = 93;
   _jumpMap[587][Attribute] = 92;
   _jumpMap[587][Function] = 91;
   _jumpMap[587][DeleteStatement] = 324;
   _jumpMap[587][UpdateStatement] = 323;
   _jumpMap[587][InsertStatement] = 322;
   _jumpMap[587][RollbackStatement] = 321;
   _jumpMap[587][CommitStatement] = 320;
   _jumpMap[587][StartStatement] = 319;
   _jumpMap[587][CasePrepare] = 90;
   _jumpMap[587][CaseClause] = 89;
   _jumpMap[587][Factor] = 88;
   _jumpMap[587][Term] = 87;
   _jumpMap[587][Expr] = 318;
   _jumpMap[587][ProcStatement] = 317;
   _jumpMap[587][ProcIfPart] = 316;
   _jumpMap[587][ProcBlockStart] = 315;
   _jumpMap[587][ProcStatementList] = 314;
   _jumpMap[587][ProcStmtBlock] = 676;
   _actionMap[588][VAR] = ActionEntry(REDUCE, 125);
   _actionMap[588][CURSOR] = ActionEntry(REDUCE, 125);
   _actionMap[588][CLOSE] = ActionEntry(REDUCE, 125);
   _actionMap[588][VARREF] = ActionEntry(REDUCE, 125);
   _actionMap[588][NOOP] = ActionEntry(REDUCE, 125);
   _actionMap[588][RETURNTOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[588][WHILE] = ActionEntry(REDUCE, 125);
   _actionMap[588][IF] = ActionEntry(REDUCE, 125);
   _actionMap[588][BEGIN] = ActionEntry(REDUCE, 125);
   _actionMap[588][ROLLBACK] = ActionEntry(REDUCE, 125);
   _actionMap[588][COMMIT] = ActionEntry(REDUCE, 125);
}
void Cego::loadParser38()
{
   _actionMap[588][START_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[588][UPDATE] = ActionEntry(REDUCE, 125);
   _actionMap[588][DELETETOK] = ActionEntry(REDUCE, 125);
   _actionMap[588][INSERT] = ActionEntry(REDUCE, 125);
   _actionMap[588][FETCH] = ActionEntry(REDUCE, 125);
   _actionMap[588][LB] = ActionEntry(REDUCE, 125);
   _actionMap[588][COUNT] = ActionEntry(REDUCE, 125);
   _actionMap[588][SUM] = ActionEntry(REDUCE, 125);
   _actionMap[588][AVG] = ActionEntry(REDUCE, 125);
   _actionMap[588][MIN] = ActionEntry(REDUCE, 125);
   _actionMap[588][MAX] = ActionEntry(REDUCE, 125);
   _actionMap[588][CASE] = ActionEntry(REDUCE, 125);
   _actionMap[588][TRIM] = ActionEntry(REDUCE, 125);
   _actionMap[588][RTRIM] = ActionEntry(REDUCE, 125);
   _actionMap[588][LTRIM] = ActionEntry(REDUCE, 125);
   _actionMap[588][ROUND] = ActionEntry(REDUCE, 125);
   _actionMap[588][DATE2STR] = ActionEntry(REDUCE, 125);
   _actionMap[588][DATE2INT] = ActionEntry(REDUCE, 125);
   _actionMap[588][INT2DATE] = ActionEntry(REDUCE, 125);
   _actionMap[588][LOWER] = ActionEntry(REDUCE, 125);
   _actionMap[588][UPPER] = ActionEntry(REDUCE, 125);
   _actionMap[588][LEFT] = ActionEntry(REDUCE, 125);
   _actionMap[588][RIGHT] = ActionEntry(REDUCE, 125);
   _actionMap[588][GETPOS] = ActionEntry(REDUCE, 125);
   _actionMap[588][SUBSTR] = ActionEntry(REDUCE, 125);
   _actionMap[588][REPLACE] = ActionEntry(REDUCE, 125);
   _actionMap[588][LENGTH] = ActionEntry(REDUCE, 125);
   _actionMap[588][TRUNC] = ActionEntry(REDUCE, 125);
   _actionMap[588][STR2INT] = ActionEntry(REDUCE, 125);
   _actionMap[588][STR2LONG] = ActionEntry(REDUCE, 125);
   _actionMap[588][RANDSTR] = ActionEntry(REDUCE, 125);
   _actionMap[588][RANDINT] = ActionEntry(REDUCE, 125);
   _actionMap[588][MOD] = ActionEntry(REDUCE, 125);
   _actionMap[588][DIV] = ActionEntry(REDUCE, 125);
   _actionMap[588][POWER] = ActionEntry(REDUCE, 125);
   _actionMap[588][BITAND] = ActionEntry(REDUCE, 125);
   _actionMap[588][BITOR] = ActionEntry(REDUCE, 125);
   _actionMap[588][BITXOR] = ActionEntry(REDUCE, 125);
   _actionMap[588][NEXTCOUNT] = ActionEntry(REDUCE, 125);
   _actionMap[588][SETCOUNT] = ActionEntry(REDUCE, 125);
   _actionMap[588][IDENTIFIER] = ActionEntry(REDUCE, 125);
   _actionMap[588][QUALIFIEDOBJ] = ActionEntry(REDUCE, 125);
   _actionMap[588][QUALIFIEDTS] = ActionEntry(REDUCE, 125);
   _actionMap[588][QUALIFIEDPRE] = ActionEntry(REDUCE, 125);
   _actionMap[588][STRINGVAL] = ActionEntry(REDUCE, 125);
   _actionMap[588][DATE] = ActionEntry(REDUCE, 125);
   _actionMap[588][SYSDATE] = ActionEntry(REDUCE, 125);
   _actionMap[588][NULLTOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[588][TRUEVAL] = ActionEntry(REDUCE, 125);
   _actionMap[588][FALSEVAL] = ActionEntry(REDUCE, 125);
}
void Cego::loadParser39()
{
   _actionMap[588][LAB] = ActionEntry(REDUCE, 125);
   _actionMap[588][FLOATVAL] = ActionEntry(REDUCE, 125);
   _actionMap[588][MINUS] = ActionEntry(REDUCE, 125);
   _actionMap[588][INTVAL] = ActionEntry(REDUCE, 125);
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 118);
   _actionMap[590][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[590][ELSE] = ActionEntry(REDUCE, 120);
   _actionMap[591][THEN] = ActionEntry(SHIFT, 677);
   _actionMap[592][OR] = ActionEntry(SHIFT, 596);
   _actionMap[592][AND] = ActionEntry(SHIFT, 595);
   _actionMap[592][THEN] = ActionEntry(REDUCE, 127);
   _actionMap[593][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[593][SelectStatement] = 678;
   _actionMap[594][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[594][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[594][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[594][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[594][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[594][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[594][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[594][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[594][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[594][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[594][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[594][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[594][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[594][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[594][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[594][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[594][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[594][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[594][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[594][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[594][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[594][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[594][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[594][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[594][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[594][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[594][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[594][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[594][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[594][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[594][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[594][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[594][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[594][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[594][LB] = ActionEntry(SHIFT, 138);
   _actionMap[594][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[594][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser40()
{
   _actionMap[594][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[594][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[594][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[594][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[594][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[594][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[594][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[594][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[594][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[594][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[594][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[594][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[594][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[594][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[594][IF] = ActionEntry(SHIFT, 328);
   _actionMap[594][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[594][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[594][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[594][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[594][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[594][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[594][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[594][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[594][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[594][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[594][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[594][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[594][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[594][ObjSpec] = 96;
   _jumpMap[594][Constant] = 95;
   _jumpMap[594][SignedFloat] = 94;
   _jumpMap[594][SignedInt] = 93;
   _jumpMap[594][Attribute] = 92;
   _jumpMap[594][Function] = 91;
   _jumpMap[594][DeleteStatement] = 324;
   _jumpMap[594][UpdateStatement] = 323;
   _jumpMap[594][InsertStatement] = 322;
   _jumpMap[594][RollbackStatement] = 321;
   _jumpMap[594][CommitStatement] = 320;
   _jumpMap[594][StartStatement] = 319;
   _jumpMap[594][CasePrepare] = 90;
   _jumpMap[594][CaseClause] = 89;
   _jumpMap[594][Factor] = 88;
   _jumpMap[594][Term] = 87;
   _jumpMap[594][Expr] = 318;
   _jumpMap[594][ProcStatement] = 317;
   _jumpMap[594][ProcIfPart] = 316;
   _jumpMap[594][ProcBlockStart] = 315;
   _jumpMap[594][ProcStatementList] = 314;
   _jumpMap[594][ProcStmtBlock] = 679;
}
void Cego::loadParser41()
{
   _actionMap[595][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[595][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[595][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[595][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[595][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[595][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[595][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[595][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[595][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[595][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[595][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[595][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[595][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[595][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[595][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[595][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[595][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[595][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[595][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[595][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[595][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[595][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[595][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[595][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[595][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[595][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[595][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[595][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[595][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[595][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[595][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[595][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[595][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[595][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[595][LB] = ActionEntry(SHIFT, 457);
   _actionMap[595][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[595][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[595][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[595][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[595][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[595][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[595][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[595][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[595][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[595][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[595][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[595][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[595][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[595][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[595][MIN] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser42()
{
   _actionMap[595][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[595][ObjSpec] = 96;
   _jumpMap[595][Constant] = 95;
   _jumpMap[595][SignedFloat] = 94;
   _jumpMap[595][SignedInt] = 93;
   _jumpMap[595][Attribute] = 92;
   _jumpMap[595][Function] = 91;
   _jumpMap[595][CasePrepare] = 90;
   _jumpMap[595][CaseClause] = 89;
   _jumpMap[595][Factor] = 88;
   _jumpMap[595][Term] = 87;
   _jumpMap[595][Expr] = 456;
   _jumpMap[595][ProcPredicate] = 680;
   _actionMap[596][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[596][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[596][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[596][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[596][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[596][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[596][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[596][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[596][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[596][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[596][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[596][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[596][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[596][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[596][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[596][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[596][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[596][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[596][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[596][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[596][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[596][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[596][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[596][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[596][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[596][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[596][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[596][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[596][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[596][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[596][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[596][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[596][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[596][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[596][LB] = ActionEntry(SHIFT, 457);
   _actionMap[596][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[596][DATE] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser43()
{
   _actionMap[596][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[596][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[596][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[596][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[596][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[596][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[596][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[596][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[596][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[596][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[596][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[596][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[596][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[596][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[596][ObjSpec] = 96;
   _jumpMap[596][Constant] = 95;
   _jumpMap[596][SignedFloat] = 94;
   _jumpMap[596][SignedInt] = 93;
   _jumpMap[596][Attribute] = 92;
   _jumpMap[596][Function] = 91;
   _jumpMap[596][CasePrepare] = 90;
   _jumpMap[596][CaseClause] = 89;
   _jumpMap[596][Factor] = 88;
   _jumpMap[596][Term] = 87;
   _jumpMap[596][Expr] = 456;
   _jumpMap[596][ProcPredicate] = 681;
   _actionMap[597][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[597][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[597][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[597][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[597][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[597][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[597][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[597][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[597][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[597][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[597][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[597][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[597][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[597][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[597][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[597][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[597][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[597][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[597][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[597][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[597][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[597][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[597][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[597][MOD] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser44()
{
   _actionMap[597][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[597][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[597][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[597][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[597][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[597][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[597][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[597][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[597][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[597][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[597][LB] = ActionEntry(SHIFT, 138);
   _actionMap[597][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[597][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[597][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[597][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[597][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[597][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[597][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[597][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[597][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[597][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[597][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[597][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[597][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[597][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[597][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[597][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[597][ObjSpec] = 96;
   _jumpMap[597][Constant] = 95;
   _jumpMap[597][SignedFloat] = 94;
   _jumpMap[597][SignedInt] = 93;
   _jumpMap[597][Attribute] = 92;
   _jumpMap[597][Function] = 91;
   _jumpMap[597][CasePrepare] = 90;
   _jumpMap[597][CaseClause] = 89;
   _jumpMap[597][Factor] = 88;
   _jumpMap[597][Term] = 87;
   _jumpMap[597][Expr] = 682;
   _actionMap[598][NOT] = ActionEntry(SHIFT, 683);
   _actionMap[598][NULLTOKEN] = ActionEntry(SHIFT, 684);
   _actionMap[599][RB] = ActionEntry(SHIFT, 685);
   _actionMap[599][OR] = ActionEntry(SHIFT, 596);
   _actionMap[599][AND] = ActionEntry(SHIFT, 595);
   _actionMap[600][RB] = ActionEntry(SHIFT, 403);
   _actionMap[600][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[600][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[600][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[600][IS] = ActionEntry(SHIFT, 598);
   _actionMap[600][EQU] = ActionEntry(SHIFT, 490);
   _actionMap[600][NEGATION] = ActionEntry(SHIFT, 493);
}
void Cego::loadParser45()
{
   _actionMap[600][LT] = ActionEntry(SHIFT, 491);
   _actionMap[600][MT] = ActionEntry(SHIFT, 492);
   _jumpMap[600][Comparison] = 597;
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[601][EQU] = ActionEntry(SHIFT, 688);
   _jumpMap[601][ProcNoAssignment] = 687;
   _jumpMap[601][ProcInitialAssignment] = 686;
   _actionMap[602][LB] = ActionEntry(SHIFT, 689);
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[603][DEFAULT] = ActionEntry(REDUCE, 328);
   _actionMap[603][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[603][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[603][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[603][RB] = ActionEntry(REDUCE, 328);
   _actionMap[603][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[603][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[604][BEGIN] = ActionEntry(REDUCE, 320);
   _actionMap[604][DEFAULT] = ActionEntry(REDUCE, 320);
   _actionMap[604][NULLTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[604][NOT] = ActionEntry(REDUCE, 320);
   _actionMap[604][KSEP] = ActionEntry(REDUCE, 320);
   _actionMap[604][RB] = ActionEntry(REDUCE, 320);
   _actionMap[604][EQU] = ActionEntry(REDUCE, 320);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[605][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[605][DEFAULT] = ActionEntry(REDUCE, 319);
   _actionMap[605][NULLTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[605][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[605][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[605][RB] = ActionEntry(REDUCE, 319);
   _actionMap[605][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[606][LB] = ActionEntry(SHIFT, 690);
   _actionMap[607][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[607][DEFAULT] = ActionEntry(REDUCE, 323);
   _actionMap[607][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[607][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[607][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[607][RB] = ActionEntry(REDUCE, 323);
   _actionMap[607][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[607][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[608][LB] = ActionEntry(SHIFT, 691);
   _actionMap[609][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[609][DEFAULT] = ActionEntry(REDUCE, 322);
   _actionMap[609][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[609][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[609][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[609][RB] = ActionEntry(REDUCE, 322);
   _actionMap[609][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[609][SEMICOLON] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser46()
{
   _actionMap[610][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[610][DEFAULT] = ActionEntry(REDUCE, 316);
   _actionMap[610][NULLTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[610][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[610][RB] = ActionEntry(REDUCE, 316);
   _actionMap[610][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[611][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[611][DEFAULT] = ActionEntry(REDUCE, 317);
   _actionMap[611][NULLTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[611][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[611][RB] = ActionEntry(REDUCE, 317);
   _actionMap[611][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[611][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[612][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[612][DEFAULT] = ActionEntry(REDUCE, 324);
   _actionMap[612][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[612][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[612][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[612][RB] = ActionEntry(REDUCE, 324);
   _actionMap[612][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[613][LB] = ActionEntry(SHIFT, 692);
   _actionMap[614][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[614][DEFAULT] = ActionEntry(REDUCE, 325);
   _actionMap[614][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[614][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[614][RB] = ActionEntry(REDUCE, 325);
   _actionMap[614][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[614][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[615][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[615][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[615][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[615][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[615][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[615][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[615][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[615][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[615][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[615][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[615][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[615][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[615][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[615][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[615][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[615][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[615][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser47()
{
   _actionMap[615][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[615][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[615][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[615][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[615][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[615][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[615][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[615][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[615][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[615][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[615][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[615][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[615][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[615][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[615][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[615][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[615][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[615][LB] = ActionEntry(SHIFT, 138);
   _actionMap[615][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[615][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[615][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[615][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[615][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[615][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[615][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[615][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[615][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[615][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[615][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[615][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[615][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[615][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[615][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[615][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[615][IF] = ActionEntry(SHIFT, 328);
   _actionMap[615][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[615][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[615][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[615][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[615][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[615][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[615][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[615][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[615][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[615][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[615][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[615][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[615][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[615][ObjSpec] = 96;
   _jumpMap[615][Constant] = 95;
}
void Cego::loadParser48()
{
   _jumpMap[615][SignedFloat] = 94;
   _jumpMap[615][SignedInt] = 93;
   _jumpMap[615][Attribute] = 92;
   _jumpMap[615][Function] = 91;
   _jumpMap[615][DeleteStatement] = 324;
   _jumpMap[615][UpdateStatement] = 323;
   _jumpMap[615][InsertStatement] = 322;
   _jumpMap[615][RollbackStatement] = 321;
   _jumpMap[615][CommitStatement] = 320;
   _jumpMap[615][StartStatement] = 319;
   _jumpMap[615][CasePrepare] = 90;
   _jumpMap[615][CaseClause] = 89;
   _jumpMap[615][Factor] = 88;
   _jumpMap[615][Term] = 87;
   _jumpMap[615][Expr] = 318;
   _jumpMap[615][ProcStatement] = 317;
   _jumpMap[615][ProcIfPart] = 316;
   _jumpMap[615][ProcBlockStart] = 315;
   _jumpMap[615][ProcStatementList] = 314;
   _jumpMap[615][ProcStmtBlock] = 693;
   _actionMap[616][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[616][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[616][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[617][LB] = ActionEntry(SHIFT, 694);
   _actionMap[618][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _jumpMap[618][SimpleAttr] = 696;
   _jumpMap[618][SimpleAttrList] = 695;
   _actionMap[619][IDENTIFIER] = ActionEntry(SHIFT, 469);
   _jumpMap[619][ProcArg] = 698;
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 78);
   _actionMap[621][INT] = ActionEntry(SHIFT, 610);
   _actionMap[621][LONG] = ActionEntry(SHIFT, 611);
   _actionMap[621][STRING] = ActionEntry(SHIFT, 613);
   _actionMap[621][DATETIME] = ActionEntry(SHIFT, 605);
   _actionMap[621][BOOL] = ActionEntry(SHIFT, 604);
   _actionMap[621][BIGINT] = ActionEntry(SHIFT, 602);
   _actionMap[621][FLOAT] = ActionEntry(SHIFT, 609);
   _actionMap[621][DOUBLE] = ActionEntry(SHIFT, 607);
   _actionMap[621][SMALLINT] = ActionEntry(SHIFT, 612);
   _actionMap[621][TINYINT] = ActionEntry(SHIFT, 614);
   _actionMap[621][DECIMAL] = ActionEntry(SHIFT, 606);
   _actionMap[621][FIXED] = ActionEntry(SHIFT, 608);
   _actionMap[621][BLOB] = ActionEntry(SHIFT, 603);
   _jumpMap[621][DataTypeProd] = 699;
   _actionMap[622][INT] = ActionEntry(SHIFT, 610);
   _actionMap[622][LONG] = ActionEntry(SHIFT, 611);
   _actionMap[622][STRING] = ActionEntry(SHIFT, 613);
   _actionMap[622][DATETIME] = ActionEntry(SHIFT, 605);
   _actionMap[622][BOOL] = ActionEntry(SHIFT, 604);
}
void Cego::loadParser49()
{
   _actionMap[622][BIGINT] = ActionEntry(SHIFT, 602);
   _actionMap[622][FLOAT] = ActionEntry(SHIFT, 609);
   _actionMap[622][DOUBLE] = ActionEntry(SHIFT, 607);
   _actionMap[622][SMALLINT] = ActionEntry(SHIFT, 612);
   _actionMap[622][TINYINT] = ActionEntry(SHIFT, 614);
   _actionMap[622][DECIMAL] = ActionEntry(SHIFT, 606);
   _actionMap[622][FIXED] = ActionEntry(SHIFT, 608);
   _actionMap[622][BLOB] = ActionEntry(SHIFT, 603);
   _jumpMap[622][DataTypeProd] = 700;
   _actionMap[623][INT] = ActionEntry(SHIFT, 610);
   _actionMap[623][LONG] = ActionEntry(SHIFT, 611);
   _actionMap[623][STRING] = ActionEntry(SHIFT, 613);
   _actionMap[623][DATETIME] = ActionEntry(SHIFT, 605);
   _actionMap[623][BOOL] = ActionEntry(SHIFT, 604);
   _actionMap[623][BIGINT] = ActionEntry(SHIFT, 602);
   _actionMap[623][FLOAT] = ActionEntry(SHIFT, 609);
   _actionMap[623][DOUBLE] = ActionEntry(SHIFT, 607);
   _actionMap[623][SMALLINT] = ActionEntry(SHIFT, 612);
   _actionMap[623][TINYINT] = ActionEntry(SHIFT, 614);
   _actionMap[623][DECIMAL] = ActionEntry(SHIFT, 606);
   _actionMap[623][FIXED] = ActionEntry(SHIFT, 608);
   _actionMap[623][BLOB] = ActionEntry(SHIFT, 603);
   _jumpMap[623][DataTypeProd] = 701;
   _actionMap[624][IDENTIFIER] = ActionEntry(SHIFT, 474);
   _actionMap[624][PRIMARY] = ActionEntry(SHIFT, 473);
   _jumpMap[624][ColumnDesc] = 472;
   _jumpMap[624][KeyColumn] = 702;
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[626][RB] = ActionEntry(REDUCE, 167);
   _actionMap[627][RB] = ActionEntry(REDUCE, 176);
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[627][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[627][NOT] = ActionEntry(REDUCE, 176);
   _actionMap[627][NULLTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[627][DEFAULT] = ActionEntry(SHIFT, 705);
   _jumpMap[627][DefaultDefOpt] = 704;
   _jumpMap[627][DefaultOpt] = 703;
   _actionMap[628][LB] = ActionEntry(SHIFT, 479);
   _jumpMap[628][InsertValueSpec] = 706;
   _actionMap[629][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[629][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[629][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[629][RB] = ActionEntry(REDUCE, 196);
   _actionMap[630][RB] = ActionEntry(SHIFT, 708);
   _actionMap[630][KSEP] = ActionEntry(SHIFT, 707);
   _actionMap[631][IDENTIFIER] = ActionEntry(SHIFT, 709);
   _actionMap[632][SELECT] = ActionEntry(REDUCE, 187);
   _actionMap[632][VALUES] = ActionEntry(REDUCE, 187);
}
void Cego::loadParser50()
{
   _actionMap[633][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][OR] = ActionEntry(REDUCE, 158);
   _actionMap[633][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[633][AS] = ActionEntry(REDUCE, 158);
   _actionMap[633][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][AND] = ActionEntry(REDUCE, 158);
   _actionMap[633][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[633][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[633][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][IS] = ActionEntry(REDUCE, 158);
   _actionMap[633][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[633][MT] = ActionEntry(REDUCE, 158);
   _actionMap[633][LT] = ActionEntry(REDUCE, 158);
   _actionMap[633][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[633][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[633][RB] = ActionEntry(REDUCE, 158);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[633][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[633][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[633][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[633][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[633][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[633][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[633][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[633][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[634][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[634][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[634][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[634][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[634][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[634][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[634][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[634][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][UNION] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser51()
{
   _actionMap[634][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[634][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[634][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[634][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[634][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][AND] = ActionEntry(REDUCE, 308);
   _actionMap[634][OR] = ActionEntry(REDUCE, 308);
   _actionMap[634][RB] = ActionEntry(REDUCE, 308);
   _actionMap[635][AND] = ActionEntry(SHIFT, 710);
   _actionMap[635][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[635][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[635][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[636][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[636][SelectStatement] = 711;
   _actionMap[637][NULLTOKEN] = ActionEntry(SHIFT, 712);
   _actionMap[638][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[638][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[638][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[638][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[638][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[638][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[638][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[638][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[638][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[638][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[638][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[638][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[638][AND] = ActionEntry(REDUCE, 310);
   _actionMap[638][OR] = ActionEntry(REDUCE, 310);
   _actionMap[638][RB] = ActionEntry(REDUCE, 310);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[639][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[639][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[639][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[639][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[639][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[639][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[639][AND] = ActionEntry(REDUCE, 312);
   _actionMap[639][OR] = ActionEntry(REDUCE, 312);
   _actionMap[639][RB] = ActionEntry(REDUCE, 312);
   _actionMap[640][LB] = ActionEntry(SHIFT, 713);
   _actionMap[641][STRINGVAL] = ActionEntry(SHIFT, 714);
   _actionMap[642][VARREF] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser52()
{
   _actionMap[642][FETCH] = ActionEntry(REDUCE, 333);
   _actionMap[642][LB] = ActionEntry(REDUCE, 333);
   _actionMap[642][COUNT] = ActionEntry(REDUCE, 333);
   _actionMap[642][SUM] = ActionEntry(REDUCE, 333);
   _actionMap[642][AVG] = ActionEntry(REDUCE, 333);
   _actionMap[642][MIN] = ActionEntry(REDUCE, 333);
   _actionMap[642][MAX] = ActionEntry(REDUCE, 333);
   _actionMap[642][CASE] = ActionEntry(REDUCE, 333);
   _actionMap[642][TRIM] = ActionEntry(REDUCE, 333);
   _actionMap[642][RTRIM] = ActionEntry(REDUCE, 333);
   _actionMap[642][LTRIM] = ActionEntry(REDUCE, 333);
   _actionMap[642][ROUND] = ActionEntry(REDUCE, 333);
   _actionMap[642][DATE2STR] = ActionEntry(REDUCE, 333);
   _actionMap[642][DATE2INT] = ActionEntry(REDUCE, 333);
   _actionMap[642][INT2DATE] = ActionEntry(REDUCE, 333);
   _actionMap[642][LOWER] = ActionEntry(REDUCE, 333);
   _actionMap[642][UPPER] = ActionEntry(REDUCE, 333);
   _actionMap[642][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[642][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[642][GETPOS] = ActionEntry(REDUCE, 333);
   _actionMap[642][SUBSTR] = ActionEntry(REDUCE, 333);
   _actionMap[642][REPLACE] = ActionEntry(REDUCE, 333);
   _actionMap[642][LENGTH] = ActionEntry(REDUCE, 333);
   _actionMap[642][TRUNC] = ActionEntry(REDUCE, 333);
   _actionMap[642][STR2INT] = ActionEntry(REDUCE, 333);
   _actionMap[642][STR2LONG] = ActionEntry(REDUCE, 333);
   _actionMap[642][RANDSTR] = ActionEntry(REDUCE, 333);
   _actionMap[642][RANDINT] = ActionEntry(REDUCE, 333);
   _actionMap[642][MOD] = ActionEntry(REDUCE, 333);
   _actionMap[642][DIV] = ActionEntry(REDUCE, 333);
   _actionMap[642][POWER] = ActionEntry(REDUCE, 333);
   _actionMap[642][BITAND] = ActionEntry(REDUCE, 333);
   _actionMap[642][BITOR] = ActionEntry(REDUCE, 333);
   _actionMap[642][BITXOR] = ActionEntry(REDUCE, 333);
   _actionMap[642][NEXTCOUNT] = ActionEntry(REDUCE, 333);
   _actionMap[642][SETCOUNT] = ActionEntry(REDUCE, 333);
   _actionMap[642][IDENTIFIER] = ActionEntry(REDUCE, 333);
   _actionMap[642][QUALIFIEDOBJ] = ActionEntry(REDUCE, 333);
   _actionMap[642][QUALIFIEDTS] = ActionEntry(REDUCE, 333);
   _actionMap[642][QUALIFIEDPRE] = ActionEntry(REDUCE, 333);
   _actionMap[642][STRINGVAL] = ActionEntry(REDUCE, 333);
   _actionMap[642][DATE] = ActionEntry(REDUCE, 333);
   _actionMap[642][SYSDATE] = ActionEntry(REDUCE, 333);
   _actionMap[642][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[642][TRUEVAL] = ActionEntry(REDUCE, 333);
   _actionMap[642][FALSEVAL] = ActionEntry(REDUCE, 333);
   _actionMap[642][LAB] = ActionEntry(REDUCE, 333);
   _actionMap[642][FLOATVAL] = ActionEntry(REDUCE, 333);
   _actionMap[642][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[642][INTVAL] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser53()
{
   _actionMap[643][VARREF] = ActionEntry(REDUCE, 334);
   _actionMap[643][FETCH] = ActionEntry(REDUCE, 334);
   _actionMap[643][LB] = ActionEntry(REDUCE, 334);
   _actionMap[643][COUNT] = ActionEntry(REDUCE, 334);
   _actionMap[643][SUM] = ActionEntry(REDUCE, 334);
   _actionMap[643][AVG] = ActionEntry(REDUCE, 334);
   _actionMap[643][MIN] = ActionEntry(REDUCE, 334);
   _actionMap[643][MAX] = ActionEntry(REDUCE, 334);
   _actionMap[643][CASE] = ActionEntry(REDUCE, 334);
   _actionMap[643][TRIM] = ActionEntry(REDUCE, 334);
   _actionMap[643][RTRIM] = ActionEntry(REDUCE, 334);
   _actionMap[643][LTRIM] = ActionEntry(REDUCE, 334);
   _actionMap[643][ROUND] = ActionEntry(REDUCE, 334);
   _actionMap[643][DATE2STR] = ActionEntry(REDUCE, 334);
   _actionMap[643][DATE2INT] = ActionEntry(REDUCE, 334);
   _actionMap[643][INT2DATE] = ActionEntry(REDUCE, 334);
   _actionMap[643][LOWER] = ActionEntry(REDUCE, 334);
   _actionMap[643][UPPER] = ActionEntry(REDUCE, 334);
   _actionMap[643][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[643][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[643][GETPOS] = ActionEntry(REDUCE, 334);
   _actionMap[643][SUBSTR] = ActionEntry(REDUCE, 334);
   _actionMap[643][REPLACE] = ActionEntry(REDUCE, 334);
   _actionMap[643][LENGTH] = ActionEntry(REDUCE, 334);
   _actionMap[643][TRUNC] = ActionEntry(REDUCE, 334);
   _actionMap[643][STR2INT] = ActionEntry(REDUCE, 334);
   _actionMap[643][STR2LONG] = ActionEntry(REDUCE, 334);
   _actionMap[643][RANDSTR] = ActionEntry(REDUCE, 334);
   _actionMap[643][RANDINT] = ActionEntry(REDUCE, 334);
   _actionMap[643][MOD] = ActionEntry(REDUCE, 334);
   _actionMap[643][DIV] = ActionEntry(REDUCE, 334);
   _actionMap[643][POWER] = ActionEntry(REDUCE, 334);
   _actionMap[643][BITAND] = ActionEntry(REDUCE, 334);
   _actionMap[643][BITOR] = ActionEntry(REDUCE, 334);
   _actionMap[643][BITXOR] = ActionEntry(REDUCE, 334);
   _actionMap[643][NEXTCOUNT] = ActionEntry(REDUCE, 334);
   _actionMap[643][SETCOUNT] = ActionEntry(REDUCE, 334);
   _actionMap[643][IDENTIFIER] = ActionEntry(REDUCE, 334);
   _actionMap[643][QUALIFIEDOBJ] = ActionEntry(REDUCE, 334);
   _actionMap[643][QUALIFIEDTS] = ActionEntry(REDUCE, 334);
   _actionMap[643][QUALIFIEDPRE] = ActionEntry(REDUCE, 334);
   _actionMap[643][STRINGVAL] = ActionEntry(REDUCE, 334);
   _actionMap[643][DATE] = ActionEntry(REDUCE, 334);
   _actionMap[643][SYSDATE] = ActionEntry(REDUCE, 334);
   _actionMap[643][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[643][TRUEVAL] = ActionEntry(REDUCE, 334);
   _actionMap[643][FALSEVAL] = ActionEntry(REDUCE, 334);
   _actionMap[643][LAB] = ActionEntry(REDUCE, 334);
   _actionMap[643][FLOATVAL] = ActionEntry(REDUCE, 334);
   _actionMap[643][MINUS] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser54()
{
   _actionMap[643][INTVAL] = ActionEntry(REDUCE, 334);
   _actionMap[644][VARREF] = ActionEntry(REDUCE, 330);
   _actionMap[644][FETCH] = ActionEntry(REDUCE, 330);
   _actionMap[644][LB] = ActionEntry(REDUCE, 330);
   _actionMap[644][COUNT] = ActionEntry(REDUCE, 330);
   _actionMap[644][SUM] = ActionEntry(REDUCE, 330);
   _actionMap[644][AVG] = ActionEntry(REDUCE, 330);
   _actionMap[644][MIN] = ActionEntry(REDUCE, 330);
   _actionMap[644][MAX] = ActionEntry(REDUCE, 330);
   _actionMap[644][CASE] = ActionEntry(REDUCE, 330);
   _actionMap[644][TRIM] = ActionEntry(REDUCE, 330);
   _actionMap[644][RTRIM] = ActionEntry(REDUCE, 330);
   _actionMap[644][LTRIM] = ActionEntry(REDUCE, 330);
   _actionMap[644][ROUND] = ActionEntry(REDUCE, 330);
   _actionMap[644][DATE2STR] = ActionEntry(REDUCE, 330);
   _actionMap[644][DATE2INT] = ActionEntry(REDUCE, 330);
   _actionMap[644][INT2DATE] = ActionEntry(REDUCE, 330);
   _actionMap[644][LOWER] = ActionEntry(REDUCE, 330);
   _actionMap[644][UPPER] = ActionEntry(REDUCE, 330);
   _actionMap[644][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[644][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[644][GETPOS] = ActionEntry(REDUCE, 330);
   _actionMap[644][SUBSTR] = ActionEntry(REDUCE, 330);
   _actionMap[644][REPLACE] = ActionEntry(REDUCE, 330);
   _actionMap[644][LENGTH] = ActionEntry(REDUCE, 330);
   _actionMap[644][TRUNC] = ActionEntry(REDUCE, 330);
   _actionMap[644][STR2INT] = ActionEntry(REDUCE, 330);
   _actionMap[644][STR2LONG] = ActionEntry(REDUCE, 330);
   _actionMap[644][RANDSTR] = ActionEntry(REDUCE, 330);
   _actionMap[644][RANDINT] = ActionEntry(REDUCE, 330);
   _actionMap[644][MOD] = ActionEntry(REDUCE, 330);
   _actionMap[644][DIV] = ActionEntry(REDUCE, 330);
   _actionMap[644][POWER] = ActionEntry(REDUCE, 330);
   _actionMap[644][BITAND] = ActionEntry(REDUCE, 330);
   _actionMap[644][BITOR] = ActionEntry(REDUCE, 330);
   _actionMap[644][BITXOR] = ActionEntry(REDUCE, 330);
   _actionMap[644][NEXTCOUNT] = ActionEntry(REDUCE, 330);
   _actionMap[644][SETCOUNT] = ActionEntry(REDUCE, 330);
   _actionMap[644][IDENTIFIER] = ActionEntry(REDUCE, 330);
   _actionMap[644][QUALIFIEDOBJ] = ActionEntry(REDUCE, 330);
   _actionMap[644][QUALIFIEDTS] = ActionEntry(REDUCE, 330);
   _actionMap[644][QUALIFIEDPRE] = ActionEntry(REDUCE, 330);
   _actionMap[644][STRINGVAL] = ActionEntry(REDUCE, 330);
   _actionMap[644][DATE] = ActionEntry(REDUCE, 330);
   _actionMap[644][SYSDATE] = ActionEntry(REDUCE, 330);
   _actionMap[644][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[644][TRUEVAL] = ActionEntry(REDUCE, 330);
   _actionMap[644][FALSEVAL] = ActionEntry(REDUCE, 330);
   _actionMap[644][LAB] = ActionEntry(REDUCE, 330);
   _actionMap[644][FLOATVAL] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser55()
{
   _actionMap[644][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[644][INTVAL] = ActionEntry(REDUCE, 330);
   _actionMap[645][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[645][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[645][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[645][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[645][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[645][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[645][RB] = ActionEntry(REDUCE, 302);
   _actionMap[645][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[645][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[645][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[645][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[645][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[645][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[645][OR] = ActionEntry(REDUCE, 302);
   _actionMap[645][AND] = ActionEntry(REDUCE, 302);
   _actionMap[646][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[646][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[646][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[646][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[646][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[646][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[646][RB] = ActionEntry(REDUCE, 303);
   _actionMap[646][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[646][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[646][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[646][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[646][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[646][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[646][OR] = ActionEntry(REDUCE, 303);
   _actionMap[646][AND] = ActionEntry(REDUCE, 303);
   _actionMap[647][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[647][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[647][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[647][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[647][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[648][RB] = ActionEntry(SHIFT, 715);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 314);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[649][RB] = ActionEntry(REDUCE, 314);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 314);
}
void Cego::loadParser56()
{
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[649][AND] = ActionEntry(REDUCE, 314);
   _actionMap[649][OR] = ActionEntry(REDUCE, 314);
   _actionMap[650][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[650][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[650][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[650][RB] = ActionEntry(REDUCE, 297);
   _actionMap[651][RB] = ActionEntry(SHIFT, 716);
   _actionMap[652][RB] = ActionEntry(REDUCE, 359);
   _actionMap[653][RB] = ActionEntry(SHIFT, 718);
   _actionMap[653][KSEP] = ActionEntry(SHIFT, 717);
   _actionMap[654][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[654][RB] = ActionEntry(REDUCE, 164);
   _actionMap[655][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[655][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[655][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[655][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[655][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[655][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[655][AS] = ActionEntry(REDUCE, 357);
   _actionMap[655][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[655][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][OR] = ActionEntry(REDUCE, 357);
   _actionMap[655][AND] = ActionEntry(REDUCE, 357);
   _actionMap[655][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[655][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[655][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][IS] = ActionEntry(REDUCE, 357);
   _actionMap[655][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[655][MT] = ActionEntry(REDUCE, 357);
   _actionMap[655][LT] = ActionEntry(REDUCE, 357);
   _actionMap[655][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[655][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[655][RB] = ActionEntry(REDUCE, 357);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[655][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[655][ASC] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser57()
{
   _actionMap[655][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[655][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[655][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[655][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[655][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[655][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[656][RB] = ActionEntry(REDUCE, 230);
   _actionMap[656][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[656][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[656][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[656][ORDER] = ActionEntry(SHIFT, 721);
   _jumpMap[656][NoOrdering] = 720;
   _jumpMap[656][OrderingClause] = 719;
   _actionMap[657][ORDER] = ActionEntry(REDUCE, 221);
   _actionMap[657][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[657][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[657][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[657][RB] = ActionEntry(REDUCE, 221);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[658][BY] = ActionEntry(SHIFT, 722);
   _actionMap[659][ON] = ActionEntry(SHIFT, 724);
   _jumpMap[659][JoinTableOn] = 723;
   _actionMap[660][IDENTIFIER] = ActionEntry(REDUCE, 210);
   _actionMap[660][QUALIFIEDOBJ] = ActionEntry(REDUCE, 210);
   _actionMap[660][QUALIFIEDTS] = ActionEntry(REDUCE, 210);
   _actionMap[661][JOIN] = ActionEntry(SHIFT, 725);
   _actionMap[662][JOIN] = ActionEntry(SHIFT, 726);
   _actionMap[663][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[663][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[663][RB] = ActionEntry(REDUCE, 212);
   _actionMap[663][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[663][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[663][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[663][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[663][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[663][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[664][KSEP] = ActionEntry(SHIFT, 563);
   _actionMap[664][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[664][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[664][RB] = ActionEntry(REDUCE, 213);
   _actionMap[664][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[664][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[664][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[664][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[664][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[664][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[666][VARREF] = ActionEntry(SHIFT, 729);
}
void Cego::loadParser58()
{
   _jumpMap[666][ReturnVar] = 728;
   _jumpMap[666][ReturnVarList] = 727;
   _actionMap[667][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[667][WHERE] = ActionEntry(REDUCE, 243);
   _actionMap[667][GROUP] = ActionEntry(REDUCE, 243);
   _actionMap[667][ORDER] = ActionEntry(REDUCE, 243);
   _actionMap[667][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[667][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[667][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[667][RB] = ActionEntry(REDUCE, 243);
   _actionMap[667][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[667][RETURNTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[668][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[668][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[668][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[668][KSEP] = ActionEntry(REDUCE, 245);
   _actionMap[668][WHERE] = ActionEntry(REDUCE, 245);
   _actionMap[668][GROUP] = ActionEntry(REDUCE, 245);
   _actionMap[668][ORDER] = ActionEntry(REDUCE, 245);
   _actionMap[668][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[668][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[668][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[668][RB] = ActionEntry(REDUCE, 245);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[668][RETURNTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[669][RB] = ActionEntry(SHIFT, 670);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[434][DROP] = ActionEntry(SHIFT, 305);
   _actionMap[434][ADD] = ActionEntry(SHIFT, 573);
   _actionMap[434][MODIFY] = ActionEntry(SHIFT, 306);
   _actionMap[434][RENAME] = ActionEntry(SHIFT, 307);
   _jumpMap[434][AlterOption] = 303;
   _jumpMap[434][AlterList] = 572;
   _actionMap[435][IDENTIFIER] = ActionEntry(SHIFT, 574);
   _actionMap[436][IDENTIFIER] = ActionEntry(SHIFT, 474);
   _jumpMap[436][ColumnDesc] = 575;
   _actionMap[437][KEY] = ActionEntry(SHIFT, 576);
   _actionMap[438][IDENTIFIER] = ActionEntry(SHIFT, 577);
   _actionMap[439][IDENTIFIER] = ActionEntry(SHIFT, 474);
   _jumpMap[439][ColumnDesc] = 578;
   _actionMap[440][IDENTIFIER] = ActionEntry(SHIFT, 579);
   _actionMap[441][FOR] = ActionEntry(SHIFT, 580);
   _actionMap[442][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[442][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[442][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[442][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[442][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[442][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[442][DATE2STR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser59()
{
   _actionMap[442][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[442][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[442][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[442][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[442][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[442][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[442][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[442][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[442][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[442][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[442][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[442][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[442][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[442][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[442][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[442][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[442][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[442][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[442][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[442][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[442][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[442][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[442][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[442][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[442][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[442][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[442][LB] = ActionEntry(SHIFT, 138);
   _actionMap[442][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[442][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[442][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[442][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[442][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[442][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[442][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[442][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[442][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[442][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[442][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[442][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[442][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[442][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[442][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[442][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[442][ObjSpec] = 96;
   _jumpMap[442][Constant] = 95;
   _jumpMap[442][SignedFloat] = 94;
   _jumpMap[442][SignedInt] = 93;
   _jumpMap[442][Attribute] = 92;
   _jumpMap[442][Function] = 91;
   _jumpMap[442][CasePrepare] = 90;
}
void Cego::loadParser60()
{
   _jumpMap[442][CaseClause] = 89;
   _jumpMap[442][Factor] = 88;
   _jumpMap[442][Term] = 87;
   _jumpMap[442][Expr] = 581;
   _actionMap[443][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[444][ELSE] = ActionEntry(REDUCE, 88);
   _actionMap[444][ELSIF] = ActionEntry(REDUCE, 88);
   _actionMap[444][END_TOKEN] = ActionEntry(REDUCE, 88);
   _actionMap[444][EXCEPTION] = ActionEntry(SHIFT, 583);
   _jumpMap[444][ProcExceptionStmt] = 582;
   _actionMap[445][SEMICOLON] = ActionEntry(SHIFT, 584);
   _actionMap[446][END_TOKEN] = ActionEntry(SHIFT, 585);
   _actionMap[447][ELSE] = ActionEntry(SHIFT, 588);
   _actionMap[447][END_TOKEN] = ActionEntry(REDUCE, 124);
   _jumpMap[447][ProcElsePart] = 587;
   _jumpMap[447][ProcElseOpt] = 586;
   _actionMap[448][ELSIF] = ActionEntry(SHIFT, 449);
   _actionMap[448][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[448][ELSE] = ActionEntry(REDUCE, 121);
   _jumpMap[448][ProcElsIfOpt] = 448;
   _jumpMap[448][ProcElsIfList] = 590;
   _actionMap[449][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[449][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[449][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[449][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[449][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[449][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[449][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[449][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[449][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[449][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[449][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[449][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[449][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[449][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[449][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[449][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[449][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[449][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[449][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[449][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[449][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[449][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[449][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[449][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[449][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[449][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[449][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[449][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[449][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser61()
{
   _actionMap[449][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[449][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[449][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[449][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[449][LB] = ActionEntry(SHIFT, 457);
   _actionMap[449][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[449][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[449][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[449][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[449][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[449][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[449][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[449][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[449][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[449][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[449][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[449][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[449][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[449][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[449][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[449][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[449][ObjSpec] = 96;
   _jumpMap[449][Constant] = 95;
   _jumpMap[449][SignedFloat] = 94;
   _jumpMap[449][SignedInt] = 93;
   _jumpMap[449][Attribute] = 92;
   _jumpMap[449][Function] = 91;
   _jumpMap[449][CasePrepare] = 90;
   _jumpMap[449][CaseClause] = 89;
   _jumpMap[449][Factor] = 88;
   _jumpMap[449][Term] = 87;
   _jumpMap[449][Expr] = 456;
   _jumpMap[449][ProcPredicate] = 455;
   _jumpMap[449][ProcCondition] = 592;
   _jumpMap[449][ProcElsIfCondition] = 591;
   _actionMap[450][EXCEPTION] = ActionEntry(REDUCE, 90);
   _actionMap[450][END_TOKEN] = ActionEntry(REDUCE, 90);
   _actionMap[450][ELSE] = ActionEntry(REDUCE, 90);
   _actionMap[450][ELSIF] = ActionEntry(REDUCE, 90);
   _actionMap[450][VAR] = ActionEntry(REDUCE, 90);
   _actionMap[450][CURSOR] = ActionEntry(REDUCE, 90);
   _actionMap[450][CLOSE] = ActionEntry(REDUCE, 90);
   _actionMap[450][VARREF] = ActionEntry(REDUCE, 90);
   _actionMap[450][NOOP] = ActionEntry(REDUCE, 90);
   _actionMap[450][RETURNTOKEN] = ActionEntry(REDUCE, 90);
   _actionMap[450][WHILE] = ActionEntry(REDUCE, 90);
   _actionMap[450][IF] = ActionEntry(REDUCE, 90);
   _actionMap[450][BEGIN] = ActionEntry(REDUCE, 90);
   _actionMap[450][ROLLBACK] = ActionEntry(REDUCE, 90);
}
void Cego::loadParser62()
{
   _actionMap[450][COMMIT] = ActionEntry(REDUCE, 90);
   _actionMap[450][START_TOKEN] = ActionEntry(REDUCE, 90);
   _actionMap[450][UPDATE] = ActionEntry(REDUCE, 90);
   _actionMap[450][DELETETOK] = ActionEntry(REDUCE, 90);
   _actionMap[450][INSERT] = ActionEntry(REDUCE, 90);
   _actionMap[450][FETCH] = ActionEntry(REDUCE, 90);
   _actionMap[450][LB] = ActionEntry(REDUCE, 90);
   _actionMap[450][COUNT] = ActionEntry(REDUCE, 90);
   _actionMap[450][SUM] = ActionEntry(REDUCE, 90);
   _actionMap[450][AVG] = ActionEntry(REDUCE, 90);
   _actionMap[450][MIN] = ActionEntry(REDUCE, 90);
   _actionMap[450][MAX] = ActionEntry(REDUCE, 90);
   _actionMap[450][CASE] = ActionEntry(REDUCE, 90);
   _actionMap[450][TRIM] = ActionEntry(REDUCE, 90);
   _actionMap[450][RTRIM] = ActionEntry(REDUCE, 90);
   _actionMap[450][LTRIM] = ActionEntry(REDUCE, 90);
   _actionMap[450][ROUND] = ActionEntry(REDUCE, 90);
   _actionMap[450][DATE2STR] = ActionEntry(REDUCE, 90);
   _actionMap[450][DATE2INT] = ActionEntry(REDUCE, 90);
   _actionMap[450][INT2DATE] = ActionEntry(REDUCE, 90);
   _actionMap[450][LOWER] = ActionEntry(REDUCE, 90);
   _actionMap[450][UPPER] = ActionEntry(REDUCE, 90);
   _actionMap[450][LEFT] = ActionEntry(REDUCE, 90);
   _actionMap[450][RIGHT] = ActionEntry(REDUCE, 90);
   _actionMap[450][GETPOS] = ActionEntry(REDUCE, 90);
   _actionMap[450][SUBSTR] = ActionEntry(REDUCE, 90);
   _actionMap[450][REPLACE] = ActionEntry(REDUCE, 90);
   _actionMap[450][LENGTH] = ActionEntry(REDUCE, 90);
   _actionMap[450][TRUNC] = ActionEntry(REDUCE, 90);
   _actionMap[450][STR2INT] = ActionEntry(REDUCE, 90);
   _actionMap[450][STR2LONG] = ActionEntry(REDUCE, 90);
   _actionMap[450][RANDSTR] = ActionEntry(REDUCE, 90);
   _actionMap[450][RANDINT] = ActionEntry(REDUCE, 90);
   _actionMap[450][MOD] = ActionEntry(REDUCE, 90);
   _actionMap[450][DIV] = ActionEntry(REDUCE, 90);
   _actionMap[450][POWER] = ActionEntry(REDUCE, 90);
   _actionMap[450][BITAND] = ActionEntry(REDUCE, 90);
   _actionMap[450][BITOR] = ActionEntry(REDUCE, 90);
   _actionMap[450][BITXOR] = ActionEntry(REDUCE, 90);
   _actionMap[450][NEXTCOUNT] = ActionEntry(REDUCE, 90);
   _actionMap[450][SETCOUNT] = ActionEntry(REDUCE, 90);
   _actionMap[450][IDENTIFIER] = ActionEntry(REDUCE, 90);
   _actionMap[450][QUALIFIEDOBJ] = ActionEntry(REDUCE, 90);
   _actionMap[450][QUALIFIEDTS] = ActionEntry(REDUCE, 90);
   _actionMap[450][QUALIFIEDPRE] = ActionEntry(REDUCE, 90);
   _actionMap[450][STRINGVAL] = ActionEntry(REDUCE, 90);
   _actionMap[450][DATE] = ActionEntry(REDUCE, 90);
   _actionMap[450][SYSDATE] = ActionEntry(REDUCE, 90);
   _actionMap[450][NULLTOKEN] = ActionEntry(REDUCE, 90);
   _actionMap[450][TRUEVAL] = ActionEntry(REDUCE, 90);
}
void Cego::loadParser63()
{
   _actionMap[450][FALSEVAL] = ActionEntry(REDUCE, 90);
   _actionMap[450][LAB] = ActionEntry(REDUCE, 90);
   _actionMap[450][FLOATVAL] = ActionEntry(REDUCE, 90);
   _actionMap[450][MINUS] = ActionEntry(REDUCE, 90);
   _actionMap[450][INTVAL] = ActionEntry(REDUCE, 90);
   _actionMap[451][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[452][AS] = ActionEntry(SHIFT, 593);
   _actionMap[453][THEN] = ActionEntry(SHIFT, 594);
   _actionMap[454][OR] = ActionEntry(SHIFT, 596);
   _actionMap[454][AND] = ActionEntry(SHIFT, 595);
   _actionMap[454][THEN] = ActionEntry(REDUCE, 126);
   _actionMap[455][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[455][RB] = ActionEntry(REDUCE, 132);
   _actionMap[455][AND] = ActionEntry(REDUCE, 132);
   _actionMap[455][OR] = ActionEntry(REDUCE, 132);
   _actionMap[455][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[456][IS] = ActionEntry(SHIFT, 598);
   _actionMap[456][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[456][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[456][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[456][EQU] = ActionEntry(SHIFT, 490);
   _actionMap[456][NEGATION] = ActionEntry(SHIFT, 493);
   _actionMap[456][LT] = ActionEntry(SHIFT, 491);
   _actionMap[456][MT] = ActionEntry(SHIFT, 492);
   _jumpMap[456][Comparison] = 597;
   _actionMap[457][LONG] = ActionEntry(SHIFT, 265);
   _actionMap[457][BIGINT] = ActionEntry(SHIFT, 261);
   _actionMap[457][SMALLINT] = ActionEntry(SHIFT, 266);
   _actionMap[457][TINYINT] = ActionEntry(SHIFT, 267);
   _actionMap[457][DOUBLE] = ActionEntry(SHIFT, 263);
   _actionMap[457][DECIMAL] = ActionEntry(SHIFT, 262);
   _actionMap[457][FIXED] = ActionEntry(SHIFT, 264);
   _actionMap[457][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[457][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[457][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[457][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[457][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[457][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[457][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[457][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[457][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[457][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[457][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[457][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[457][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[457][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[457][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[457][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[457][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[457][LENGTH] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser64()
{
   _actionMap[457][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[457][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[457][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[457][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[457][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[457][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[457][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[457][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[457][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[457][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[457][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[457][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[457][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[457][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[457][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[457][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[457][LB] = ActionEntry(SHIFT, 457);
   _actionMap[457][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[457][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[457][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[457][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[457][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[457][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[457][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[457][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[457][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[457][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[457][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[457][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[457][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[457][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[457][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[457][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[457][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[457][ObjSpec] = 96;
   _jumpMap[457][Constant] = 95;
   _jumpMap[457][SignedFloat] = 94;
   _jumpMap[457][SignedInt] = 93;
   _jumpMap[457][Attribute] = 92;
   _jumpMap[457][Function] = 91;
   _jumpMap[457][SelectStatement] = 260;
   _jumpMap[457][CasePrepare] = 90;
   _jumpMap[457][CaseClause] = 89;
   _jumpMap[457][Factor] = 88;
   _jumpMap[457][Term] = 87;
   _jumpMap[457][Expr] = 600;
   _jumpMap[457][ProcPredicate] = 455;
   _jumpMap[457][ProcCondition] = 599;
   _actionMap[458][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[458][MINUS] = ActionEntry(SHIFT, 216);
}
void Cego::loadParser65()
{
   _actionMap[458][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[458][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[459][INT] = ActionEntry(SHIFT, 610);
   _actionMap[459][LONG] = ActionEntry(SHIFT, 611);
   _actionMap[459][STRING] = ActionEntry(SHIFT, 613);
   _actionMap[459][DATETIME] = ActionEntry(SHIFT, 605);
   _actionMap[459][BOOL] = ActionEntry(SHIFT, 604);
   _actionMap[459][BIGINT] = ActionEntry(SHIFT, 602);
   _actionMap[459][FLOAT] = ActionEntry(SHIFT, 609);
   _actionMap[459][DOUBLE] = ActionEntry(SHIFT, 607);
   _actionMap[459][SMALLINT] = ActionEntry(SHIFT, 612);
   _actionMap[459][TINYINT] = ActionEntry(SHIFT, 614);
   _actionMap[459][DECIMAL] = ActionEntry(SHIFT, 606);
   _actionMap[459][FIXED] = ActionEntry(SHIFT, 608);
   _actionMap[459][BLOB] = ActionEntry(SHIFT, 603);
   _jumpMap[459][DataTypeProd] = 601;
   _actionMap[460][BEGIN] = ActionEntry(SHIFT, 615);
   _actionMap[461][OR] = ActionEntry(SHIFT, 596);
   _actionMap[461][AND] = ActionEntry(SHIFT, 595);
   _actionMap[461][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[462][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[462][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[462][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[462][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[462][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[462][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[462][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[462][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[462][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[462][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[462][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[462][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[462][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[462][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[462][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[462][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[462][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[462][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[462][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[462][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[462][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[462][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[462][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[462][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[462][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[462][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[462][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[462][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[462][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[462][NEXTCOUNT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser66()
{
   _actionMap[462][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[462][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[462][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[462][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[462][LB] = ActionEntry(SHIFT, 138);
   _actionMap[462][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[462][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[462][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[462][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[462][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[462][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[462][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[462][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[462][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[462][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[462][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[462][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[462][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[462][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[462][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[462][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[462][ObjSpec] = 96;
   _jumpMap[462][Constant] = 95;
   _jumpMap[462][SignedFloat] = 94;
   _jumpMap[462][SignedInt] = 93;
   _jumpMap[462][Attribute] = 92;
   _jumpMap[462][Function] = 91;
   _jumpMap[462][CasePrepare] = 90;
   _jumpMap[462][CaseClause] = 89;
   _jumpMap[462][Factor] = 88;
   _jumpMap[462][Term] = 87;
   _jumpMap[462][Expr] = 616;
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[463][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[463][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[463][ObjSpec] = 617;
   _actionMap[464][LB] = ActionEntry(SHIFT, 618);
   _actionMap[465][RB] = ActionEntry(SHIFT, 468);
   _actionMap[466][KSEP] = ActionEntry(SHIFT, 619);
   _actionMap[466][RB] = ActionEntry(REDUCE, 82);
   _actionMap[467][KSEP] = ActionEntry(REDUCE, 85);
   _actionMap[467][RB] = ActionEntry(REDUCE, 85);
   _actionMap[468][RETURNTOKEN] = ActionEntry(SHIFT, 621);
   _actionMap[468][BEGIN] = ActionEntry(REDUCE, 81);
   _jumpMap[468][ReturnOpt] = 620;
   _actionMap[469][INTOK] = ActionEntry(SHIFT, 622);
   _actionMap[469][OUTTOK] = ActionEntry(SHIFT, 623);
   _actionMap[470][RB] = ActionEntry(SHIFT, 625);
   _actionMap[470][KSEP] = ActionEntry(SHIFT, 624);
   _actionMap[471][KSEP] = ActionEntry(REDUCE, 166);
}
void Cego::loadParser67()
{
   _actionMap[471][RB] = ActionEntry(REDUCE, 166);
   _actionMap[472][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[472][RB] = ActionEntry(REDUCE, 168);
   _actionMap[473][IDENTIFIER] = ActionEntry(SHIFT, 474);
   _jumpMap[473][ColumnDesc] = 626;
   _actionMap[474][INT] = ActionEntry(SHIFT, 610);
   _actionMap[474][LONG] = ActionEntry(SHIFT, 611);
   _actionMap[474][STRING] = ActionEntry(SHIFT, 613);
   _actionMap[474][DATETIME] = ActionEntry(SHIFT, 605);
   _actionMap[474][BOOL] = ActionEntry(SHIFT, 604);
   _actionMap[474][BIGINT] = ActionEntry(SHIFT, 602);
   _actionMap[474][FLOAT] = ActionEntry(SHIFT, 609);
   _actionMap[474][DOUBLE] = ActionEntry(SHIFT, 607);
   _actionMap[474][SMALLINT] = ActionEntry(SHIFT, 612);
   _actionMap[474][TINYINT] = ActionEntry(SHIFT, 614);
   _actionMap[474][DECIMAL] = ActionEntry(SHIFT, 606);
   _actionMap[474][FIXED] = ActionEntry(SHIFT, 608);
   _actionMap[474][BLOB] = ActionEntry(SHIFT, 603);
   _jumpMap[474][DataTypeProd] = 627;
   _actionMap[475][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[476][AND] = ActionEntry(SHIFT, 494);
   _actionMap[476][OR] = ActionEntry(SHIFT, 495);
   _actionMap[476][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[476][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[476][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[476][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[476][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[476][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[476][RB] = ActionEntry(REDUCE, 299);
   _actionMap[476][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[477][KSEP] = ActionEntry(SHIFT, 628);
   _actionMap[477][SEMICOLON] = ActionEntry(REDUCE, 185);
   _actionMap[478][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[478][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[479][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[479][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[479][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[479][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[479][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[479][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[479][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[479][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[479][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[479][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[479][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[479][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[479][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[479][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[479][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[479][SUBSTR] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser68()
{
   _actionMap[479][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[479][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[479][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[479][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[479][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[479][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[479][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[479][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[479][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[479][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[479][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[479][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[479][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[479][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[479][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[479][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[479][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[479][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[479][LB] = ActionEntry(SHIFT, 138);
   _actionMap[479][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[479][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[479][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[479][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[479][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[479][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[479][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[479][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[479][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[479][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[479][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[479][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[479][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[479][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[479][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[479][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[479][ObjSpec] = 96;
   _jumpMap[479][Constant] = 95;
   _jumpMap[479][SignedFloat] = 94;
   _jumpMap[479][SignedInt] = 93;
   _jumpMap[479][Attribute] = 92;
   _jumpMap[479][Function] = 91;
   _jumpMap[479][InsertValueList] = 630;
   _jumpMap[479][CasePrepare] = 90;
   _jumpMap[479][CaseClause] = 89;
   _jumpMap[479][Factor] = 88;
   _jumpMap[479][Term] = 87;
   _jumpMap[479][Expr] = 629;
   _actionMap[480][RB] = ActionEntry(SHIFT, 632);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 631);
   _actionMap[481][KSEP] = ActionEntry(REDUCE, 194);
}
void Cego::loadParser69()
{
   _actionMap[481][RB] = ActionEntry(REDUCE, 194);
   _actionMap[482][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[483][END_TOKEN] = ActionEntry(SHIFT, 633);
   _actionMap[483][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[483][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[483][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[484][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[484][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[484][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[484][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[484][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[484][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[484][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[484][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[484][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[484][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[484][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[484][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[484][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[484][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[484][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[484][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[484][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[484][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[484][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[484][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[484][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[484][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[484][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[484][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[484][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[484][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[484][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[484][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[484][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[484][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[484][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[484][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[484][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[484][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[484][LB] = ActionEntry(SHIFT, 138);
   _actionMap[484][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[484][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[484][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[484][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[484][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[484][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[484][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[484][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[484][CASE] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser70()
{
   _actionMap[484][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[484][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[484][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[484][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[484][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[484][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[484][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[484][ObjSpec] = 96;
   _jumpMap[484][Constant] = 95;
   _jumpMap[484][SignedFloat] = 94;
   _jumpMap[484][SignedInt] = 93;
   _jumpMap[484][Attribute] = 92;
   _jumpMap[484][Function] = 91;
   _jumpMap[484][CasePrepare] = 90;
   _jumpMap[484][CaseClause] = 89;
   _jumpMap[484][Factor] = 88;
   _jumpMap[484][Term] = 87;
   _jumpMap[484][Expr] = 634;
   _actionMap[485][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[485][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[485][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[485][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[485][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[485][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[485][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[485][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[485][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[485][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[485][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[485][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[485][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[485][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[485][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[485][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[485][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[485][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[485][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[485][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[485][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[485][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[485][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[485][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[485][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[485][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[485][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[485][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[485][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[485][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[485][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[485][IDENTIFIER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser71()
{
   _actionMap[485][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[485][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[485][LB] = ActionEntry(SHIFT, 138);
   _actionMap[485][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[485][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[485][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[485][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[485][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[485][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[485][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[485][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[485][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[485][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[485][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[485][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[485][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[485][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[485][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[485][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[485][ObjSpec] = 96;
   _jumpMap[485][Constant] = 95;
   _jumpMap[485][SignedFloat] = 94;
   _jumpMap[485][SignedInt] = 93;
   _jumpMap[485][Attribute] = 92;
   _jumpMap[485][Function] = 91;
   _jumpMap[485][CasePrepare] = 90;
   _jumpMap[485][CaseClause] = 89;
   _jumpMap[485][Factor] = 88;
   _jumpMap[485][Term] = 87;
   _jumpMap[485][Expr] = 635;
   _actionMap[486][LB] = ActionEntry(SHIFT, 636);
   _actionMap[487][NOT] = ActionEntry(SHIFT, 637);
   _actionMap[487][NULLTOKEN] = ActionEntry(SHIFT, 638);
   _actionMap[488][STRINGVAL] = ActionEntry(SHIFT, 639);
   _actionMap[489][LIKE] = ActionEntry(SHIFT, 641);
   _actionMap[489][INTOK] = ActionEntry(SHIFT, 640);
   _actionMap[490][VARREF] = ActionEntry(REDUCE, 329);
   _actionMap[490][FETCH] = ActionEntry(REDUCE, 329);
   _actionMap[490][LB] = ActionEntry(REDUCE, 329);
   _actionMap[490][COUNT] = ActionEntry(REDUCE, 329);
   _actionMap[490][SUM] = ActionEntry(REDUCE, 329);
   _actionMap[490][AVG] = ActionEntry(REDUCE, 329);
   _actionMap[490][MIN] = ActionEntry(REDUCE, 329);
   _actionMap[490][MAX] = ActionEntry(REDUCE, 329);
   _actionMap[490][CASE] = ActionEntry(REDUCE, 329);
   _actionMap[490][TRIM] = ActionEntry(REDUCE, 329);
   _actionMap[490][RTRIM] = ActionEntry(REDUCE, 329);
   _actionMap[490][LTRIM] = ActionEntry(REDUCE, 329);
   _actionMap[490][ROUND] = ActionEntry(REDUCE, 329);
   _actionMap[490][DATE2STR] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser72()
{
   _actionMap[490][DATE2INT] = ActionEntry(REDUCE, 329);
   _actionMap[490][INT2DATE] = ActionEntry(REDUCE, 329);
   _actionMap[490][LOWER] = ActionEntry(REDUCE, 329);
   _actionMap[490][UPPER] = ActionEntry(REDUCE, 329);
   _actionMap[490][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[490][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[490][GETPOS] = ActionEntry(REDUCE, 329);
   _actionMap[490][SUBSTR] = ActionEntry(REDUCE, 329);
   _actionMap[490][REPLACE] = ActionEntry(REDUCE, 329);
   _actionMap[490][LENGTH] = ActionEntry(REDUCE, 329);
   _actionMap[490][TRUNC] = ActionEntry(REDUCE, 329);
   _actionMap[490][STR2INT] = ActionEntry(REDUCE, 329);
   _actionMap[490][STR2LONG] = ActionEntry(REDUCE, 329);
   _actionMap[490][RANDSTR] = ActionEntry(REDUCE, 329);
   _actionMap[490][RANDINT] = ActionEntry(REDUCE, 329);
   _actionMap[490][MOD] = ActionEntry(REDUCE, 329);
   _actionMap[490][DIV] = ActionEntry(REDUCE, 329);
   _actionMap[490][POWER] = ActionEntry(REDUCE, 329);
   _actionMap[490][BITAND] = ActionEntry(REDUCE, 329);
   _actionMap[490][BITOR] = ActionEntry(REDUCE, 329);
   _actionMap[490][BITXOR] = ActionEntry(REDUCE, 329);
   _actionMap[490][NEXTCOUNT] = ActionEntry(REDUCE, 329);
   _actionMap[490][SETCOUNT] = ActionEntry(REDUCE, 329);
   _actionMap[490][IDENTIFIER] = ActionEntry(REDUCE, 329);
   _actionMap[490][QUALIFIEDOBJ] = ActionEntry(REDUCE, 329);
   _actionMap[490][QUALIFIEDTS] = ActionEntry(REDUCE, 329);
   _actionMap[490][QUALIFIEDPRE] = ActionEntry(REDUCE, 329);
   _actionMap[490][STRINGVAL] = ActionEntry(REDUCE, 329);
   _actionMap[490][DATE] = ActionEntry(REDUCE, 329);
   _actionMap[490][SYSDATE] = ActionEntry(REDUCE, 329);
   _actionMap[490][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[490][TRUEVAL] = ActionEntry(REDUCE, 329);
   _actionMap[490][FALSEVAL] = ActionEntry(REDUCE, 329);
   _actionMap[490][LAB] = ActionEntry(REDUCE, 329);
   _actionMap[490][FLOATVAL] = ActionEntry(REDUCE, 329);
   _actionMap[490][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[490][INTVAL] = ActionEntry(REDUCE, 329);
   _actionMap[491][VARREF] = ActionEntry(REDUCE, 331);
   _actionMap[491][FETCH] = ActionEntry(REDUCE, 331);
   _actionMap[491][LB] = ActionEntry(REDUCE, 331);
   _actionMap[491][COUNT] = ActionEntry(REDUCE, 331);
   _actionMap[491][SUM] = ActionEntry(REDUCE, 331);
   _actionMap[491][AVG] = ActionEntry(REDUCE, 331);
   _actionMap[491][MIN] = ActionEntry(REDUCE, 331);
   _actionMap[491][MAX] = ActionEntry(REDUCE, 331);
   _actionMap[491][CASE] = ActionEntry(REDUCE, 331);
   _actionMap[491][TRIM] = ActionEntry(REDUCE, 331);
   _actionMap[491][RTRIM] = ActionEntry(REDUCE, 331);
   _actionMap[491][LTRIM] = ActionEntry(REDUCE, 331);
   _actionMap[491][ROUND] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser73()
{
   _actionMap[491][DATE2STR] = ActionEntry(REDUCE, 331);
   _actionMap[491][DATE2INT] = ActionEntry(REDUCE, 331);
   _actionMap[491][INT2DATE] = ActionEntry(REDUCE, 331);
   _actionMap[491][LOWER] = ActionEntry(REDUCE, 331);
   _actionMap[491][UPPER] = ActionEntry(REDUCE, 331);
   _actionMap[491][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[491][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[491][GETPOS] = ActionEntry(REDUCE, 331);
   _actionMap[491][SUBSTR] = ActionEntry(REDUCE, 331);
   _actionMap[491][REPLACE] = ActionEntry(REDUCE, 331);
   _actionMap[491][LENGTH] = ActionEntry(REDUCE, 331);
   _actionMap[491][TRUNC] = ActionEntry(REDUCE, 331);
   _actionMap[491][STR2INT] = ActionEntry(REDUCE, 331);
   _actionMap[491][STR2LONG] = ActionEntry(REDUCE, 331);
   _actionMap[491][RANDSTR] = ActionEntry(REDUCE, 331);
   _actionMap[491][RANDINT] = ActionEntry(REDUCE, 331);
   _actionMap[491][MOD] = ActionEntry(REDUCE, 331);
   _actionMap[491][DIV] = ActionEntry(REDUCE, 331);
   _actionMap[491][POWER] = ActionEntry(REDUCE, 331);
   _actionMap[491][BITAND] = ActionEntry(REDUCE, 331);
   _actionMap[491][BITOR] = ActionEntry(REDUCE, 331);
   _actionMap[491][BITXOR] = ActionEntry(REDUCE, 331);
   _actionMap[491][NEXTCOUNT] = ActionEntry(REDUCE, 331);
   _actionMap[491][SETCOUNT] = ActionEntry(REDUCE, 331);
   _actionMap[491][IDENTIFIER] = ActionEntry(REDUCE, 331);
   _actionMap[491][QUALIFIEDOBJ] = ActionEntry(REDUCE, 331);
   _actionMap[491][QUALIFIEDTS] = ActionEntry(REDUCE, 331);
   _actionMap[491][QUALIFIEDPRE] = ActionEntry(REDUCE, 331);
   _actionMap[491][STRINGVAL] = ActionEntry(REDUCE, 331);
   _actionMap[491][DATE] = ActionEntry(REDUCE, 331);
   _actionMap[491][SYSDATE] = ActionEntry(REDUCE, 331);
   _actionMap[491][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[491][TRUEVAL] = ActionEntry(REDUCE, 331);
   _actionMap[491][FALSEVAL] = ActionEntry(REDUCE, 331);
   _actionMap[491][LAB] = ActionEntry(REDUCE, 331);
   _actionMap[491][FLOATVAL] = ActionEntry(REDUCE, 331);
   _actionMap[491][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[491][INTVAL] = ActionEntry(REDUCE, 331);
   _actionMap[491][EQU] = ActionEntry(SHIFT, 642);
   _actionMap[492][VARREF] = ActionEntry(REDUCE, 332);
   _actionMap[492][FETCH] = ActionEntry(REDUCE, 332);
   _actionMap[492][LB] = ActionEntry(REDUCE, 332);
   _actionMap[492][COUNT] = ActionEntry(REDUCE, 332);
   _actionMap[492][SUM] = ActionEntry(REDUCE, 332);
   _actionMap[492][AVG] = ActionEntry(REDUCE, 332);
   _actionMap[492][MIN] = ActionEntry(REDUCE, 332);
   _actionMap[492][MAX] = ActionEntry(REDUCE, 332);
   _actionMap[492][CASE] = ActionEntry(REDUCE, 332);
   _actionMap[492][TRIM] = ActionEntry(REDUCE, 332);
   _actionMap[492][RTRIM] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser74()
{
   _actionMap[492][LTRIM] = ActionEntry(REDUCE, 332);
   _actionMap[492][ROUND] = ActionEntry(REDUCE, 332);
   _actionMap[492][DATE2STR] = ActionEntry(REDUCE, 332);
   _actionMap[492][DATE2INT] = ActionEntry(REDUCE, 332);
   _actionMap[492][INT2DATE] = ActionEntry(REDUCE, 332);
   _actionMap[492][LOWER] = ActionEntry(REDUCE, 332);
   _actionMap[492][UPPER] = ActionEntry(REDUCE, 332);
   _actionMap[492][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[492][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[492][GETPOS] = ActionEntry(REDUCE, 332);
   _actionMap[492][SUBSTR] = ActionEntry(REDUCE, 332);
   _actionMap[492][REPLACE] = ActionEntry(REDUCE, 332);
   _actionMap[492][LENGTH] = ActionEntry(REDUCE, 332);
   _actionMap[492][TRUNC] = ActionEntry(REDUCE, 332);
   _actionMap[492][STR2INT] = ActionEntry(REDUCE, 332);
   _actionMap[492][STR2LONG] = ActionEntry(REDUCE, 332);
   _actionMap[492][RANDSTR] = ActionEntry(REDUCE, 332);
   _actionMap[492][RANDINT] = ActionEntry(REDUCE, 332);
   _actionMap[492][MOD] = ActionEntry(REDUCE, 332);
   _actionMap[492][DIV] = ActionEntry(REDUCE, 332);
   _actionMap[492][POWER] = ActionEntry(REDUCE, 332);
   _actionMap[492][BITAND] = ActionEntry(REDUCE, 332);
   _actionMap[492][BITOR] = ActionEntry(REDUCE, 332);
   _actionMap[492][BITXOR] = ActionEntry(REDUCE, 332);
   _actionMap[492][NEXTCOUNT] = ActionEntry(REDUCE, 332);
   _actionMap[492][SETCOUNT] = ActionEntry(REDUCE, 332);
   _actionMap[492][IDENTIFIER] = ActionEntry(REDUCE, 332);
   _actionMap[492][QUALIFIEDOBJ] = ActionEntry(REDUCE, 332);
   _actionMap[492][QUALIFIEDTS] = ActionEntry(REDUCE, 332);
   _actionMap[492][QUALIFIEDPRE] = ActionEntry(REDUCE, 332);
   _actionMap[492][STRINGVAL] = ActionEntry(REDUCE, 332);
   _actionMap[492][DATE] = ActionEntry(REDUCE, 332);
   _actionMap[492][SYSDATE] = ActionEntry(REDUCE, 332);
   _actionMap[492][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[492][TRUEVAL] = ActionEntry(REDUCE, 332);
   _actionMap[492][FALSEVAL] = ActionEntry(REDUCE, 332);
   _actionMap[492][LAB] = ActionEntry(REDUCE, 332);
   _actionMap[492][FLOATVAL] = ActionEntry(REDUCE, 332);
   _actionMap[492][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[492][INTVAL] = ActionEntry(REDUCE, 332);
   _actionMap[492][EQU] = ActionEntry(SHIFT, 643);
   _actionMap[493][EQU] = ActionEntry(SHIFT, 644);
   _actionMap[494][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[494][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[494][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[494][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[494][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[494][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[494][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[494][DATE2STR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser75()
{
   _actionMap[494][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[494][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[494][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[494][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[494][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[494][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[494][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[494][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[494][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[494][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[494][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[494][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[494][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[494][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[494][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[494][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[494][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[494][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[494][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[494][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[494][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[494][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[494][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[494][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[494][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[494][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[494][LB] = ActionEntry(SHIFT, 362);
   _actionMap[494][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[494][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[494][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[494][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[494][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[494][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[494][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[494][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[494][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[494][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[494][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[494][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[494][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[494][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[494][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[494][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[494][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[494][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[494][ObjSpec] = 96;
   _jumpMap[494][Constant] = 95;
   _jumpMap[494][SignedFloat] = 94;
   _jumpMap[494][SignedInt] = 93;
   _jumpMap[494][Attribute] = 92;
}
void Cego::loadParser76()
{
   _jumpMap[494][QueryPredicate] = 645;
   _jumpMap[494][Function] = 91;
   _jumpMap[494][CasePrepare] = 90;
   _jumpMap[494][CaseClause] = 89;
   _jumpMap[494][Factor] = 88;
   _jumpMap[494][Term] = 87;
   _jumpMap[494][Expr] = 357;
   _actionMap[495][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[495][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[495][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[495][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[495][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[495][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[495][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[495][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[495][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[495][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[495][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[495][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[495][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[495][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[495][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[495][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[495][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[495][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[495][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[495][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[495][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[495][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[495][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[495][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[495][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[495][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[495][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[495][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[495][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[495][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[495][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[495][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[495][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[495][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[495][LB] = ActionEntry(SHIFT, 362);
   _actionMap[495][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[495][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[495][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[495][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[495][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[495][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[495][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[495][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser77()
{
   _actionMap[495][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[495][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[495][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[495][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[495][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[495][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[495][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[495][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[495][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[495][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[495][ObjSpec] = 96;
   _jumpMap[495][Constant] = 95;
   _jumpMap[495][SignedFloat] = 94;
   _jumpMap[495][SignedInt] = 93;
   _jumpMap[495][Attribute] = 92;
   _jumpMap[495][QueryPredicate] = 646;
   _jumpMap[495][Function] = 91;
   _jumpMap[495][CasePrepare] = 90;
   _jumpMap[495][CaseClause] = 89;
   _jumpMap[495][Factor] = 88;
   _jumpMap[495][Term] = 87;
   _jumpMap[495][Expr] = 357;
   _actionMap[496][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[496][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[496][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[496][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[496][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[496][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[496][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[496][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[496][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[496][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[496][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[496][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[496][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[496][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[496][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[496][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[496][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[496][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[496][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[496][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[496][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[496][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[496][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[496][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[496][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[496][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[496][BITOR] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser78()
{
   _actionMap[496][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[496][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[496][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[496][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[496][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[496][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[496][LB] = ActionEntry(SHIFT, 138);
   _actionMap[496][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[496][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[496][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[496][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[496][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[496][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[496][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[496][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[496][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[496][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[496][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[496][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[496][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[496][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[496][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[496][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[496][ObjSpec] = 96;
   _jumpMap[496][Constant] = 95;
   _jumpMap[496][SignedFloat] = 94;
   _jumpMap[496][SignedInt] = 93;
   _jumpMap[496][Attribute] = 92;
   _jumpMap[496][Function] = 91;
   _jumpMap[496][CasePrepare] = 90;
   _jumpMap[496][CaseClause] = 89;
   _jumpMap[496][Factor] = 88;
   _jumpMap[496][Term] = 87;
   _jumpMap[496][Expr] = 647;
   _actionMap[497][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[497][SelectStatement] = 648;
   _actionMap[498][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[498][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[498][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[498][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[498][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[498][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[498][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[498][RB] = ActionEntry(REDUCE, 315);
   _actionMap[498][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[498][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[498][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[498][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[498][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[498][WHERE] = ActionEntry(REDUCE, 315);
}
void Cego::loadParser79()
{
   _actionMap[498][AND] = ActionEntry(REDUCE, 315);
   _actionMap[498][OR] = ActionEntry(REDUCE, 315);
   _actionMap[499][RB] = ActionEntry(SHIFT, 403);
   _actionMap[499][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[499][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[499][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[499][INTOK] = ActionEntry(SHIFT, 486);
   _actionMap[499][NOT] = ActionEntry(SHIFT, 489);
   _actionMap[499][BETWEEN] = ActionEntry(SHIFT, 485);
   _actionMap[499][IS] = ActionEntry(SHIFT, 487);
   _actionMap[499][LIKE] = ActionEntry(SHIFT, 488);
   _actionMap[499][EQU] = ActionEntry(SHIFT, 490);
   _actionMap[499][NEGATION] = ActionEntry(SHIFT, 493);
   _actionMap[499][LT] = ActionEntry(SHIFT, 491);
   _actionMap[499][MT] = ActionEntry(SHIFT, 492);
   _jumpMap[499][Comparison] = 484;
   _actionMap[500][RB] = ActionEntry(SHIFT, 649);
   _actionMap[500][AND] = ActionEntry(SHIFT, 494);
   _actionMap[500][OR] = ActionEntry(SHIFT, 495);
   _actionMap[501][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[501][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[501][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[501][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[501][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[501][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[501][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[501][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[501][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[501][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[501][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[501][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[501][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[501][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[501][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[501][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[501][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[501][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[501][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[501][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[501][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[501][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[501][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[501][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[501][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[501][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[501][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[501][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[501][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[501][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[501][SETCOUNT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser80()
{
   _actionMap[501][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[501][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[501][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[501][LB] = ActionEntry(SHIFT, 138);
   _actionMap[501][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[501][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[501][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[501][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[501][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[501][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[501][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[501][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[501][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[501][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[501][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[501][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[501][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[501][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[501][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[501][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[501][ObjSpec] = 96;
   _jumpMap[501][Constant] = 95;
   _jumpMap[501][SignedFloat] = 94;
   _jumpMap[501][SignedInt] = 93;
   _jumpMap[501][Attribute] = 92;
   _jumpMap[501][Function] = 91;
   _jumpMap[501][CasePrepare] = 90;
   _jumpMap[501][CaseClause] = 89;
   _jumpMap[501][Factor] = 88;
   _jumpMap[501][Term] = 87;
   _jumpMap[501][Expr] = 650;
   _actionMap[502][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[502][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[502][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[502][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[502][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[502][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[502][AS] = ActionEntry(REDUCE, 295);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[502][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][OR] = ActionEntry(REDUCE, 295);
   _actionMap[502][AND] = ActionEntry(REDUCE, 295);
   _actionMap[502][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[502][NOT] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser81()
{
   _actionMap[502][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][IS] = ActionEntry(REDUCE, 295);
   _actionMap[502][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[502][MT] = ActionEntry(REDUCE, 295);
   _actionMap[502][LT] = ActionEntry(REDUCE, 295);
   _actionMap[502][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[502][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[502][RB] = ActionEntry(REDUCE, 295);
   _actionMap[502][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[502][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[502][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[502][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[502][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[502][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[502][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[502][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[502][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[502][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[502][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[503][AS] = ActionEntry(REDUCE, 154);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][OR] = ActionEntry(REDUCE, 154);
   _actionMap[503][AND] = ActionEntry(REDUCE, 154);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[503][IS] = ActionEntry(REDUCE, 154);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[503][LT] = ActionEntry(REDUCE, 154);
   _actionMap[503][MT] = ActionEntry(REDUCE, 154);
   _actionMap[503][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser82()
{
   _actionMap[503][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[503][RB] = ActionEntry(REDUCE, 154);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[503][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[504][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[504][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[504][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[504][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[504][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[504][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[504][AS] = ActionEntry(REDUCE, 290);
   _actionMap[504][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[504][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][OR] = ActionEntry(REDUCE, 290);
   _actionMap[504][AND] = ActionEntry(REDUCE, 290);
   _actionMap[504][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[504][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[504][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][IS] = ActionEntry(REDUCE, 290);
   _actionMap[504][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[504][MT] = ActionEntry(REDUCE, 290);
   _actionMap[504][LT] = ActionEntry(REDUCE, 290);
   _actionMap[504][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[504][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[504][RB] = ActionEntry(REDUCE, 290);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[504][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[504][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[504][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[504][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[504][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[504][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[504][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[505][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][ELSE] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser83()
{
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[505][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[505][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[505][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[505][AS] = ActionEntry(REDUCE, 291);
   _actionMap[505][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[505][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][OR] = ActionEntry(REDUCE, 291);
   _actionMap[505][AND] = ActionEntry(REDUCE, 291);
   _actionMap[505][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[505][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[505][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][IS] = ActionEntry(REDUCE, 291);
   _actionMap[505][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[505][MT] = ActionEntry(REDUCE, 291);
   _actionMap[505][LT] = ActionEntry(REDUCE, 291);
   _actionMap[505][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[505][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[505][RB] = ActionEntry(REDUCE, 291);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[505][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[505][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[505][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[505][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[505][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[505][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[506][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[506][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[506][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[506][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[506][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[506][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[506][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[506][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[506][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[506][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[506][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[506][AS] = ActionEntry(REDUCE, 292);
   _actionMap[506][END_TOKEN] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser84()
{
   _actionMap[506][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[506][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[506][OR] = ActionEntry(REDUCE, 292);
   _actionMap[506][AND] = ActionEntry(REDUCE, 292);
   _actionMap[506][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[506][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[506][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[506][IS] = ActionEntry(REDUCE, 292);
   _actionMap[506][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[506][MT] = ActionEntry(REDUCE, 292);
   _actionMap[506][LT] = ActionEntry(REDUCE, 292);
   _actionMap[506][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[506][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[506][RB] = ActionEntry(REDUCE, 292);
   _actionMap[506][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[506][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[506][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[506][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[506][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[506][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[506][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[506][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[506][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[506][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[506][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[506][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[507][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[507][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[507][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[507][AS] = ActionEntry(REDUCE, 155);
   _actionMap[507][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[507][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][OR] = ActionEntry(REDUCE, 155);
   _actionMap[507][AND] = ActionEntry(REDUCE, 155);
   _actionMap[507][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[507][IS] = ActionEntry(REDUCE, 155);
   _actionMap[507][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[507][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[507][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[507][NEGATION] = ActionEntry(REDUCE, 155);
}
void Cego::loadParser85()
{
   _actionMap[507][LT] = ActionEntry(REDUCE, 155);
   _actionMap[507][MT] = ActionEntry(REDUCE, 155);
   _actionMap[507][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[507][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[507][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[507][RB] = ActionEntry(REDUCE, 155);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[507][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[507][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[507][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[507][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[508][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[508][AS] = ActionEntry(REDUCE, 152);
   _actionMap[508][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[508][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[508][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][OR] = ActionEntry(REDUCE, 152);
   _actionMap[508][AND] = ActionEntry(REDUCE, 152);
   _actionMap[508][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[508][IS] = ActionEntry(REDUCE, 152);
   _actionMap[508][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[508][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[508][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[508][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[508][LT] = ActionEntry(REDUCE, 152);
   _actionMap[508][MT] = ActionEntry(REDUCE, 152);
   _actionMap[508][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[508][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[508][RB] = ActionEntry(REDUCE, 152);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[508][CONCAT] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser86()
{
   _actionMap[508][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[508][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[508][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[509][STRINGVAL] = ActionEntry(SHIFT, 652);
   _jumpMap[509][DateValue] = 651;
   _actionMap[510][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[510][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[510][RIGHT] = ActionEntry(REDUCE, 271);
   _actionMap[510][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[510][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[510][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[510][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[510][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[510][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[510][AS] = ActionEntry(REDUCE, 271);
   _actionMap[510][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[510][THEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][OR] = ActionEntry(REDUCE, 271);
   _actionMap[510][AND] = ActionEntry(REDUCE, 271);
   _actionMap[510][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[510][NOT] = ActionEntry(REDUCE, 271);
   _actionMap[510][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][IS] = ActionEntry(REDUCE, 271);
   _actionMap[510][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[510][MT] = ActionEntry(REDUCE, 271);
   _actionMap[510][LT] = ActionEntry(REDUCE, 271);
   _actionMap[510][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[510][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[510][RB] = ActionEntry(REDUCE, 271);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[510][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[510][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[510][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[510][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[510][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[510][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[510][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[510][DIVISION] = ActionEntry(REDUCE, 271);
   _actionMap[510][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[510][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[511][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[511][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[511][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[511][INNER] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser87()
{
   _actionMap[511][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[511][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[511][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[511][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[511][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[511][AS] = ActionEntry(REDUCE, 272);
   _actionMap[511][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[511][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][OR] = ActionEntry(REDUCE, 272);
   _actionMap[511][AND] = ActionEntry(REDUCE, 272);
   _actionMap[511][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[511][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[511][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][IS] = ActionEntry(REDUCE, 272);
   _actionMap[511][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[511][MT] = ActionEntry(REDUCE, 272);
   _actionMap[511][LT] = ActionEntry(REDUCE, 272);
   _actionMap[511][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[511][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[511][RB] = ActionEntry(REDUCE, 272);
   _actionMap[511][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[511][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[511][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[511][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[511][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[511][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[511][PLUS] = ActionEntry(REDUCE, 272);
   _actionMap[511][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[511][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[511][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[511][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[512][AS] = ActionEntry(REDUCE, 288);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[512][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][OR] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser88()
{
   _actionMap[512][AND] = ActionEntry(REDUCE, 288);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][IS] = ActionEntry(REDUCE, 288);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[512][MT] = ActionEntry(REDUCE, 288);
   _actionMap[512][LT] = ActionEntry(REDUCE, 288);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[512][RB] = ActionEntry(REDUCE, 288);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[512][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[513][VARREF] = ActionEntry(SHIFT, 654);
   _jumpMap[513][FetchArgList] = 653;
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[514][AS] = ActionEntry(REDUCE, 278);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][OR] = ActionEntry(REDUCE, 278);
   _actionMap[514][AND] = ActionEntry(REDUCE, 278);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][IS] = ActionEntry(REDUCE, 278);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[514][MT] = ActionEntry(REDUCE, 278);
   _actionMap[514][LT] = ActionEntry(REDUCE, 278);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser89()
{
   _actionMap[514][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[514][RB] = ActionEntry(REDUCE, 278);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[515][AS] = ActionEntry(REDUCE, 273);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[515][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][OR] = ActionEntry(REDUCE, 273);
   _actionMap[515][AND] = ActionEntry(REDUCE, 273);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[515][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][IS] = ActionEntry(REDUCE, 273);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[515][MT] = ActionEntry(REDUCE, 273);
   _actionMap[515][LT] = ActionEntry(REDUCE, 273);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[515][RB] = ActionEntry(REDUCE, 273);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser90()
{
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[516][AS] = ActionEntry(REDUCE, 276);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][OR] = ActionEntry(REDUCE, 276);
   _actionMap[516][AND] = ActionEntry(REDUCE, 276);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][IS] = ActionEntry(REDUCE, 276);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[516][MT] = ActionEntry(REDUCE, 276);
   _actionMap[516][LT] = ActionEntry(REDUCE, 276);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[516][RB] = ActionEntry(REDUCE, 276);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser91()
{
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[517][AS] = ActionEntry(REDUCE, 281);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][OR] = ActionEntry(REDUCE, 281);
   _actionMap[517][AND] = ActionEntry(REDUCE, 281);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][IS] = ActionEntry(REDUCE, 281);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[517][MT] = ActionEntry(REDUCE, 281);
   _actionMap[517][LT] = ActionEntry(REDUCE, 281);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[517][RB] = ActionEntry(REDUCE, 281);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[518][AS] = ActionEntry(REDUCE, 274);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][OR] = ActionEntry(REDUCE, 274);
   _actionMap[518][AND] = ActionEntry(REDUCE, 274);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser92()
{
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][IS] = ActionEntry(REDUCE, 274);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[518][MT] = ActionEntry(REDUCE, 274);
   _actionMap[518][LT] = ActionEntry(REDUCE, 274);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[518][RB] = ActionEntry(REDUCE, 274);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 269);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 269);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 269);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 269);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 269);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 269);
   _actionMap[519][AS] = ActionEntry(REDUCE, 269);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 269);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][OR] = ActionEntry(REDUCE, 269);
   _actionMap[519][AND] = ActionEntry(REDUCE, 269);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 269);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 269);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][IS] = ActionEntry(REDUCE, 269);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 269);
   _actionMap[519][MT] = ActionEntry(REDUCE, 269);
   _actionMap[519][LT] = ActionEntry(REDUCE, 269);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 269);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 269);
   _actionMap[519][RB] = ActionEntry(REDUCE, 269);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser93()
{
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 269);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 269);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 269);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 269);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 269);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 269);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 269);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[520][AS] = ActionEntry(REDUCE, 156);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][OR] = ActionEntry(REDUCE, 156);
   _actionMap[520][AND] = ActionEntry(REDUCE, 156);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[520][IS] = ActionEntry(REDUCE, 156);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[520][LT] = ActionEntry(REDUCE, 156);
   _actionMap[520][MT] = ActionEntry(REDUCE, 156);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[520][RB] = ActionEntry(REDUCE, 156);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 157);
}
void Cego::loadParser94()
{
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[521][AS] = ActionEntry(REDUCE, 157);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][OR] = ActionEntry(REDUCE, 157);
   _actionMap[521][AND] = ActionEntry(REDUCE, 157);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[521][IS] = ActionEntry(REDUCE, 157);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[521][LT] = ActionEntry(REDUCE, 157);
   _actionMap[521][MT] = ActionEntry(REDUCE, 157);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[521][RB] = ActionEntry(REDUCE, 157);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[522][AS] = ActionEntry(REDUCE, 287);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser95()
{
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[522][OR] = ActionEntry(REDUCE, 287);
   _actionMap[522][AND] = ActionEntry(REDUCE, 287);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[522][IS] = ActionEntry(REDUCE, 287);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[522][MT] = ActionEntry(REDUCE, 287);
   _actionMap[522][LT] = ActionEntry(REDUCE, 287);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[522][RB] = ActionEntry(REDUCE, 287);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[523][AS] = ActionEntry(REDUCE, 293);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][OR] = ActionEntry(REDUCE, 293);
   _actionMap[523][AND] = ActionEntry(REDUCE, 293);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][IS] = ActionEntry(REDUCE, 293);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[523][MT] = ActionEntry(REDUCE, 293);
   _actionMap[523][LT] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser96()
{
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[523][RB] = ActionEntry(REDUCE, 293);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[524][AS] = ActionEntry(REDUCE, 289);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][OR] = ActionEntry(REDUCE, 289);
   _actionMap[524][AND] = ActionEntry(REDUCE, 289);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][IS] = ActionEntry(REDUCE, 289);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[524][MT] = ActionEntry(REDUCE, 289);
   _actionMap[524][LT] = ActionEntry(REDUCE, 289);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[524][RB] = ActionEntry(REDUCE, 289);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser97()
{
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[525][AS] = ActionEntry(REDUCE, 285);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][OR] = ActionEntry(REDUCE, 285);
   _actionMap[525][AND] = ActionEntry(REDUCE, 285);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][IS] = ActionEntry(REDUCE, 285);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[525][MT] = ActionEntry(REDUCE, 285);
   _actionMap[525][LT] = ActionEntry(REDUCE, 285);
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[525][RB] = ActionEntry(REDUCE, 285);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[525][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser98()
{
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[526][AS] = ActionEntry(REDUCE, 286);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[526][OR] = ActionEntry(REDUCE, 286);
   _actionMap[526][AND] = ActionEntry(REDUCE, 286);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[526][IS] = ActionEntry(REDUCE, 286);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[526][MT] = ActionEntry(REDUCE, 286);
   _actionMap[526][LT] = ActionEntry(REDUCE, 286);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[526][RB] = ActionEntry(REDUCE, 286);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[527][AS] = ActionEntry(REDUCE, 280);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][OR] = ActionEntry(REDUCE, 280);
   _actionMap[527][AND] = ActionEntry(REDUCE, 280);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser99()
{
   _actionMap[527][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][IS] = ActionEntry(REDUCE, 280);
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[527][MT] = ActionEntry(REDUCE, 280);
   _actionMap[527][LT] = ActionEntry(REDUCE, 280);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[527][RB] = ActionEntry(REDUCE, 280);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[528][AS] = ActionEntry(REDUCE, 277);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[528][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][OR] = ActionEntry(REDUCE, 277);
   _actionMap[528][AND] = ActionEntry(REDUCE, 277);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][IS] = ActionEntry(REDUCE, 277);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[528][MT] = ActionEntry(REDUCE, 277);
   _actionMap[528][LT] = ActionEntry(REDUCE, 277);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[528][RB] = ActionEntry(REDUCE, 277);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[528][UNION] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser100()
{
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 270);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 270);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 270);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 270);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 270);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 270);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 270);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 270);
   _actionMap[529][AS] = ActionEntry(REDUCE, 270);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 270);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][OR] = ActionEntry(REDUCE, 270);
   _actionMap[529][AND] = ActionEntry(REDUCE, 270);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 270);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 270);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][IS] = ActionEntry(REDUCE, 270);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 270);
   _actionMap[529][MT] = ActionEntry(REDUCE, 270);
   _actionMap[529][LT] = ActionEntry(REDUCE, 270);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 270);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 270);
   _actionMap[529][RB] = ActionEntry(REDUCE, 270);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 270);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 270);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 270);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 270);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 270);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 270);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 270);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 268);
}
void Cego::loadParser101()
{
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 268);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 268);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 268);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 268);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 268);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 268);
   _actionMap[530][AS] = ActionEntry(REDUCE, 268);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 268);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 268);
   _actionMap[530][OR] = ActionEntry(REDUCE, 268);
   _actionMap[530][AND] = ActionEntry(REDUCE, 268);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 268);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 268);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 268);
   _actionMap[530][IS] = ActionEntry(REDUCE, 268);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 268);
   _actionMap[530][MT] = ActionEntry(REDUCE, 268);
   _actionMap[530][LT] = ActionEntry(REDUCE, 268);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 268);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 268);
   _actionMap[530][RB] = ActionEntry(REDUCE, 268);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 268);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 268);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 268);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 268);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 268);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 268);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 268);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[531][AS] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser102()
{
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[531][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][OR] = ActionEntry(REDUCE, 294);
   _actionMap[531][AND] = ActionEntry(REDUCE, 294);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][IS] = ActionEntry(REDUCE, 294);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[531][MT] = ActionEntry(REDUCE, 294);
   _actionMap[531][LT] = ActionEntry(REDUCE, 294);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[531][RB] = ActionEntry(REDUCE, 294);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[531][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[532][AS] = ActionEntry(REDUCE, 279);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][OR] = ActionEntry(REDUCE, 279);
   _actionMap[532][AND] = ActionEntry(REDUCE, 279);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][IS] = ActionEntry(REDUCE, 279);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[532][MT] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser103()
{
   _actionMap[532][LT] = ActionEntry(REDUCE, 279);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[532][RB] = ActionEntry(REDUCE, 279);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[533][AS] = ActionEntry(REDUCE, 153);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][OR] = ActionEntry(REDUCE, 153);
   _actionMap[533][AND] = ActionEntry(REDUCE, 153);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[533][IS] = ActionEntry(REDUCE, 153);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[533][LT] = ActionEntry(REDUCE, 153);
   _actionMap[533][MT] = ActionEntry(REDUCE, 153);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[533][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[533][RB] = ActionEntry(REDUCE, 153);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser104()
{
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[534][AS] = ActionEntry(REDUCE, 283);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[534][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][OR] = ActionEntry(REDUCE, 283);
   _actionMap[534][AND] = ActionEntry(REDUCE, 283);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][IS] = ActionEntry(REDUCE, 283);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[534][MT] = ActionEntry(REDUCE, 283);
   _actionMap[534][LT] = ActionEntry(REDUCE, 283);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[534][RB] = ActionEntry(REDUCE, 283);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[534][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[535][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser105()
{
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[535][AS] = ActionEntry(REDUCE, 284);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][OR] = ActionEntry(REDUCE, 284);
   _actionMap[535][AND] = ActionEntry(REDUCE, 284);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][IS] = ActionEntry(REDUCE, 284);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[535][MT] = ActionEntry(REDUCE, 284);
   _actionMap[535][LT] = ActionEntry(REDUCE, 284);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[535][RB] = ActionEntry(REDUCE, 284);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[536][WHEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][ELSE] = ActionEntry(REDUCE, 267);
   _actionMap[536][LEFT] = ActionEntry(REDUCE, 267);
   _actionMap[536][RIGHT] = ActionEntry(REDUCE, 267);
   _actionMap[536][INNER] = ActionEntry(REDUCE, 267);
   _actionMap[536][JOIN] = ActionEntry(REDUCE, 267);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 267);
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 267);
   _actionMap[536][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[536][AS] = ActionEntry(REDUCE, 267);
   _actionMap[536][END_TOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][BEGIN] = ActionEntry(REDUCE, 267);
   _actionMap[536][THEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][OR] = ActionEntry(REDUCE, 267);
   _actionMap[536][AND] = ActionEntry(REDUCE, 267);
}
void Cego::loadParser106()
{
   _actionMap[536][INTOK] = ActionEntry(REDUCE, 267);
   _actionMap[536][NOT] = ActionEntry(REDUCE, 267);
   _actionMap[536][BETWEEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][IS] = ActionEntry(REDUCE, 267);
   _actionMap[536][LIKE] = ActionEntry(REDUCE, 267);
   _actionMap[536][MT] = ActionEntry(REDUCE, 267);
   _actionMap[536][LT] = ActionEntry(REDUCE, 267);
   _actionMap[536][NEGATION] = ActionEntry(REDUCE, 267);
   _actionMap[536][EQU] = ActionEntry(REDUCE, 267);
   _actionMap[536][RB] = ActionEntry(REDUCE, 267);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[536][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[536][ASC] = ActionEntry(REDUCE, 267);
   _actionMap[536][DESC] = ActionEntry(REDUCE, 267);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[536][PLUS] = ActionEntry(REDUCE, 267);
   _actionMap[536][MINUS] = ActionEntry(REDUCE, 267);
   _actionMap[536][DIVISION] = ActionEntry(REDUCE, 267);
   _actionMap[536][STAR] = ActionEntry(REDUCE, 267);
   _actionMap[536][CONCAT] = ActionEntry(REDUCE, 267);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[537][AS] = ActionEntry(REDUCE, 282);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[537][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[537][OR] = ActionEntry(REDUCE, 282);
   _actionMap[537][AND] = ActionEntry(REDUCE, 282);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[537][IS] = ActionEntry(REDUCE, 282);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[537][MT] = ActionEntry(REDUCE, 282);
   _actionMap[537][LT] = ActionEntry(REDUCE, 282);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[537][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[537][RB] = ActionEntry(REDUCE, 282);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser107()
{
   _actionMap[537][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[538][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[538][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[538][AS] = ActionEntry(REDUCE, 275);
   _actionMap[538][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[538][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][OR] = ActionEntry(REDUCE, 275);
   _actionMap[538][AND] = ActionEntry(REDUCE, 275);
   _actionMap[538][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[538][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[538][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][IS] = ActionEntry(REDUCE, 275);
   _actionMap[538][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[538][MT] = ActionEntry(REDUCE, 275);
   _actionMap[538][LT] = ActionEntry(REDUCE, 275);
   _actionMap[538][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[538][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[538][RB] = ActionEntry(REDUCE, 275);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[538][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[538][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[538][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[538][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[538][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[538][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[538][CONCAT] = ActionEntry(REDUCE, 275);
}
void Cego::loadParser108()
{
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[539][AS] = ActionEntry(REDUCE, 344);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][OR] = ActionEntry(REDUCE, 344);
   _actionMap[539][AND] = ActionEntry(REDUCE, 344);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[539][MT] = ActionEntry(REDUCE, 344);
   _actionMap[539][LT] = ActionEntry(REDUCE, 344);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[539][IS] = ActionEntry(REDUCE, 344);
   _actionMap[539][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[539][RB] = ActionEntry(REDUCE, 344);
   _actionMap[540][INTVAL] = ActionEntry(SHIFT, 269);
   _actionMap[541][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[541][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[541][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[541][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[541][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[541][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[541][GROUP] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser109()
{
   _actionMap[541][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[541][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[541][AS] = ActionEntry(REDUCE, 350);
   _actionMap[541][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[541][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][OR] = ActionEntry(REDUCE, 350);
   _actionMap[541][AND] = ActionEntry(REDUCE, 350);
   _actionMap[541][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[541][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[541][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[541][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[541][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[541][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[541][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[541][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[541][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[541][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[541][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[541][MT] = ActionEntry(REDUCE, 350);
   _actionMap[541][LT] = ActionEntry(REDUCE, 350);
   _actionMap[541][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[541][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[541][IS] = ActionEntry(REDUCE, 350);
   _actionMap[541][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[541][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[541][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[541][RB] = ActionEntry(REDUCE, 350);
   _actionMap[542][FLOATVAL] = ActionEntry(SHIFT, 270);
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[543][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[543][AS] = ActionEntry(REDUCE, 349);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][OR] = ActionEntry(REDUCE, 349);
   _actionMap[543][AND] = ActionEntry(REDUCE, 349);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser110()
{
   _actionMap[543][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[543][MT] = ActionEntry(REDUCE, 349);
   _actionMap[543][LT] = ActionEntry(REDUCE, 349);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[543][IS] = ActionEntry(REDUCE, 349);
   _actionMap[543][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[543][RB] = ActionEntry(REDUCE, 349);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[544][AS] = ActionEntry(REDUCE, 351);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][OR] = ActionEntry(REDUCE, 351);
   _actionMap[544][AND] = ActionEntry(REDUCE, 351);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser111()
{
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[544][MT] = ActionEntry(REDUCE, 351);
   _actionMap[544][LT] = ActionEntry(REDUCE, 351);
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[544][IS] = ActionEntry(REDUCE, 351);
   _actionMap[544][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[544][RB] = ActionEntry(REDUCE, 351);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[545][AS] = ActionEntry(REDUCE, 343);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][OR] = ActionEntry(REDUCE, 343);
   _actionMap[545][AND] = ActionEntry(REDUCE, 343);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[545][MT] = ActionEntry(REDUCE, 343);
   _actionMap[545][LT] = ActionEntry(REDUCE, 343);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[545][IS] = ActionEntry(REDUCE, 343);
   _actionMap[545][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser112()
{
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[545][RB] = ActionEntry(REDUCE, 343);
   _actionMap[546][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[546][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[546][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[546][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[546][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[546][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[546][AS] = ActionEntry(REDUCE, 345);
   _actionMap[546][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[546][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][OR] = ActionEntry(REDUCE, 345);
   _actionMap[546][AND] = ActionEntry(REDUCE, 345);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[546][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[546][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[546][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[546][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[546][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[546][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[546][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[546][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[546][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[546][MT] = ActionEntry(REDUCE, 345);
   _actionMap[546][LT] = ActionEntry(REDUCE, 345);
   _actionMap[546][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[546][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[546][IS] = ActionEntry(REDUCE, 345);
   _actionMap[546][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[546][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[546][RB] = ActionEntry(REDUCE, 345);
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser113()
{
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[547][AS] = ActionEntry(REDUCE, 346);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][OR] = ActionEntry(REDUCE, 346);
   _actionMap[547][AND] = ActionEntry(REDUCE, 346);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[547][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[547][MT] = ActionEntry(REDUCE, 346);
   _actionMap[547][LT] = ActionEntry(REDUCE, 346);
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[547][IS] = ActionEntry(REDUCE, 346);
   _actionMap[547][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[547][RB] = ActionEntry(REDUCE, 346);
   _actionMap[548][RAB] = ActionEntry(SHIFT, 655);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[555][RB] = ActionEntry(REDUCE, 222);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 222);
   _actionMap[555][GROUP] = ActionEntry(SHIFT, 658);
   _jumpMap[555][NoGroup] = 657;
   _jumpMap[555][GroupClause] = 656;
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 205);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 205);
}
void Cego::loadParser114()
{
   _actionMap[556][INNER] = ActionEntry(REDUCE, 205);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 205);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[556][RB] = ActionEntry(REDUCE, 205);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 205);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 205);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 205);
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 205);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 205);
   _actionMap[557][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[557][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[557][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[557][ObjSpec] = 423;
   _jumpMap[557][Table] = 659;
   _actionMap[558][JOIN] = ActionEntry(SHIFT, 660);
   _actionMap[559][IDENTIFIER] = ActionEntry(REDUCE, 211);
   _actionMap[559][QUALIFIEDOBJ] = ActionEntry(REDUCE, 211);
   _actionMap[559][QUALIFIEDTS] = ActionEntry(REDUCE, 211);
   _actionMap[560][OUTER] = ActionEntry(SHIFT, 661);
   _actionMap[561][OUTER] = ActionEntry(SHIFT, 662);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 206);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 206);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 206);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 206);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[562][RB] = ActionEntry(REDUCE, 206);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[562][UNION] = ActionEntry(REDUCE, 206);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 206);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 206);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 206);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 206);
   _actionMap[563][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[563][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[563][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[563][ObjSpec] = 423;
   _jumpMap[563][Table] = 664;
   _jumpMap[563][TableList] = 663;
   _actionMap[564][WHERE] = ActionEntry(REDUCE, 215);
   _actionMap[564][GROUP] = ActionEntry(REDUCE, 215);
   _actionMap[564][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[564][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[564][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[564][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[564][RB] = ActionEntry(REDUCE, 215);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[564][RETURNTOKEN] = ActionEntry(REDUCE, 215);
}
void Cego::loadParser115()
{
   _actionMap[564][LEFT] = ActionEntry(REDUCE, 215);
   _actionMap[564][RIGHT] = ActionEntry(REDUCE, 215);
   _actionMap[564][INNER] = ActionEntry(REDUCE, 215);
   _actionMap[564][JOIN] = ActionEntry(REDUCE, 215);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 215);
   _actionMap[564][ON] = ActionEntry(REDUCE, 215);
   _actionMap[565][FROM] = ActionEntry(REDUCE, 217);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 217);
   _actionMap[566][FROM] = ActionEntry(REDUCE, 200);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[567][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[567][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[567][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[568][RETURNTOKEN] = ActionEntry(SHIFT, 666);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 247);
   _jumpMap[568][UpdReturnOpt] = 665;
   _actionMap[569][IDENTIFIER] = ActionEntry(SHIFT, 432);
   _jumpMap[569][Assignment] = 667;
   _actionMap[570][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[570][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[570][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[570][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[570][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[570][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[570][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[570][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[570][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[570][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[570][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[570][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[570][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[570][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[570][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[570][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[570][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[570][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[570][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[570][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[570][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[570][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[570][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[570][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[570][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[570][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[570][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[570][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[570][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[570][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[570][SETCOUNT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser116()
{
   _actionMap[570][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[570][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[570][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[570][LB] = ActionEntry(SHIFT, 138);
   _actionMap[570][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[570][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[570][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[570][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[570][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[570][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[570][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[570][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[570][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[570][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[570][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[570][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[570][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[570][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[570][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[570][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[570][ObjSpec] = 96;
   _jumpMap[570][Constant] = 95;
   _jumpMap[570][SignedFloat] = 94;
   _jumpMap[570][SignedInt] = 93;
   _jumpMap[570][Attribute] = 92;
   _jumpMap[570][Function] = 91;
   _jumpMap[570][CasePrepare] = 90;
   _jumpMap[570][CaseClause] = 89;
   _jumpMap[570][Factor] = 88;
   _jumpMap[570][Term] = 87;
   _jumpMap[570][Expr] = 668;
   _actionMap[571][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[571][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[571][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[571][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[571][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[571][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[571][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[571][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[571][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[571][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[571][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[571][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[571][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[571][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[571][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[571][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[571][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[571][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[571][TRUNC] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser117()
{
   _actionMap[571][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[571][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[571][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[571][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[571][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[571][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[571][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[571][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[571][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[571][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[571][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[571][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[571][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[571][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[571][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[571][LB] = ActionEntry(SHIFT, 138);
   _actionMap[571][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[571][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[571][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[571][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[571][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[571][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[571][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[571][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[571][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[571][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[571][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[571][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[571][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[571][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[571][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[571][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[571][RB] = ActionEntry(REDUCE, 114);
   _jumpMap[571][ObjSpec] = 96;
   _jumpMap[571][Constant] = 95;
   _jumpMap[571][SignedFloat] = 94;
   _jumpMap[571][SignedInt] = 93;
   _jumpMap[571][Attribute] = 92;
   _jumpMap[571][Function] = 91;
   _jumpMap[571][CasePrepare] = 90;
   _jumpMap[571][CaseClause] = 89;
   _jumpMap[571][Factor] = 88;
   _jumpMap[571][Term] = 87;
   _jumpMap[571][Expr] = 311;
   _jumpMap[571][ProcValueList] = 310;
   _jumpMap[571][ProcValueListOpt] = 669;
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[303][KSEP] = ActionEntry(SHIFT, 434);
   _actionMap[303][SEMICOLON] = ActionEntry(REDUCE, 256);
}
void Cego::loadParser118()
{
   _actionMap[304][CHECK] = ActionEntry(SHIFT, 435);
   _actionMap[304][FOREIGN] = ActionEntry(SHIFT, 437);
   _actionMap[304][COLUMN] = ActionEntry(SHIFT, 436);
   _actionMap[305][COLUMN] = ActionEntry(SHIFT, 438);
   _actionMap[306][COLUMN] = ActionEntry(SHIFT, 439);
   _actionMap[307][COLUMN] = ActionEntry(SHIFT, 440);
   _actionMap[308][STRINGVAL] = ActionEntry(SHIFT, 441);
   _actionMap[309][RB] = ActionEntry(SHIFT, 312);
   _actionMap[310][KSEP] = ActionEntry(SHIFT, 442);
   _actionMap[310][RB] = ActionEntry(REDUCE, 113);
   _actionMap[311][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[311][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[311][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[311][KSEP] = ActionEntry(REDUCE, 116);
   _actionMap[311][RB] = ActionEntry(REDUCE, 116);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[313][END_TOKEN] = ActionEntry(SHIFT, 443);
   _actionMap[314][EXCEPTION] = ActionEntry(REDUCE, 111);
   _actionMap[314][ELSE] = ActionEntry(REDUCE, 111);
   _actionMap[314][ELSIF] = ActionEntry(REDUCE, 111);
   _actionMap[314][END_TOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[314][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[314][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[314][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[314][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[314][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[314][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[314][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[314][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[314][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[314][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[314][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[314][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[314][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[314][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[314][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[314][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[314][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[314][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[314][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[314][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[314][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[314][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[314][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[314][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[314][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[314][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[314][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[314][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[314][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser119()
{
   _actionMap[314][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[314][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[314][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[314][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[314][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[314][LB] = ActionEntry(SHIFT, 138);
   _actionMap[314][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[314][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[314][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[314][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[314][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[314][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[314][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[314][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[314][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[314][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[314][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[314][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[314][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[314][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[314][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[314][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[314][IF] = ActionEntry(SHIFT, 328);
   _actionMap[314][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[314][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[314][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[314][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[314][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[314][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[314][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[314][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[314][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[314][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[314][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[314][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[314][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[314][ObjSpec] = 96;
   _jumpMap[314][Constant] = 95;
   _jumpMap[314][SignedFloat] = 94;
   _jumpMap[314][SignedInt] = 93;
   _jumpMap[314][Attribute] = 92;
   _jumpMap[314][Function] = 91;
   _jumpMap[314][DeleteStatement] = 324;
   _jumpMap[314][UpdateStatement] = 323;
   _jumpMap[314][InsertStatement] = 322;
   _jumpMap[314][RollbackStatement] = 321;
   _jumpMap[314][CommitStatement] = 320;
   _jumpMap[314][StartStatement] = 319;
   _jumpMap[314][CasePrepare] = 90;
   _jumpMap[314][CaseClause] = 89;
}
void Cego::loadParser120()
{
   _jumpMap[314][Factor] = 88;
   _jumpMap[314][Term] = 87;
   _jumpMap[314][Expr] = 318;
   _jumpMap[314][ProcStatement] = 445;
   _jumpMap[314][ProcIfPart] = 316;
   _jumpMap[314][ProcExceptionList] = 444;
   _jumpMap[314][ProcBlockStart] = 315;
   _actionMap[315][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[315][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[315][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[315][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[315][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[315][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[315][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[315][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[315][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[315][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[315][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[315][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[315][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[315][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[315][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[315][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[315][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[315][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[315][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[315][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[315][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[315][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[315][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[315][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[315][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[315][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[315][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[315][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[315][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[315][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[315][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[315][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[315][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[315][LB] = ActionEntry(SHIFT, 138);
   _actionMap[315][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[315][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[315][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[315][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[315][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[315][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[315][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[315][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser121()
{
   _actionMap[315][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[315][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[315][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[315][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[315][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[315][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[315][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[315][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[315][IF] = ActionEntry(SHIFT, 328);
   _actionMap[315][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[315][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[315][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[315][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[315][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[315][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[315][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[315][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[315][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[315][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[315][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[315][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[315][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[315][ObjSpec] = 96;
   _jumpMap[315][Constant] = 95;
   _jumpMap[315][SignedFloat] = 94;
   _jumpMap[315][SignedInt] = 93;
   _jumpMap[315][Attribute] = 92;
   _jumpMap[315][Function] = 91;
   _jumpMap[315][DeleteStatement] = 324;
   _jumpMap[315][UpdateStatement] = 323;
   _jumpMap[315][InsertStatement] = 322;
   _jumpMap[315][RollbackStatement] = 321;
   _jumpMap[315][CommitStatement] = 320;
   _jumpMap[315][StartStatement] = 319;
   _jumpMap[315][CasePrepare] = 90;
   _jumpMap[315][CaseClause] = 89;
   _jumpMap[315][Factor] = 88;
   _jumpMap[315][Term] = 87;
   _jumpMap[315][Expr] = 318;
   _jumpMap[315][ProcStatement] = 317;
   _jumpMap[315][ProcIfPart] = 316;
   _jumpMap[315][ProcBlockStart] = 315;
   _jumpMap[315][ProcStatementList] = 314;
   _jumpMap[315][ProcStmtBlock] = 446;
   _actionMap[316][ELSIF] = ActionEntry(SHIFT, 449);
   _actionMap[316][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[316][ELSE] = ActionEntry(REDUCE, 121);
   _jumpMap[316][ProcElsIfOpt] = 448;
   _jumpMap[316][ProcElsIfList] = 447;
   _actionMap[317][SEMICOLON] = ActionEntry(SHIFT, 450);
}
void Cego::loadParser122()
{
   _actionMap[318][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[318][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[318][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[319][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[320][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[323][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[324][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[325][VAR] = ActionEntry(REDUCE, 109);
   _actionMap[325][CURSOR] = ActionEntry(REDUCE, 109);
   _actionMap[325][CLOSE] = ActionEntry(REDUCE, 109);
   _actionMap[325][VARREF] = ActionEntry(REDUCE, 109);
   _actionMap[325][NOOP] = ActionEntry(REDUCE, 109);
   _actionMap[325][RETURNTOKEN] = ActionEntry(REDUCE, 109);
   _actionMap[325][WHILE] = ActionEntry(REDUCE, 109);
   _actionMap[325][IF] = ActionEntry(REDUCE, 109);
   _actionMap[325][BEGIN] = ActionEntry(REDUCE, 109);
   _actionMap[325][ROLLBACK] = ActionEntry(REDUCE, 109);
   _actionMap[325][COMMIT] = ActionEntry(REDUCE, 109);
   _actionMap[325][START_TOKEN] = ActionEntry(REDUCE, 109);
   _actionMap[325][UPDATE] = ActionEntry(REDUCE, 109);
   _actionMap[325][DELETETOK] = ActionEntry(REDUCE, 109);
   _actionMap[325][INSERT] = ActionEntry(REDUCE, 109);
   _actionMap[325][FETCH] = ActionEntry(REDUCE, 109);
   _actionMap[325][LB] = ActionEntry(REDUCE, 109);
   _actionMap[325][COUNT] = ActionEntry(REDUCE, 109);
   _actionMap[325][SUM] = ActionEntry(REDUCE, 109);
   _actionMap[325][AVG] = ActionEntry(REDUCE, 109);
   _actionMap[325][MIN] = ActionEntry(REDUCE, 109);
   _actionMap[325][MAX] = ActionEntry(REDUCE, 109);
   _actionMap[325][CASE] = ActionEntry(REDUCE, 109);
   _actionMap[325][TRIM] = ActionEntry(REDUCE, 109);
   _actionMap[325][RTRIM] = ActionEntry(REDUCE, 109);
   _actionMap[325][LTRIM] = ActionEntry(REDUCE, 109);
   _actionMap[325][ROUND] = ActionEntry(REDUCE, 109);
   _actionMap[325][DATE2STR] = ActionEntry(REDUCE, 109);
   _actionMap[325][DATE2INT] = ActionEntry(REDUCE, 109);
   _actionMap[325][INT2DATE] = ActionEntry(REDUCE, 109);
   _actionMap[325][LOWER] = ActionEntry(REDUCE, 109);
   _actionMap[325][UPPER] = ActionEntry(REDUCE, 109);
   _actionMap[325][LEFT] = ActionEntry(REDUCE, 109);
   _actionMap[325][RIGHT] = ActionEntry(REDUCE, 109);
   _actionMap[325][GETPOS] = ActionEntry(REDUCE, 109);
   _actionMap[325][SUBSTR] = ActionEntry(REDUCE, 109);
   _actionMap[325][REPLACE] = ActionEntry(REDUCE, 109);
   _actionMap[325][LENGTH] = ActionEntry(REDUCE, 109);
   _actionMap[325][TRUNC] = ActionEntry(REDUCE, 109);
   _actionMap[325][STR2INT] = ActionEntry(REDUCE, 109);
}
void Cego::loadParser123()
{
   _actionMap[325][STR2LONG] = ActionEntry(REDUCE, 109);
   _actionMap[325][RANDSTR] = ActionEntry(REDUCE, 109);
   _actionMap[325][RANDINT] = ActionEntry(REDUCE, 109);
   _actionMap[325][MOD] = ActionEntry(REDUCE, 109);
   _actionMap[325][DIV] = ActionEntry(REDUCE, 109);
   _actionMap[325][POWER] = ActionEntry(REDUCE, 109);
   _actionMap[325][BITAND] = ActionEntry(REDUCE, 109);
   _actionMap[325][BITOR] = ActionEntry(REDUCE, 109);
   _actionMap[325][BITXOR] = ActionEntry(REDUCE, 109);
   _actionMap[325][NEXTCOUNT] = ActionEntry(REDUCE, 109);
   _actionMap[325][SETCOUNT] = ActionEntry(REDUCE, 109);
   _actionMap[325][IDENTIFIER] = ActionEntry(REDUCE, 109);
   _actionMap[325][QUALIFIEDOBJ] = ActionEntry(REDUCE, 109);
   _actionMap[325][QUALIFIEDTS] = ActionEntry(REDUCE, 109);
   _actionMap[325][QUALIFIEDPRE] = ActionEntry(REDUCE, 109);
   _actionMap[325][STRINGVAL] = ActionEntry(REDUCE, 109);
   _actionMap[325][DATE] = ActionEntry(REDUCE, 109);
   _actionMap[325][SYSDATE] = ActionEntry(REDUCE, 109);
   _actionMap[325][NULLTOKEN] = ActionEntry(REDUCE, 109);
   _actionMap[325][TRUEVAL] = ActionEntry(REDUCE, 109);
   _actionMap[325][FALSEVAL] = ActionEntry(REDUCE, 109);
   _actionMap[325][LAB] = ActionEntry(REDUCE, 109);
   _actionMap[325][FLOATVAL] = ActionEntry(REDUCE, 109);
   _actionMap[325][MINUS] = ActionEntry(REDUCE, 109);
   _actionMap[325][INTVAL] = ActionEntry(REDUCE, 109);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 451);
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 452);
   _actionMap[328][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[328][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[328][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[328][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[328][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[328][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[328][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[328][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[328][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[328][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[328][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[328][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[328][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[328][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[328][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[328][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[328][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[328][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[328][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[328][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[328][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[328][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser124()
{
   _actionMap[328][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[328][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[328][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[328][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[328][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[328][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[328][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[328][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[328][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[328][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[328][LB] = ActionEntry(SHIFT, 457);
   _actionMap[328][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[328][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[328][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[328][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[328][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[328][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[328][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[328][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[328][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[328][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[328][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[328][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[328][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[328][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[328][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[328][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[328][ObjSpec] = 96;
   _jumpMap[328][Constant] = 95;
   _jumpMap[328][SignedFloat] = 94;
   _jumpMap[328][SignedInt] = 93;
   _jumpMap[328][Attribute] = 92;
   _jumpMap[328][Function] = 91;
   _jumpMap[328][CasePrepare] = 90;
   _jumpMap[328][CaseClause] = 89;
   _jumpMap[328][Factor] = 88;
   _jumpMap[328][Term] = 87;
   _jumpMap[328][Expr] = 456;
   _jumpMap[328][ProcPredicate] = 455;
   _jumpMap[328][ProcCondition] = 454;
   _jumpMap[328][ProcIfCondition] = 453;
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[330][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[330][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[330][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[330][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[330][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[330][LTRIM] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser125()
{
   _actionMap[330][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[330][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[330][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[330][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[330][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[330][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[330][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[330][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[330][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[330][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[330][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[330][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[330][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[330][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[330][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[330][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[330][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[330][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[330][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[330][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[330][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[330][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[330][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[330][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[330][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[330][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[330][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[330][LB] = ActionEntry(SHIFT, 138);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[330][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[330][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[330][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[330][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[330][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[330][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[330][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[330][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[330][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[330][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[330][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[330][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[330][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[330][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[330][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[330][ObjSpec] = 96;
   _jumpMap[330][Constant] = 95;
   _jumpMap[330][SignedFloat] = 94;
   _jumpMap[330][SignedInt] = 93;
   _jumpMap[330][Attribute] = 92;
}
void Cego::loadParser126()
{
   _jumpMap[330][Function] = 91;
   _jumpMap[330][CasePrepare] = 90;
   _jumpMap[330][CaseClause] = 89;
   _jumpMap[330][Factor] = 88;
   _jumpMap[330][Term] = 87;
   _jumpMap[330][Expr] = 458;
   _actionMap[331][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _actionMap[332][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[332][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[332][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[332][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[332][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[332][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[332][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[332][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[332][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[332][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[332][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[332][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[332][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[332][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[332][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[332][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[332][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[332][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[332][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[332][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[332][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[332][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[332][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[332][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[332][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[332][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[332][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[332][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[332][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[332][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[332][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[332][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[332][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[332][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[332][LB] = ActionEntry(SHIFT, 457);
   _actionMap[332][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[332][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[332][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[332][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[332][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[332][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[332][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[332][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser127()
{
   _actionMap[332][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[332][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[332][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[332][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[332][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[332][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[332][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[332][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[332][ObjSpec] = 96;
   _jumpMap[332][Constant] = 95;
   _jumpMap[332][SignedFloat] = 94;
   _jumpMap[332][SignedInt] = 93;
   _jumpMap[332][Attribute] = 92;
   _jumpMap[332][Function] = 91;
   _jumpMap[332][CasePrepare] = 90;
   _jumpMap[332][CaseClause] = 89;
   _jumpMap[332][Factor] = 88;
   _jumpMap[332][Term] = 87;
   _jumpMap[332][Expr] = 456;
   _jumpMap[332][ProcPredicate] = 455;
   _jumpMap[332][ProcCondition] = 461;
   _jumpMap[332][ProcWhileCondition] = 460;
   _actionMap[333][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[333][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[333][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[333][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[333][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[333][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[333][EQU] = ActionEntry(SHIFT, 462);
   _actionMap[334][ON] = ActionEntry(SHIFT, 463);
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[335][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[335][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[335][ObjSpec] = 464;
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 469);
   _actionMap[336][RB] = ActionEntry(REDUCE, 83);
   _jumpMap[336][ProcArg] = 467;
   _jumpMap[336][ProcArgList] = 466;
   _jumpMap[336][ProcArgOpt] = 465;
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 474);
   _actionMap[337][PRIMARY] = ActionEntry(SHIFT, 473);
   _jumpMap[337][ColumnDesc] = 472;
   _jumpMap[337][KeyColumn] = 471;
   _jumpMap[337][ColumnList] = 470;
   _actionMap[338][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[338][SelectStatement] = 475;
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[339][WHERE] = ActionEntry(SHIFT, 342);
   _jumpMap[339][NoWhere] = 341;
   _jumpMap[339][WhereClause] = 340;
}
void Cego::loadParser128()
{
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[341][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[341][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[341][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[341][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[341][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[341][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[341][RB] = ActionEntry(REDUCE, 300);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[342][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[342][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[342][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[342][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[342][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[342][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[342][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[342][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[342][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[342][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[342][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[342][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[342][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[342][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[342][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[342][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[342][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[342][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[342][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[342][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[342][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[342][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[342][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[342][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[342][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[342][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[342][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[342][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[342][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[342][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[342][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[342][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[342][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[342][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[342][LB] = ActionEntry(SHIFT, 362);
   _actionMap[342][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[342][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[342][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[342][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[342][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[342][FALSEVAL] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser129()
{
   _actionMap[342][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[342][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[342][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[342][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[342][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[342][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[342][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[342][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[342][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[342][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[342][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[342][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[342][ObjSpec] = 96;
   _jumpMap[342][Constant] = 95;
   _jumpMap[342][SignedFloat] = 94;
   _jumpMap[342][SignedInt] = 93;
   _jumpMap[342][Attribute] = 92;
   _jumpMap[342][QueryPredicate] = 359;
   _jumpMap[342][QueryCondition] = 476;
   _jumpMap[342][Function] = 91;
   _jumpMap[342][CasePrepare] = 90;
   _jumpMap[342][CaseClause] = 89;
   _jumpMap[342][Factor] = 88;
   _jumpMap[342][Term] = 87;
   _jumpMap[342][Expr] = 357;
   _actionMap[343][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[343][VALUES] = ActionEntry(SHIFT, 346);
   _jumpMap[343][SelectStatement] = 345;
   _jumpMap[343][InsertPrepare] = 344;
   _actionMap[344][LB] = ActionEntry(SHIFT, 479);
   _jumpMap[344][InsertValueSpec] = 478;
   _jumpMap[344][InsertValueSpecList] = 477;
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 186);
   _actionMap[346][LB] = ActionEntry(REDUCE, 189);
   _actionMap[347][IDENTIFIER] = ActionEntry(SHIFT, 481);
   _jumpMap[347][InsertArgList] = 480;
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[349][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[349][SelectStatement] = 482;
   _actionMap[350][STAR] = ActionEntry(SHIFT, 218);
   _actionMap[350][DIVISION] = ActionEntry(SHIFT, 219);
   _actionMap[350][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[350][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[350][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[350][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[350][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[350][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[350][GROUP] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser130()
{
   _actionMap[350][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[350][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[350][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][OR] = ActionEntry(REDUCE, 140);
   _actionMap[350][AS] = ActionEntry(REDUCE, 140);
   _actionMap[350][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[350][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[350][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[350][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[350][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][AND] = ActionEntry(REDUCE, 140);
   _actionMap[350][IS] = ActionEntry(REDUCE, 140);
   _actionMap[350][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[350][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[350][LT] = ActionEntry(REDUCE, 140);
   _actionMap[350][MT] = ActionEntry(REDUCE, 140);
   _actionMap[350][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[350][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[350][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[350][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[350][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[350][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[350][RB] = ActionEntry(REDUCE, 140);
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[350][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[350][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[350][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[351][STAR] = ActionEntry(SHIFT, 218);
   _actionMap[351][DIVISION] = ActionEntry(SHIFT, 219);
   _actionMap[351][WHEN] = ActionEntry(REDUCE, 138);
   _actionMap[351][ELSE] = ActionEntry(REDUCE, 138);
   _actionMap[351][LEFT] = ActionEntry(REDUCE, 138);
   _actionMap[351][RIGHT] = ActionEntry(REDUCE, 138);
   _actionMap[351][INNER] = ActionEntry(REDUCE, 138);
   _actionMap[351][JOIN] = ActionEntry(REDUCE, 138);
   _actionMap[351][RETURNTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[351][ORDER] = ActionEntry(REDUCE, 138);
   _actionMap[351][GROUP] = ActionEntry(REDUCE, 138);
   _actionMap[351][WHERE] = ActionEntry(REDUCE, 138);
   _actionMap[351][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[351][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[351][OR] = ActionEntry(REDUCE, 138);
   _actionMap[351][AS] = ActionEntry(REDUCE, 138);
   _actionMap[351][FROM] = ActionEntry(REDUCE, 138);
   _actionMap[351][LIKE] = ActionEntry(REDUCE, 138);
   _actionMap[351][BETWEEN] = ActionEntry(REDUCE, 138);
   _actionMap[351][NOT] = ActionEntry(REDUCE, 138);
   _actionMap[351][INTOK] = ActionEntry(REDUCE, 138);
   _actionMap[351][END_TOKEN] = ActionEntry(REDUCE, 138);
}
void Cego::loadParser131()
{
   _actionMap[351][AND] = ActionEntry(REDUCE, 138);
   _actionMap[351][IS] = ActionEntry(REDUCE, 138);
   _actionMap[351][EQU] = ActionEntry(REDUCE, 138);
   _actionMap[351][NEGATION] = ActionEntry(REDUCE, 138);
   _actionMap[351][LT] = ActionEntry(REDUCE, 138);
   _actionMap[351][MT] = ActionEntry(REDUCE, 138);
   _actionMap[351][DESC] = ActionEntry(REDUCE, 138);
   _actionMap[351][ASC] = ActionEntry(REDUCE, 138);
   _actionMap[351][KSEP] = ActionEntry(REDUCE, 138);
   _actionMap[351][ROWLIMIT] = ActionEntry(REDUCE, 138);
   _actionMap[351][UNION] = ActionEntry(REDUCE, 138);
   _actionMap[351][ENDTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[351][RB] = ActionEntry(REDUCE, 138);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[351][CONCAT] = ActionEntry(REDUCE, 138);
   _actionMap[351][MINUS] = ActionEntry(REDUCE, 138);
   _actionMap[351][PLUS] = ActionEntry(REDUCE, 138);
   _actionMap[352][STAR] = ActionEntry(SHIFT, 218);
   _actionMap[352][DIVISION] = ActionEntry(SHIFT, 219);
   _actionMap[352][WHEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[352][LEFT] = ActionEntry(REDUCE, 137);
   _actionMap[352][RIGHT] = ActionEntry(REDUCE, 137);
   _actionMap[352][INNER] = ActionEntry(REDUCE, 137);
   _actionMap[352][JOIN] = ActionEntry(REDUCE, 137);
   _actionMap[352][RETURNTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][ORDER] = ActionEntry(REDUCE, 137);
   _actionMap[352][GROUP] = ActionEntry(REDUCE, 137);
   _actionMap[352][WHERE] = ActionEntry(REDUCE, 137);
   _actionMap[352][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[352][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][OR] = ActionEntry(REDUCE, 137);
   _actionMap[352][AS] = ActionEntry(REDUCE, 137);
   _actionMap[352][FROM] = ActionEntry(REDUCE, 137);
   _actionMap[352][LIKE] = ActionEntry(REDUCE, 137);
   _actionMap[352][BETWEEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][NOT] = ActionEntry(REDUCE, 137);
   _actionMap[352][INTOK] = ActionEntry(REDUCE, 137);
   _actionMap[352][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][AND] = ActionEntry(REDUCE, 137);
   _actionMap[352][IS] = ActionEntry(REDUCE, 137);
   _actionMap[352][EQU] = ActionEntry(REDUCE, 137);
   _actionMap[352][NEGATION] = ActionEntry(REDUCE, 137);
   _actionMap[352][LT] = ActionEntry(REDUCE, 137);
   _actionMap[352][MT] = ActionEntry(REDUCE, 137);
   _actionMap[352][DESC] = ActionEntry(REDUCE, 137);
   _actionMap[352][ASC] = ActionEntry(REDUCE, 137);
   _actionMap[352][KSEP] = ActionEntry(REDUCE, 137);
   _actionMap[352][ROWLIMIT] = ActionEntry(REDUCE, 137);
   _actionMap[352][UNION] = ActionEntry(REDUCE, 137);
}
void Cego::loadParser132()
{
   _actionMap[352][ENDTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[352][RB] = ActionEntry(REDUCE, 137);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[352][CONCAT] = ActionEntry(REDUCE, 137);
   _actionMap[352][MINUS] = ActionEntry(REDUCE, 137);
   _actionMap[352][PLUS] = ActionEntry(REDUCE, 137);
   _actionMap[353][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[353][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[353][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[353][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[353][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[353][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[353][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[353][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[353][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[353][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][OR] = ActionEntry(REDUCE, 141);
   _actionMap[353][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[353][AS] = ActionEntry(REDUCE, 141);
   _actionMap[353][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][AND] = ActionEntry(REDUCE, 141);
   _actionMap[353][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[353][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[353][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][IS] = ActionEntry(REDUCE, 141);
   _actionMap[353][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[353][MT] = ActionEntry(REDUCE, 141);
   _actionMap[353][LT] = ActionEntry(REDUCE, 141);
   _actionMap[353][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[353][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[353][RB] = ActionEntry(REDUCE, 141);
   _actionMap[353][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[353][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[353][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[353][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[353][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[353][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[353][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[353][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[353][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[353][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[353][DIVISION] = ActionEntry(REDUCE, 141);
   _actionMap[353][STAR] = ActionEntry(REDUCE, 141);
   _actionMap[354][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[354][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[354][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[354][INNER] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser133()
{
   _actionMap[354][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[354][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[354][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[354][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[354][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[354][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][OR] = ActionEntry(REDUCE, 142);
   _actionMap[354][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[354][AS] = ActionEntry(REDUCE, 142);
   _actionMap[354][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][AND] = ActionEntry(REDUCE, 142);
   _actionMap[354][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[354][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[354][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][IS] = ActionEntry(REDUCE, 142);
   _actionMap[354][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[354][MT] = ActionEntry(REDUCE, 142);
   _actionMap[354][LT] = ActionEntry(REDUCE, 142);
   _actionMap[354][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[354][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[354][RB] = ActionEntry(REDUCE, 142);
   _actionMap[354][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[354][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[354][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[354][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[354][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[354][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[354][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[354][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[354][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[354][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[354][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[355][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[355][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[356][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[356][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[356][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[356][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[356][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[356][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[356][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[356][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[356][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[356][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[356][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[356][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[356][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[356][RIGHT] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser134()
{
   _actionMap[356][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[356][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[356][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[356][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[356][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[356][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[356][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[356][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[356][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[356][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[356][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[356][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[356][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[356][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[356][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[356][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[356][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[356][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[356][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[356][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[356][LB] = ActionEntry(SHIFT, 138);
   _actionMap[356][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[356][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[356][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[356][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[356][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[356][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[356][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[356][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[356][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[356][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[356][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[356][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[356][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[356][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[356][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[356][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[356][ObjSpec] = 96;
   _jumpMap[356][Constant] = 95;
   _jumpMap[356][SignedFloat] = 94;
   _jumpMap[356][SignedInt] = 93;
   _jumpMap[356][Attribute] = 92;
   _jumpMap[356][Function] = 91;
   _jumpMap[356][CasePrepare] = 90;
   _jumpMap[356][CaseClause] = 89;
   _jumpMap[356][Factor] = 88;
   _jumpMap[356][Term] = 87;
   _jumpMap[356][Expr] = 483;
   _actionMap[357][INTOK] = ActionEntry(SHIFT, 486);
   _actionMap[357][NOT] = ActionEntry(SHIFT, 489);
}
void Cego::loadParser135()
{
   _actionMap[357][BETWEEN] = ActionEntry(SHIFT, 485);
   _actionMap[357][IS] = ActionEntry(SHIFT, 487);
   _actionMap[357][LIKE] = ActionEntry(SHIFT, 488);
   _actionMap[357][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[357][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[357][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[357][EQU] = ActionEntry(SHIFT, 490);
   _actionMap[357][NEGATION] = ActionEntry(SHIFT, 493);
   _actionMap[357][LT] = ActionEntry(SHIFT, 491);
   _actionMap[357][MT] = ActionEntry(SHIFT, 492);
   _jumpMap[357][Comparison] = 484;
   _actionMap[358][THEN] = ActionEntry(SHIFT, 496);
   _actionMap[358][AND] = ActionEntry(SHIFT, 494);
   _actionMap[358][OR] = ActionEntry(SHIFT, 495);
   _actionMap[359][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[359][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[359][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[359][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[359][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[359][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[359][RB] = ActionEntry(REDUCE, 304);
   _actionMap[359][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[359][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[359][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[359][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[359][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[359][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[359][OR] = ActionEntry(REDUCE, 304);
   _actionMap[359][AND] = ActionEntry(REDUCE, 304);
   _actionMap[360][LB] = ActionEntry(SHIFT, 497);
   _actionMap[361][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[361][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[361][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[361][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[361][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[361][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[361][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[361][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[361][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[361][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[361][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[361][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[361][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[361][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[361][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[361][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[361][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[361][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[361][TRUNC] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser136()
{
   _actionMap[361][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[361][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[361][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[361][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[361][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[361][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[361][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[361][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[361][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[361][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[361][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[361][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[361][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[361][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[361][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[361][LB] = ActionEntry(SHIFT, 362);
   _actionMap[361][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[361][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[361][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[361][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[361][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[361][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[361][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[361][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[361][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[361][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[361][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[361][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[361][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[361][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[361][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[361][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[361][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[361][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[361][ObjSpec] = 96;
   _jumpMap[361][Constant] = 95;
   _jumpMap[361][SignedFloat] = 94;
   _jumpMap[361][SignedInt] = 93;
   _jumpMap[361][Attribute] = 92;
   _jumpMap[361][QueryPredicate] = 498;
   _jumpMap[361][Function] = 91;
   _jumpMap[361][CasePrepare] = 90;
   _jumpMap[361][CaseClause] = 89;
   _jumpMap[361][Factor] = 88;
   _jumpMap[361][Term] = 87;
   _jumpMap[361][Expr] = 357;
   _actionMap[362][LONG] = ActionEntry(SHIFT, 265);
   _actionMap[362][BIGINT] = ActionEntry(SHIFT, 261);
   _actionMap[362][SMALLINT] = ActionEntry(SHIFT, 266);
   _actionMap[362][TINYINT] = ActionEntry(SHIFT, 267);
}
void Cego::loadParser137()
{
   _actionMap[362][DOUBLE] = ActionEntry(SHIFT, 263);
   _actionMap[362][DECIMAL] = ActionEntry(SHIFT, 262);
   _actionMap[362][FIXED] = ActionEntry(SHIFT, 264);
   _actionMap[362][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[362][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[362][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[362][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[362][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[362][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[362][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[362][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[362][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[362][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[362][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[362][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[362][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[362][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[362][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[362][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[362][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[362][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[362][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[362][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[362][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[362][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[362][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[362][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[362][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[362][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[362][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[362][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[362][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[362][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[362][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[362][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[362][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[362][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[362][LB] = ActionEntry(SHIFT, 362);
   _actionMap[362][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[362][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[362][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[362][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[362][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[362][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[362][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[362][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[362][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[362][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[362][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[362][COUNT] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser138()
{
   _actionMap[362][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[362][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[362][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[362][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[362][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[362][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[362][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[362][ObjSpec] = 96;
   _jumpMap[362][Constant] = 95;
   _jumpMap[362][SignedFloat] = 94;
   _jumpMap[362][SignedInt] = 93;
   _jumpMap[362][Attribute] = 92;
   _jumpMap[362][QueryPredicate] = 359;
   _jumpMap[362][QueryCondition] = 500;
   _jumpMap[362][Function] = 91;
   _jumpMap[362][SelectStatement] = 260;
   _jumpMap[362][CasePrepare] = 90;
   _jumpMap[362][CaseClause] = 89;
   _jumpMap[362][Factor] = 88;
   _jumpMap[362][Term] = 87;
   _jumpMap[362][Expr] = 499;
   _actionMap[363][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[363][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[363][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[363][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[363][RB] = ActionEntry(REDUCE, 298);
   _actionMap[364][RB] = ActionEntry(SHIFT, 502);
   _actionMap[364][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[365][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[365][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[365][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[365][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[365][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[365][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[365][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[365][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[365][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[365][AS] = ActionEntry(REDUCE, 296);
   _actionMap[365][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[365][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][OR] = ActionEntry(REDUCE, 296);
   _actionMap[365][AND] = ActionEntry(REDUCE, 296);
   _actionMap[365][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[365][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[365][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][IS] = ActionEntry(REDUCE, 296);
   _actionMap[365][LIKE] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser139()
{
   _actionMap[365][MT] = ActionEntry(REDUCE, 296);
   _actionMap[365][LT] = ActionEntry(REDUCE, 296);
   _actionMap[365][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[365][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[365][RB] = ActionEntry(REDUCE, 296);
   _actionMap[365][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[365][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[365][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[365][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[365][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[365][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[365][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[365][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[365][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[365][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[365][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[366][RB] = ActionEntry(SHIFT, 503);
   _actionMap[366][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[366][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[366][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[367][RB] = ActionEntry(SHIFT, 504);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[368][RB] = ActionEntry(SHIFT, 505);
   _actionMap[368][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[369][RB] = ActionEntry(SHIFT, 506);
   _actionMap[369][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[370][RB] = ActionEntry(SHIFT, 507);
   _actionMap[370][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[370][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[370][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[371][RB] = ActionEntry(SHIFT, 508);
   _actionMap[372][KSEP] = ActionEntry(SHIFT, 509);
   _actionMap[373][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[374][RB] = ActionEntry(SHIFT, 510);
   _actionMap[374][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[375][RB] = ActionEntry(SHIFT, 511);
   _actionMap[375][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[376][RB] = ActionEntry(SHIFT, 512);
   _actionMap[376][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[377][LB] = ActionEntry(SHIFT, 513);
   _actionMap[378][RB] = ActionEntry(SHIFT, 514);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[379][RB] = ActionEntry(SHIFT, 515);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[380][RB] = ActionEntry(SHIFT, 516);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[381][RB] = ActionEntry(SHIFT, 517);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[382][RB] = ActionEntry(SHIFT, 518);
}
void Cego::loadParser140()
{
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[383][RB] = ActionEntry(SHIFT, 519);
   _actionMap[383][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[384][RB] = ActionEntry(SHIFT, 520);
   _actionMap[384][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[384][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[384][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[385][RB] = ActionEntry(SHIFT, 521);
   _actionMap[385][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[385][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[385][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[386][RB] = ActionEntry(SHIFT, 522);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[387][RB] = ActionEntry(SHIFT, 523);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[388][RB] = ActionEntry(SHIFT, 524);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[389][RB] = ActionEntry(SHIFT, 525);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[390][RB] = ActionEntry(SHIFT, 526);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[391][RB] = ActionEntry(SHIFT, 527);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[392][RB] = ActionEntry(SHIFT, 528);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[393][RB] = ActionEntry(SHIFT, 529);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[394][RB] = ActionEntry(SHIFT, 530);
   _actionMap[394][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[395][RB] = ActionEntry(SHIFT, 531);
   _actionMap[395][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[396][RB] = ActionEntry(SHIFT, 532);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[397][RB] = ActionEntry(SHIFT, 533);
   _actionMap[397][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[397][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[398][RB] = ActionEntry(SHIFT, 534);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[399][RB] = ActionEntry(SHIFT, 535);
   _actionMap[399][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[400][RB] = ActionEntry(SHIFT, 536);
   _actionMap[400][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[401][RB] = ActionEntry(SHIFT, 537);
   _actionMap[401][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[402][RB] = ActionEntry(SHIFT, 538);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 501);
   _actionMap[403][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[403][LEFT] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser141()
{
   _actionMap[403][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[403][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[403][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[403][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[403][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[403][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[403][AS] = ActionEntry(REDUCE, 149);
   _actionMap[403][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[403][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[403][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][OR] = ActionEntry(REDUCE, 149);
   _actionMap[403][AND] = ActionEntry(REDUCE, 149);
   _actionMap[403][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[403][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[403][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[403][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[403][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[403][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[403][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[403][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[403][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[403][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[403][RB] = ActionEntry(REDUCE, 149);
   _actionMap[403][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[403][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[403][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[403][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[403][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[403][IS] = ActionEntry(REDUCE, 149);
   _actionMap[403][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[403][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[403][LT] = ActionEntry(REDUCE, 149);
   _actionMap[403][MT] = ActionEntry(REDUCE, 149);
   _actionMap[404][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[404][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[404][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[404][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[404][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[404][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[404][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[404][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[404][AS] = ActionEntry(REDUCE, 150);
   _actionMap[404][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[404][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][BEGIN] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser142()
{
   _actionMap[404][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][OR] = ActionEntry(REDUCE, 150);
   _actionMap[404][AND] = ActionEntry(REDUCE, 150);
   _actionMap[404][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[404][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[404][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[404][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[404][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[404][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[404][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[404][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[404][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[404][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[404][RB] = ActionEntry(REDUCE, 150);
   _actionMap[404][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[404][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[404][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[404][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[404][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[404][IS] = ActionEntry(REDUCE, 150);
   _actionMap[404][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[404][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[404][LT] = ActionEntry(REDUCE, 150);
   _actionMap[404][MT] = ActionEntry(REDUCE, 150);
   _actionMap[405][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[405][MINUS] = ActionEntry(SHIFT, 540);
   _jumpMap[405][SignedInt] = 539;
   _actionMap[406][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[406][MINUS] = ActionEntry(SHIFT, 542);
   _jumpMap[406][SignedFloat] = 541;
   _actionMap[407][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[407][MINUS] = ActionEntry(SHIFT, 542);
   _jumpMap[407][SignedFloat] = 543;
   _actionMap[408][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[408][MINUS] = ActionEntry(SHIFT, 542);
   _jumpMap[408][SignedFloat] = 544;
   _actionMap[409][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[409][MINUS] = ActionEntry(SHIFT, 540);
   _jumpMap[409][SignedInt] = 545;
   _actionMap[410][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[410][MINUS] = ActionEntry(SHIFT, 540);
   _jumpMap[410][SignedInt] = 546;
   _actionMap[411][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[411][MINUS] = ActionEntry(SHIFT, 540);
   _jumpMap[411][SignedInt] = 547;
   _actionMap[412][INTVAL] = ActionEntry(SHIFT, 548);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 549);
   _actionMap[414][IDENTIFIER] = ActionEntry(SHIFT, 550);
   _actionMap[415][IDENTIFIER] = ActionEntry(SHIFT, 551);
}
void Cego::loadParser143()
{
   _actionMap[416][IDENTIFIER] = ActionEntry(SHIFT, 552);
   _actionMap[417][IDENTIFIER] = ActionEntry(SHIFT, 553);
   _actionMap[418][IDENTIFIER] = ActionEntry(SHIFT, 554);
   _actionMap[419][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[419][RB] = ActionEntry(REDUCE, 301);
   _actionMap[419][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[419][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[419][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[419][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[419][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[419][WHERE] = ActionEntry(SHIFT, 342);
   _jumpMap[419][NoWhere] = 341;
   _jumpMap[419][WhereClause] = 555;
   _actionMap[420][WHERE] = ActionEntry(REDUCE, 204);
   _actionMap[420][GROUP] = ActionEntry(REDUCE, 204);
   _actionMap[420][ORDER] = ActionEntry(REDUCE, 204);
   _actionMap[420][ROWLIMIT] = ActionEntry(REDUCE, 204);
   _actionMap[420][UNION] = ActionEntry(REDUCE, 204);
   _actionMap[420][ENDTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[420][RB] = ActionEntry(REDUCE, 204);
   _actionMap[420][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[420][RETURNTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[420][INNER] = ActionEntry(SHIFT, 558);
   _actionMap[420][JOIN] = ActionEntry(SHIFT, 559);
   _actionMap[420][LEFT] = ActionEntry(SHIFT, 560);
   _actionMap[420][RIGHT] = ActionEntry(SHIFT, 561);
   _jumpMap[420][InnerJoin] = 557;
   _jumpMap[420][JoinSpec] = 556;
   _actionMap[421][WHERE] = ActionEntry(REDUCE, 203);
   _actionMap[421][GROUP] = ActionEntry(REDUCE, 203);
   _actionMap[421][ORDER] = ActionEntry(REDUCE, 203);
   _actionMap[421][ROWLIMIT] = ActionEntry(REDUCE, 203);
   _actionMap[421][UNION] = ActionEntry(REDUCE, 203);
   _actionMap[421][ENDTOKEN] = ActionEntry(REDUCE, 203);
   _actionMap[421][RB] = ActionEntry(REDUCE, 203);
   _actionMap[421][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[421][RETURNTOKEN] = ActionEntry(REDUCE, 203);
   _actionMap[422][KSEP] = ActionEntry(SHIFT, 563);
   _actionMap[422][RETURNTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[422][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[422][RB] = ActionEntry(REDUCE, 213);
   _actionMap[422][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[422][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[422][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[422][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[422][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[422][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[422][INNER] = ActionEntry(SHIFT, 558);
   _actionMap[422][JOIN] = ActionEntry(SHIFT, 559);
   _actionMap[422][LEFT] = ActionEntry(SHIFT, 560);
}
void Cego::loadParser144()
{
   _actionMap[422][RIGHT] = ActionEntry(SHIFT, 561);
   _jumpMap[422][InnerJoin] = 557;
   _jumpMap[422][JoinSpec] = 562;
   _actionMap[423][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 564);
   _actionMap[423][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[423][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[423][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[423][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[423][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[423][RB] = ActionEntry(REDUCE, 214);
   _actionMap[423][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[423][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[423][LEFT] = ActionEntry(REDUCE, 214);
   _actionMap[423][RIGHT] = ActionEntry(REDUCE, 214);
   _actionMap[423][INNER] = ActionEntry(REDUCE, 214);
   _actionMap[423][JOIN] = ActionEntry(REDUCE, 214);
   _actionMap[423][KSEP] = ActionEntry(REDUCE, 214);
   _actionMap[423][ON] = ActionEntry(REDUCE, 214);
   _actionMap[424][FROM] = ActionEntry(REDUCE, 202);
   _actionMap[424][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[425][FROM] = ActionEntry(REDUCE, 218);
   _actionMap[425][KSEP] = ActionEntry(REDUCE, 218);
   _actionMap[426][IDENTIFIER] = ActionEntry(SHIFT, 565);
   _actionMap[427][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[427][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[427][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[427][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[427][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[427][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[427][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[427][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[427][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[427][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[427][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[427][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[427][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[427][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[427][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[427][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[427][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[427][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[427][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[427][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[427][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[427][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[427][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[427][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[427][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[427][POWER] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser145()
{
   _actionMap[427][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[427][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[427][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[427][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[427][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[427][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[427][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[427][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[427][LB] = ActionEntry(SHIFT, 138);
   _actionMap[427][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[427][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[427][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[427][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[427][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[427][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[427][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[427][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[427][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[427][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[427][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[427][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[427][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[427][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[427][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[427][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[427][ObjSpec] = 96;
   _jumpMap[427][Constant] = 95;
   _jumpMap[427][SignedFloat] = 94;
   _jumpMap[427][SignedInt] = 93;
   _jumpMap[427][Attribute] = 92;
   _jumpMap[427][Function] = 91;
   _jumpMap[427][SelectItem] = 566;
   _jumpMap[427][CasePrepare] = 90;
   _jumpMap[427][CaseClause] = 89;
   _jumpMap[427][Factor] = 88;
   _jumpMap[427][Term] = 87;
   _jumpMap[427][Expr] = 281;
   _actionMap[428][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[428][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[428][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[428][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[428][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[428][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[428][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[428][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[428][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[428][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[428][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[428][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[428][LEFT] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser146()
{
   _actionMap[428][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[428][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[428][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[428][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[428][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[428][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[428][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[428][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[428][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[428][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[428][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[428][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[428][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[428][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[428][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[428][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[428][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[428][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[428][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[428][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[428][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[428][LB] = ActionEntry(SHIFT, 138);
   _actionMap[428][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[428][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[428][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[428][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[428][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[428][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[428][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[428][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[428][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[428][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[428][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[428][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[428][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[428][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[428][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[428][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[428][ObjSpec] = 96;
   _jumpMap[428][Constant] = 95;
   _jumpMap[428][SignedFloat] = 94;
   _jumpMap[428][SignedInt] = 93;
   _jumpMap[428][Attribute] = 92;
   _jumpMap[428][Function] = 91;
   _jumpMap[428][CasePrepare] = 90;
   _jumpMap[428][CaseClause] = 89;
   _jumpMap[428][Factor] = 88;
   _jumpMap[428][Term] = 87;
   _jumpMap[428][Expr] = 567;
   _actionMap[429][PLUS] = ActionEntry(SHIFT, 217);
}
void Cego::loadParser147()
{
   _actionMap[429][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[429][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[429][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[430][KSEP] = ActionEntry(SHIFT, 569);
   _actionMap[430][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[430][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[430][WHERE] = ActionEntry(SHIFT, 342);
   _jumpMap[430][NoWhere] = 341;
   _jumpMap[430][WhereClause] = 568;
   _actionMap[431][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[431][WHERE] = ActionEntry(REDUCE, 244);
   _actionMap[431][GROUP] = ActionEntry(REDUCE, 244);
   _actionMap[431][ORDER] = ActionEntry(REDUCE, 244);
   _actionMap[431][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[431][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[431][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[431][RB] = ActionEntry(REDUCE, 244);
   _actionMap[431][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[431][RETURNTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[432][EQU] = ActionEntry(SHIFT, 570);
   _actionMap[433][LB] = ActionEntry(SHIFT, 571);
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[177][TO] = ActionEntry(REDUCE, 72);
   _actionMap[178][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[178][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[178][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[178][ObjSpec] = 301;
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[183][ADD] = ActionEntry(SHIFT, 304);
   _actionMap[183][DROP] = ActionEntry(SHIFT, 305);
   _actionMap[183][MODIFY] = ActionEntry(SHIFT, 306);
   _actionMap[183][RENAME] = ActionEntry(SHIFT, 307);
   _jumpMap[183][AlterOption] = 303;
   _jumpMap[183][AlterList] = 302;
   _actionMap[184][BY] = ActionEntry(SHIFT, 308);
   _actionMap[185][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[185][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[185][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[185][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[185][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[185][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[185][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[185][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[185][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[185][INT2DATE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser148()
{
   _actionMap[185][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[185][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[185][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[185][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[185][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[185][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[185][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[185][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[185][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[185][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[185][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[185][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[185][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[185][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[185][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[185][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[185][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[185][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[185][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[185][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[185][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[185][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[185][LB] = ActionEntry(SHIFT, 138);
   _actionMap[185][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[185][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[185][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[185][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[185][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[185][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[185][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[185][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[185][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[185][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[185][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[185][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[185][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[185][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[185][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[185][RB] = ActionEntry(REDUCE, 114);
   _jumpMap[185][ObjSpec] = 96;
   _jumpMap[185][Constant] = 95;
   _jumpMap[185][SignedFloat] = 94;
   _jumpMap[185][SignedInt] = 93;
   _jumpMap[185][Attribute] = 92;
   _jumpMap[185][Function] = 91;
   _jumpMap[185][CasePrepare] = 90;
   _jumpMap[185][CaseClause] = 89;
}
void Cego::loadParser149()
{
   _jumpMap[185][Factor] = 88;
   _jumpMap[185][Term] = 87;
   _jumpMap[185][Expr] = 311;
   _jumpMap[185][ProcValueList] = 310;
   _jumpMap[185][ProcValueListOpt] = 309;
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[187][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[187][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[187][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[187][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[187][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[187][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[187][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[187][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[187][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[187][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[187][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[187][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[187][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[187][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[187][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[187][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[187][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[187][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[187][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[187][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[187][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[187][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[187][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[187][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[187][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[187][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[187][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[187][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[187][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[187][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[187][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[187][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[187][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[187][LB] = ActionEntry(SHIFT, 138);
   _actionMap[187][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[187][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[187][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[187][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[187][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[187][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[187][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[187][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[187][CASE] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser150()
{
   _actionMap[187][VARREF] = ActionEntry(SHIFT, 333);
   _actionMap[187][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[187][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[187][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[187][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[187][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[187][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[187][IF] = ActionEntry(SHIFT, 328);
   _actionMap[187][BEGIN] = ActionEntry(SHIFT, 325);
   _actionMap[187][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[187][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[187][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[187][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[187][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[187][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[187][VAR] = ActionEntry(SHIFT, 331);
   _actionMap[187][CURSOR] = ActionEntry(SHIFT, 327);
   _actionMap[187][CLOSE] = ActionEntry(SHIFT, 326);
   _actionMap[187][NOOP] = ActionEntry(SHIFT, 329);
   _actionMap[187][RETURNTOKEN] = ActionEntry(SHIFT, 330);
   _actionMap[187][WHILE] = ActionEntry(SHIFT, 332);
   _jumpMap[187][ObjSpec] = 96;
   _jumpMap[187][Constant] = 95;
   _jumpMap[187][SignedFloat] = 94;
   _jumpMap[187][SignedInt] = 93;
   _jumpMap[187][Attribute] = 92;
   _jumpMap[187][Function] = 91;
   _jumpMap[187][DeleteStatement] = 324;
   _jumpMap[187][UpdateStatement] = 323;
   _jumpMap[187][InsertStatement] = 322;
   _jumpMap[187][RollbackStatement] = 321;
   _jumpMap[187][CommitStatement] = 320;
   _jumpMap[187][StartStatement] = 319;
   _jumpMap[187][CasePrepare] = 90;
   _jumpMap[187][CaseClause] = 89;
   _jumpMap[187][Factor] = 88;
   _jumpMap[187][Term] = 87;
   _jumpMap[187][Expr] = 318;
   _jumpMap[187][ProcStatement] = 317;
   _jumpMap[187][ProcIfPart] = 316;
   _jumpMap[187][ProcBlockStart] = 315;
   _jumpMap[187][ProcStatementList] = 314;
   _jumpMap[187][ProcStmtBlock] = 313;
   _actionMap[188][IDENTIFIER] = ActionEntry(SHIFT, 334);
   _actionMap[189][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[190][ON] = ActionEntry(SHIFT, 335);
   _actionMap[191][LB] = ActionEntry(SHIFT, 336);
   _actionMap[192][LB] = ActionEntry(SHIFT, 337);
   _actionMap[193][AS] = ActionEntry(SHIFT, 338);
   _actionMap[194][IDENTIFIER] = ActionEntry(SHIFT, 299);
}
void Cego::loadParser151()
{
   _actionMap[194][WHERE] = ActionEntry(REDUCE, 253);
   _actionMap[194][GROUP] = ActionEntry(REDUCE, 253);
   _actionMap[194][ORDER] = ActionEntry(REDUCE, 253);
   _actionMap[194][ROWLIMIT] = ActionEntry(REDUCE, 253);
   _actionMap[194][UNION] = ActionEntry(REDUCE, 253);
   _actionMap[194][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[194][RB] = ActionEntry(REDUCE, 253);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[194][RETURNTOKEN] = ActionEntry(REDUCE, 253);
   _jumpMap[194][NoWhere] = 341;
   _jumpMap[194][WhereClause] = 340;
   _jumpMap[194][UpdDelAlias] = 339;
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[200][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[201][COUNTER] = ActionEntry(REDUCE, 63);
   _actionMap[201][CHECK] = ActionEntry(REDUCE, 63);
   _actionMap[201][FOREIGN] = ActionEntry(REDUCE, 63);
   _actionMap[201][PROCEDURE] = ActionEntry(REDUCE, 63);
   _actionMap[201][VIEW] = ActionEntry(REDUCE, 63);
   _actionMap[201][INDEX] = ActionEntry(REDUCE, 63);
   _actionMap[201][TABLE] = ActionEntry(REDUCE, 63);
   _actionMap[202][LB] = ActionEntry(SHIFT, 347);
   _actionMap[202][VALUES] = ActionEntry(REDUCE, 188);
   _actionMap[202][SELECT] = ActionEntry(REDUCE, 188);
   _jumpMap[202][SelectStatement] = 345;
   _jumpMap[202][InsertPrepare] = 344;
   _jumpMap[202][InsertArgSpec] = 343;
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[203][IDENTIFIER] = ActionEntry(REDUCE, 74);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[205][IDENTIFIER] = ActionEntry(SHIFT, 348);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[211][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[214][AS] = ActionEntry(SHIFT, 349);
   _actionMap[215][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[215][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[215][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[215][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[215][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[215][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser152()
{
   _actionMap[215][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[215][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[215][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[215][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[215][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[215][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[215][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[215][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[215][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[215][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[215][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[215][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[215][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[215][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[215][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[215][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[215][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[215][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[215][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[215][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[215][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[215][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[215][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[215][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[215][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[215][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[215][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[215][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[215][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[215][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[215][LB] = ActionEntry(SHIFT, 138);
   _actionMap[215][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[215][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[215][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[215][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[215][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[215][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[215][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[215][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[215][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[215][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[215][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[215][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[215][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[215][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[215][ObjSpec] = 96;
   _jumpMap[215][Constant] = 95;
   _jumpMap[215][SignedFloat] = 94;
   _jumpMap[215][SignedInt] = 93;
   _jumpMap[215][Attribute] = 92;
}
void Cego::loadParser153()
{
   _jumpMap[215][Function] = 91;
   _jumpMap[215][CasePrepare] = 90;
   _jumpMap[215][CaseClause] = 89;
   _jumpMap[215][Factor] = 88;
   _jumpMap[215][Term] = 350;
   _actionMap[216][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[216][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[216][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[216][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[216][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[216][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[216][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[216][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[216][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[216][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[216][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[216][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[216][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[216][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[216][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[216][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[216][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[216][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[216][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[216][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[216][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[216][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[216][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[216][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[216][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[216][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[216][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[216][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[216][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[216][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[216][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[216][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[216][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[216][LB] = ActionEntry(SHIFT, 138);
   _actionMap[216][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[216][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[216][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[216][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[216][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[216][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[216][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[216][VARREF] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser154()
{
   _actionMap[216][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[216][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[216][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[216][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[216][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[216][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[216][ObjSpec] = 96;
   _jumpMap[216][Constant] = 95;
   _jumpMap[216][SignedFloat] = 94;
   _jumpMap[216][SignedInt] = 93;
   _jumpMap[216][Attribute] = 92;
   _jumpMap[216][Function] = 91;
   _jumpMap[216][CasePrepare] = 90;
   _jumpMap[216][CaseClause] = 89;
   _jumpMap[216][Factor] = 88;
   _jumpMap[216][Term] = 351;
   _actionMap[217][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[217][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[217][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[217][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[217][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[217][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[217][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[217][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[217][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[217][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[217][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[217][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[217][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[217][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[217][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[217][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[217][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[217][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[217][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[217][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[217][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[217][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[217][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[217][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[217][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[217][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[217][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[217][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[217][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[217][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[217][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[217][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[217][NEXTCOUNT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser155()
{
   _actionMap[217][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[217][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[217][LB] = ActionEntry(SHIFT, 138);
   _actionMap[217][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[217][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[217][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[217][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[217][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[217][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[217][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[217][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[217][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[217][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[217][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[217][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[217][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[217][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[217][ObjSpec] = 96;
   _jumpMap[217][Constant] = 95;
   _jumpMap[217][SignedFloat] = 94;
   _jumpMap[217][SignedInt] = 93;
   _jumpMap[217][Attribute] = 92;
   _jumpMap[217][Function] = 91;
   _jumpMap[217][CasePrepare] = 90;
   _jumpMap[217][CaseClause] = 89;
   _jumpMap[217][Factor] = 88;
   _jumpMap[217][Term] = 352;
   _actionMap[218][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[218][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[218][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[218][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[218][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[218][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[218][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[218][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[218][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[218][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[218][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[218][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[218][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[218][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[218][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[218][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[218][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[218][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[218][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[218][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[218][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[218][TRUNC] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser156()
{
   _actionMap[218][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[218][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[218][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[218][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[218][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[218][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[218][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[218][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[218][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[218][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[218][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[218][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[218][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[218][LB] = ActionEntry(SHIFT, 138);
   _actionMap[218][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[218][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[218][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[218][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[218][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[218][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[218][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[218][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[218][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[218][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[218][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[218][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[218][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[218][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[218][ObjSpec] = 96;
   _jumpMap[218][Constant] = 95;
   _jumpMap[218][SignedFloat] = 94;
   _jumpMap[218][SignedInt] = 93;
   _jumpMap[218][Attribute] = 92;
   _jumpMap[218][Function] = 91;
   _jumpMap[218][CasePrepare] = 90;
   _jumpMap[218][CaseClause] = 89;
   _jumpMap[218][Factor] = 353;
   _actionMap[219][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[219][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[219][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[219][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[219][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[219][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[219][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[219][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[219][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[219][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[219][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[219][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[219][DATE2INT] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser157()
{
   _actionMap[219][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[219][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[219][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[219][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[219][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[219][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[219][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[219][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[219][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[219][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[219][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[219][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[219][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[219][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[219][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[219][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[219][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[219][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[219][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[219][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[219][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[219][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[219][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[219][LB] = ActionEntry(SHIFT, 138);
   _actionMap[219][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[219][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[219][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[219][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[219][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[219][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[219][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[219][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[219][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[219][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[219][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[219][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[219][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[219][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[219][ObjSpec] = 96;
   _jumpMap[219][Constant] = 95;
   _jumpMap[219][SignedFloat] = 94;
   _jumpMap[219][SignedInt] = 93;
   _jumpMap[219][Attribute] = 92;
   _jumpMap[219][Function] = 91;
   _jumpMap[219][CasePrepare] = 90;
   _jumpMap[219][CaseClause] = 89;
   _jumpMap[219][Factor] = 354;
   _actionMap[220][ELSE] = ActionEntry(SHIFT, 356);
   _actionMap[220][WHEN] = ActionEntry(SHIFT, 222);
   _jumpMap[220][CaseCondition] = 355;
}
void Cego::loadParser158()
{
   _actionMap[221][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[221][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[222][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[222][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[222][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[222][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[222][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[222][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[222][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[222][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[222][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[222][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[222][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[222][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[222][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[222][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[222][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[222][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[222][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[222][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[222][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[222][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[222][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[222][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[222][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[222][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[222][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[222][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[222][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[222][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[222][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[222][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[222][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[222][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[222][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[222][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[222][LB] = ActionEntry(SHIFT, 362);
   _actionMap[222][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[222][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[222][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[222][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[222][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[222][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[222][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[222][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[222][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[222][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[222][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[222][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[222][SUM] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser159()
{
   _actionMap[222][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[222][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[222][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[222][EXISTS] = ActionEntry(SHIFT, 360);
   _actionMap[222][NOT] = ActionEntry(SHIFT, 361);
   _jumpMap[222][ObjSpec] = 96;
   _jumpMap[222][Constant] = 95;
   _jumpMap[222][SignedFloat] = 94;
   _jumpMap[222][SignedInt] = 93;
   _jumpMap[222][Attribute] = 92;
   _jumpMap[222][QueryPredicate] = 359;
   _jumpMap[222][QueryCondition] = 358;
   _jumpMap[222][Function] = 91;
   _jumpMap[222][CasePrepare] = 90;
   _jumpMap[222][CaseClause] = 89;
   _jumpMap[222][Factor] = 88;
   _jumpMap[222][Term] = 87;
   _jumpMap[222][Expr] = 357;
   _actionMap[223][RB] = ActionEntry(SHIFT, 365);
   _actionMap[223][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[223][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[223][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[223][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[223][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[223][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[223][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[223][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[223][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[223][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[223][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[223][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[223][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[223][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[223][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[223][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[223][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[223][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[223][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[223][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[223][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[223][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[223][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[223][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[223][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[223][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[223][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[223][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[223][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[223][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[223][SETCOUNT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser160()
{
   _actionMap[223][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[223][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[223][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[223][LB] = ActionEntry(SHIFT, 138);
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[223][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[223][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[223][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[223][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[223][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[223][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[223][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[223][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[223][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[223][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[223][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[223][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[223][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[223][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[223][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[223][ObjSpec] = 96;
   _jumpMap[223][Constant] = 95;
   _jumpMap[223][SignedFloat] = 94;
   _jumpMap[223][SignedInt] = 93;
   _jumpMap[223][Attribute] = 92;
   _jumpMap[223][ExpressionList] = 364;
   _jumpMap[223][Function] = 91;
   _jumpMap[223][CasePrepare] = 90;
   _jumpMap[223][CaseClause] = 89;
   _jumpMap[223][Factor] = 88;
   _jumpMap[223][Term] = 87;
   _jumpMap[223][Expr] = 363;
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser161()
{
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[224][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[224][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[224][LB] = ActionEntry(SHIFT, 138);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[224][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[224][ObjSpec] = 96;
   _jumpMap[224][Constant] = 95;
   _jumpMap[224][SignedFloat] = 94;
   _jumpMap[224][SignedInt] = 93;
   _jumpMap[224][Attribute] = 92;
   _jumpMap[224][Function] = 91;
   _jumpMap[224][CasePrepare] = 90;
   _jumpMap[224][CaseClause] = 89;
   _jumpMap[224][Factor] = 88;
   _jumpMap[224][Term] = 87;
   _jumpMap[224][Expr] = 366;
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser162()
{
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[225][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[225][LB] = ActionEntry(SHIFT, 138);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[225][ObjSpec] = 96;
   _jumpMap[225][Constant] = 95;
   _jumpMap[225][SignedFloat] = 94;
   _jumpMap[225][SignedInt] = 93;
   _jumpMap[225][Attribute] = 92;
}
void Cego::loadParser163()
{
   _jumpMap[225][ExpressionList] = 367;
   _jumpMap[225][Function] = 91;
   _jumpMap[225][CasePrepare] = 90;
   _jumpMap[225][CaseClause] = 89;
   _jumpMap[225][Factor] = 88;
   _jumpMap[225][Term] = 87;
   _jumpMap[225][Expr] = 363;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[226][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[226][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[226][LB] = ActionEntry(SHIFT, 138);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser164()
{
   _actionMap[226][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[226][ObjSpec] = 96;
   _jumpMap[226][Constant] = 95;
   _jumpMap[226][SignedFloat] = 94;
   _jumpMap[226][SignedInt] = 93;
   _jumpMap[226][Attribute] = 92;
   _jumpMap[226][ExpressionList] = 368;
   _jumpMap[226][Function] = 91;
   _jumpMap[226][CasePrepare] = 90;
   _jumpMap[226][CaseClause] = 89;
   _jumpMap[226][Factor] = 88;
   _jumpMap[226][Term] = 87;
   _jumpMap[226][Expr] = 363;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser165()
{
   _actionMap[227][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[227][LB] = ActionEntry(SHIFT, 138);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[227][ObjSpec] = 96;
   _jumpMap[227][Constant] = 95;
   _jumpMap[227][SignedFloat] = 94;
   _jumpMap[227][SignedInt] = 93;
   _jumpMap[227][Attribute] = 92;
   _jumpMap[227][ExpressionList] = 369;
   _jumpMap[227][Function] = 91;
   _jumpMap[227][CasePrepare] = 90;
   _jumpMap[227][CaseClause] = 89;
   _jumpMap[227][Factor] = 88;
   _jumpMap[227][Term] = 87;
   _jumpMap[227][Expr] = 363;
   _actionMap[228][STAR] = ActionEntry(SHIFT, 371);
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser166()
{
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[228][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[228][LB] = ActionEntry(SHIFT, 138);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[228][ObjSpec] = 96;
   _jumpMap[228][Constant] = 95;
   _jumpMap[228][SignedFloat] = 94;
   _jumpMap[228][SignedInt] = 93;
   _jumpMap[228][Attribute] = 92;
   _jumpMap[228][Function] = 91;
   _jumpMap[228][CasePrepare] = 90;
   _jumpMap[228][CaseClause] = 89;
   _jumpMap[228][Factor] = 88;
   _jumpMap[228][Term] = 87;
   _jumpMap[228][Expr] = 370;
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 373);
   _jumpMap[229][DateFormat] = 372;
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser167()
{
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[230][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[230][LB] = ActionEntry(SHIFT, 138);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[230][ObjSpec] = 96;
}
void Cego::loadParser168()
{
   _jumpMap[230][Constant] = 95;
   _jumpMap[230][SignedFloat] = 94;
   _jumpMap[230][SignedInt] = 93;
   _jumpMap[230][Attribute] = 92;
   _jumpMap[230][ExpressionList] = 374;
   _jumpMap[230][Function] = 91;
   _jumpMap[230][CasePrepare] = 90;
   _jumpMap[230][CaseClause] = 89;
   _jumpMap[230][Factor] = 88;
   _jumpMap[230][Term] = 87;
   _jumpMap[230][Expr] = 363;
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[231][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[231][LB] = ActionEntry(SHIFT, 138);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser169()
{
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[231][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[231][ObjSpec] = 96;
   _jumpMap[231][Constant] = 95;
   _jumpMap[231][SignedFloat] = 94;
   _jumpMap[231][SignedInt] = 93;
   _jumpMap[231][Attribute] = 92;
   _jumpMap[231][ExpressionList] = 375;
   _jumpMap[231][Function] = 91;
   _jumpMap[231][CasePrepare] = 90;
   _jumpMap[231][CaseClause] = 89;
   _jumpMap[231][Factor] = 88;
   _jumpMap[231][Term] = 87;
   _jumpMap[231][Expr] = 363;
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser170()
{
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[232][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[232][LB] = ActionEntry(SHIFT, 138);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[232][ObjSpec] = 96;
   _jumpMap[232][Constant] = 95;
   _jumpMap[232][SignedFloat] = 94;
   _jumpMap[232][SignedInt] = 93;
   _jumpMap[232][Attribute] = 92;
   _jumpMap[232][ExpressionList] = 376;
   _jumpMap[232][Function] = 91;
   _jumpMap[232][CasePrepare] = 90;
   _jumpMap[232][CaseClause] = 89;
   _jumpMap[232][Factor] = 88;
   _jumpMap[232][Term] = 87;
   _jumpMap[232][Expr] = 363;
   _actionMap[233][INTO] = ActionEntry(SHIFT, 377);
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser171()
{
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[234][LB] = ActionEntry(SHIFT, 138);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[234][ObjSpec] = 96;
   _jumpMap[234][Constant] = 95;
   _jumpMap[234][SignedFloat] = 94;
   _jumpMap[234][SignedInt] = 93;
   _jumpMap[234][Attribute] = 92;
   _jumpMap[234][ExpressionList] = 378;
   _jumpMap[234][Function] = 91;
   _jumpMap[234][CasePrepare] = 90;
   _jumpMap[234][CaseClause] = 89;
   _jumpMap[234][Factor] = 88;
   _jumpMap[234][Term] = 87;
}
void Cego::loadParser172()
{
   _jumpMap[234][Expr] = 363;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[235][LB] = ActionEntry(SHIFT, 138);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser173()
{
   _actionMap[235][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[235][ObjSpec] = 96;
   _jumpMap[235][Constant] = 95;
   _jumpMap[235][SignedFloat] = 94;
   _jumpMap[235][SignedInt] = 93;
   _jumpMap[235][Attribute] = 92;
   _jumpMap[235][ExpressionList] = 379;
   _jumpMap[235][Function] = 91;
   _jumpMap[235][CasePrepare] = 90;
   _jumpMap[235][CaseClause] = 89;
   _jumpMap[235][Factor] = 88;
   _jumpMap[235][Term] = 87;
   _jumpMap[235][Expr] = 363;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[236][LB] = ActionEntry(SHIFT, 138);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser174()
{
   _actionMap[236][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[236][ObjSpec] = 96;
   _jumpMap[236][Constant] = 95;
   _jumpMap[236][SignedFloat] = 94;
   _jumpMap[236][SignedInt] = 93;
   _jumpMap[236][Attribute] = 92;
   _jumpMap[236][ExpressionList] = 380;
   _jumpMap[236][Function] = 91;
   _jumpMap[236][CasePrepare] = 90;
   _jumpMap[236][CaseClause] = 89;
   _jumpMap[236][Factor] = 88;
   _jumpMap[236][Term] = 87;
   _jumpMap[236][Expr] = 363;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser175()
{
   _actionMap[237][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[237][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[237][LB] = ActionEntry(SHIFT, 138);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[237][ObjSpec] = 96;
   _jumpMap[237][Constant] = 95;
   _jumpMap[237][SignedFloat] = 94;
   _jumpMap[237][SignedInt] = 93;
   _jumpMap[237][Attribute] = 92;
   _jumpMap[237][ExpressionList] = 381;
   _jumpMap[237][Function] = 91;
   _jumpMap[237][CasePrepare] = 90;
   _jumpMap[237][CaseClause] = 89;
   _jumpMap[237][Factor] = 88;
   _jumpMap[237][Term] = 87;
   _jumpMap[237][Expr] = 363;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser176()
{
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[238][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[238][LB] = ActionEntry(SHIFT, 138);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[238][ObjSpec] = 96;
   _jumpMap[238][Constant] = 95;
   _jumpMap[238][SignedFloat] = 94;
   _jumpMap[238][SignedInt] = 93;
   _jumpMap[238][Attribute] = 92;
   _jumpMap[238][ExpressionList] = 382;
   _jumpMap[238][Function] = 91;
   _jumpMap[238][CasePrepare] = 90;
   _jumpMap[238][CaseClause] = 89;
}
void Cego::loadParser177()
{
   _jumpMap[238][Factor] = 88;
   _jumpMap[238][Term] = 87;
   _jumpMap[238][Expr] = 363;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[239][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[239][LB] = ActionEntry(SHIFT, 138);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser178()
{
   _actionMap[239][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[239][ObjSpec] = 96;
   _jumpMap[239][Constant] = 95;
   _jumpMap[239][SignedFloat] = 94;
   _jumpMap[239][SignedInt] = 93;
   _jumpMap[239][Attribute] = 92;
   _jumpMap[239][ExpressionList] = 383;
   _jumpMap[239][Function] = 91;
   _jumpMap[239][CasePrepare] = 90;
   _jumpMap[239][CaseClause] = 89;
   _jumpMap[239][Factor] = 88;
   _jumpMap[239][Term] = 87;
   _jumpMap[239][Expr] = 363;
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[240][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser179()
{
   _actionMap[240][LB] = ActionEntry(SHIFT, 138);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[240][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[240][ObjSpec] = 96;
   _jumpMap[240][Constant] = 95;
   _jumpMap[240][SignedFloat] = 94;
   _jumpMap[240][SignedInt] = 93;
   _jumpMap[240][Attribute] = 92;
   _jumpMap[240][Function] = 91;
   _jumpMap[240][CasePrepare] = 90;
   _jumpMap[240][CaseClause] = 89;
   _jumpMap[240][Factor] = 88;
   _jumpMap[240][Term] = 87;
   _jumpMap[240][Expr] = 384;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser180()
{
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[241][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[241][LB] = ActionEntry(SHIFT, 138);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[241][ObjSpec] = 96;
   _jumpMap[241][Constant] = 95;
   _jumpMap[241][SignedFloat] = 94;
   _jumpMap[241][SignedInt] = 93;
   _jumpMap[241][Attribute] = 92;
   _jumpMap[241][Function] = 91;
   _jumpMap[241][CasePrepare] = 90;
   _jumpMap[241][CaseClause] = 89;
   _jumpMap[241][Factor] = 88;
   _jumpMap[241][Term] = 87;
   _jumpMap[241][Expr] = 385;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser181()
{
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[242][LB] = ActionEntry(SHIFT, 138);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[242][ObjSpec] = 96;
   _jumpMap[242][Constant] = 95;
   _jumpMap[242][SignedFloat] = 94;
   _jumpMap[242][SignedInt] = 93;
   _jumpMap[242][Attribute] = 92;
   _jumpMap[242][ExpressionList] = 386;
   _jumpMap[242][Function] = 91;
   _jumpMap[242][CasePrepare] = 90;
   _jumpMap[242][CaseClause] = 89;
}
void Cego::loadParser182()
{
   _jumpMap[242][Factor] = 88;
   _jumpMap[242][Term] = 87;
   _jumpMap[242][Expr] = 363;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[243][LB] = ActionEntry(SHIFT, 138);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser183()
{
   _actionMap[243][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[243][ObjSpec] = 96;
   _jumpMap[243][Constant] = 95;
   _jumpMap[243][SignedFloat] = 94;
   _jumpMap[243][SignedInt] = 93;
   _jumpMap[243][Attribute] = 92;
   _jumpMap[243][ExpressionList] = 387;
   _jumpMap[243][Function] = 91;
   _jumpMap[243][CasePrepare] = 90;
   _jumpMap[243][CaseClause] = 89;
   _jumpMap[243][Factor] = 88;
   _jumpMap[243][Term] = 87;
   _jumpMap[243][Expr] = 363;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser184()
{
   _actionMap[244][LB] = ActionEntry(SHIFT, 138);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[244][ObjSpec] = 96;
   _jumpMap[244][Constant] = 95;
   _jumpMap[244][SignedFloat] = 94;
   _jumpMap[244][SignedInt] = 93;
   _jumpMap[244][Attribute] = 92;
   _jumpMap[244][ExpressionList] = 388;
   _jumpMap[244][Function] = 91;
   _jumpMap[244][CasePrepare] = 90;
   _jumpMap[244][CaseClause] = 89;
   _jumpMap[244][Factor] = 88;
   _jumpMap[244][Term] = 87;
   _jumpMap[244][Expr] = 363;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser185()
{
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[245][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[245][LB] = ActionEntry(SHIFT, 138);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[245][ObjSpec] = 96;
   _jumpMap[245][Constant] = 95;
   _jumpMap[245][SignedFloat] = 94;
   _jumpMap[245][SignedInt] = 93;
   _jumpMap[245][Attribute] = 92;
   _jumpMap[245][ExpressionList] = 389;
   _jumpMap[245][Function] = 91;
   _jumpMap[245][CasePrepare] = 90;
   _jumpMap[245][CaseClause] = 89;
   _jumpMap[245][Factor] = 88;
   _jumpMap[245][Term] = 87;
   _jumpMap[245][Expr] = 363;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser186()
{
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[246][LB] = ActionEntry(SHIFT, 138);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[246][ObjSpec] = 96;
   _jumpMap[246][Constant] = 95;
   _jumpMap[246][SignedFloat] = 94;
   _jumpMap[246][SignedInt] = 93;
   _jumpMap[246][Attribute] = 92;
   _jumpMap[246][ExpressionList] = 390;
   _jumpMap[246][Function] = 91;
}
void Cego::loadParser187()
{
   _jumpMap[246][CasePrepare] = 90;
   _jumpMap[246][CaseClause] = 89;
   _jumpMap[246][Factor] = 88;
   _jumpMap[246][Term] = 87;
   _jumpMap[246][Expr] = 363;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[247][LB] = ActionEntry(SHIFT, 138);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser188()
{
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[247][ObjSpec] = 96;
   _jumpMap[247][Constant] = 95;
   _jumpMap[247][SignedFloat] = 94;
   _jumpMap[247][SignedInt] = 93;
   _jumpMap[247][Attribute] = 92;
   _jumpMap[247][ExpressionList] = 391;
   _jumpMap[247][Function] = 91;
   _jumpMap[247][CasePrepare] = 90;
   _jumpMap[247][CaseClause] = 89;
   _jumpMap[247][Factor] = 88;
   _jumpMap[247][Term] = 87;
   _jumpMap[247][Expr] = 363;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser189()
{
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[248][LB] = ActionEntry(SHIFT, 138);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[248][ObjSpec] = 96;
   _jumpMap[248][Constant] = 95;
   _jumpMap[248][SignedFloat] = 94;
   _jumpMap[248][SignedInt] = 93;
   _jumpMap[248][Attribute] = 92;
   _jumpMap[248][ExpressionList] = 392;
   _jumpMap[248][Function] = 91;
   _jumpMap[248][CasePrepare] = 90;
   _jumpMap[248][CaseClause] = 89;
   _jumpMap[248][Factor] = 88;
   _jumpMap[248][Term] = 87;
   _jumpMap[248][Expr] = 363;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser190()
{
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[249][LB] = ActionEntry(SHIFT, 138);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[249][ObjSpec] = 96;
   _jumpMap[249][Constant] = 95;
   _jumpMap[249][SignedFloat] = 94;
   _jumpMap[249][SignedInt] = 93;
   _jumpMap[249][Attribute] = 92;
   _jumpMap[249][ExpressionList] = 393;
   _jumpMap[249][Function] = 91;
   _jumpMap[249][CasePrepare] = 90;
   _jumpMap[249][CaseClause] = 89;
   _jumpMap[249][Factor] = 88;
   _jumpMap[249][Term] = 87;
   _jumpMap[249][Expr] = 363;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser191()
{
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[250][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[250][LB] = ActionEntry(SHIFT, 138);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[250][ObjSpec] = 96;
   _jumpMap[250][Constant] = 95;
   _jumpMap[250][SignedFloat] = 94;
   _jumpMap[250][SignedInt] = 93;
   _jumpMap[250][Attribute] = 92;
}
void Cego::loadParser192()
{
   _jumpMap[250][ExpressionList] = 394;
   _jumpMap[250][Function] = 91;
   _jumpMap[250][CasePrepare] = 90;
   _jumpMap[250][CaseClause] = 89;
   _jumpMap[250][Factor] = 88;
   _jumpMap[250][Term] = 87;
   _jumpMap[250][Expr] = 363;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[251][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[251][LB] = ActionEntry(SHIFT, 138);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser193()
{
   _actionMap[251][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[251][ObjSpec] = 96;
   _jumpMap[251][Constant] = 95;
   _jumpMap[251][SignedFloat] = 94;
   _jumpMap[251][SignedInt] = 93;
   _jumpMap[251][Attribute] = 92;
   _jumpMap[251][ExpressionList] = 395;
   _jumpMap[251][Function] = 91;
   _jumpMap[251][CasePrepare] = 90;
   _jumpMap[251][CaseClause] = 89;
   _jumpMap[251][Factor] = 88;
   _jumpMap[251][Term] = 87;
   _jumpMap[251][Expr] = 363;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser194()
{
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[252][LB] = ActionEntry(SHIFT, 138);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[252][ObjSpec] = 96;
   _jumpMap[252][Constant] = 95;
   _jumpMap[252][SignedFloat] = 94;
   _jumpMap[252][SignedInt] = 93;
   _jumpMap[252][Attribute] = 92;
   _jumpMap[252][ExpressionList] = 396;
   _jumpMap[252][Function] = 91;
   _jumpMap[252][CasePrepare] = 90;
   _jumpMap[252][CaseClause] = 89;
   _jumpMap[252][Factor] = 88;
   _jumpMap[252][Term] = 87;
   _jumpMap[252][Expr] = 363;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser195()
{
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[253][LB] = ActionEntry(SHIFT, 138);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[253][ObjSpec] = 96;
   _jumpMap[253][Constant] = 95;
   _jumpMap[253][SignedFloat] = 94;
   _jumpMap[253][SignedInt] = 93;
   _jumpMap[253][Attribute] = 92;
   _jumpMap[253][Function] = 91;
   _jumpMap[253][CasePrepare] = 90;
   _jumpMap[253][CaseClause] = 89;
   _jumpMap[253][Factor] = 88;
   _jumpMap[253][Term] = 87;
   _jumpMap[253][Expr] = 397;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser196()
{
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[254][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[254][LB] = ActionEntry(SHIFT, 138);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[254][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[254][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[254][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[254][ObjSpec] = 96;
   _jumpMap[254][Constant] = 95;
   _jumpMap[254][SignedFloat] = 94;
   _jumpMap[254][SignedInt] = 93;
}
void Cego::loadParser197()
{
   _jumpMap[254][Attribute] = 92;
   _jumpMap[254][ExpressionList] = 398;
   _jumpMap[254][Function] = 91;
   _jumpMap[254][CasePrepare] = 90;
   _jumpMap[254][CaseClause] = 89;
   _jumpMap[254][Factor] = 88;
   _jumpMap[254][Term] = 87;
   _jumpMap[254][Expr] = 363;
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[255][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[255][LB] = ActionEntry(SHIFT, 138);
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[255][LAB] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser198()
{
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[255][ObjSpec] = 96;
   _jumpMap[255][Constant] = 95;
   _jumpMap[255][SignedFloat] = 94;
   _jumpMap[255][SignedInt] = 93;
   _jumpMap[255][Attribute] = 92;
   _jumpMap[255][ExpressionList] = 399;
   _jumpMap[255][Function] = 91;
   _jumpMap[255][CasePrepare] = 90;
   _jumpMap[255][CaseClause] = 89;
   _jumpMap[255][Factor] = 88;
   _jumpMap[255][Term] = 87;
   _jumpMap[255][Expr] = 363;
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser199()
{
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[256][LB] = ActionEntry(SHIFT, 138);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[256][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[256][ObjSpec] = 96;
   _jumpMap[256][Constant] = 95;
   _jumpMap[256][SignedFloat] = 94;
   _jumpMap[256][SignedInt] = 93;
   _jumpMap[256][Attribute] = 92;
   _jumpMap[256][ExpressionList] = 400;
   _jumpMap[256][Function] = 91;
   _jumpMap[256][CasePrepare] = 90;
   _jumpMap[256][CaseClause] = 89;
   _jumpMap[256][Factor] = 88;
   _jumpMap[256][Term] = 87;
   _jumpMap[256][Expr] = 363;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser200()
{
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[257][LB] = ActionEntry(SHIFT, 138);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[257][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[257][ObjSpec] = 96;
   _jumpMap[257][Constant] = 95;
   _jumpMap[257][SignedFloat] = 94;
   _jumpMap[257][SignedInt] = 93;
   _jumpMap[257][Attribute] = 92;
   _jumpMap[257][ExpressionList] = 401;
   _jumpMap[257][Function] = 91;
   _jumpMap[257][CasePrepare] = 90;
   _jumpMap[257][CaseClause] = 89;
   _jumpMap[257][Factor] = 88;
   _jumpMap[257][Term] = 87;
   _jumpMap[257][Expr] = 363;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser201()
{
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[258][LB] = ActionEntry(SHIFT, 138);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[258][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[258][ObjSpec] = 96;
   _jumpMap[258][Constant] = 95;
}
void Cego::loadParser202()
{
   _jumpMap[258][SignedFloat] = 94;
   _jumpMap[258][SignedInt] = 93;
   _jumpMap[258][Attribute] = 92;
   _jumpMap[258][ExpressionList] = 402;
   _jumpMap[258][Function] = 91;
   _jumpMap[258][CasePrepare] = 90;
   _jumpMap[258][CaseClause] = 89;
   _jumpMap[258][Factor] = 88;
   _jumpMap[258][Term] = 87;
   _jumpMap[258][Expr] = 363;
   _actionMap[259][RB] = ActionEntry(SHIFT, 403);
   _actionMap[259][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[259][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[260][RB] = ActionEntry(SHIFT, 404);
   _actionMap[261][RB] = ActionEntry(SHIFT, 405);
   _actionMap[262][RB] = ActionEntry(SHIFT, 406);
   _actionMap[263][RB] = ActionEntry(SHIFT, 407);
   _actionMap[264][RB] = ActionEntry(SHIFT, 408);
   _actionMap[265][RB] = ActionEntry(SHIFT, 409);
   _actionMap[266][RB] = ActionEntry(SHIFT, 410);
   _actionMap[267][RB] = ActionEntry(SHIFT, 411);
   _actionMap[268][KSEP] = ActionEntry(SHIFT, 412);
   _actionMap[269][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[269][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[269][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[269][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[269][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[269][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[269][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[269][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[269][AS] = ActionEntry(REDUCE, 339);
   _actionMap[269][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[269][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[269][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][OR] = ActionEntry(REDUCE, 339);
   _actionMap[269][AND] = ActionEntry(REDUCE, 339);
   _actionMap[269][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[269][IS] = ActionEntry(REDUCE, 339);
   _actionMap[269][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[269][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[269][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[269][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[269][LT] = ActionEntry(REDUCE, 339);
   _actionMap[269][MT] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser203()
{
   _actionMap[269][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[269][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[269][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[269][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[269][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[269][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[269][RB] = ActionEntry(REDUCE, 339);
   _actionMap[269][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[269][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[269][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[269][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[269][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[269][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[270][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[270][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[270][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[270][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[270][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[270][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[270][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[270][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[270][AS] = ActionEntry(REDUCE, 341);
   _actionMap[270][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[270][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[270][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][OR] = ActionEntry(REDUCE, 341);
   _actionMap[270][AND] = ActionEntry(REDUCE, 341);
   _actionMap[270][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[270][IS] = ActionEntry(REDUCE, 341);
   _actionMap[270][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[270][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[270][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[270][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[270][LT] = ActionEntry(REDUCE, 341);
   _actionMap[270][MT] = ActionEntry(REDUCE, 341);
   _actionMap[270][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[270][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[270][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[270][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[270][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[270][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[270][RB] = ActionEntry(REDUCE, 341);
   _actionMap[270][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[270][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[270][STAR] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser204()
{
   _actionMap[270][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[270][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[270][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[271][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[271][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[271][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[271][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[271][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[271][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[271][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[271][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[271][AS] = ActionEntry(REDUCE, 337);
   _actionMap[271][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[271][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][OR] = ActionEntry(REDUCE, 337);
   _actionMap[271][AND] = ActionEntry(REDUCE, 337);
   _actionMap[271][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[271][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[271][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][IS] = ActionEntry(REDUCE, 337);
   _actionMap[271][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[271][HAVING] = ActionEntry(REDUCE, 337);
   _actionMap[271][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[271][MT] = ActionEntry(REDUCE, 337);
   _actionMap[271][LT] = ActionEntry(REDUCE, 337);
   _actionMap[271][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[271][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[271][RB] = ActionEntry(REDUCE, 337);
   _actionMap[271][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[271][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[271][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[271][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[271][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[271][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[271][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[271][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[271][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[271][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[271][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[271][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[272][TO] = ActionEntry(SHIFT, 413);
   _actionMap[273][TO] = ActionEntry(SHIFT, 414);
   _actionMap[274][TO] = ActionEntry(SHIFT, 415);
   _actionMap[275][TO] = ActionEntry(SHIFT, 416);
   _actionMap[276][TO] = ActionEntry(SHIFT, 417);
   _actionMap[277][TO] = ActionEntry(SHIFT, 418);
   _actionMap[278][SEMICOLON] = ActionEntry(REDUCE, 39);
}
void Cego::loadParser205()
{
   _actionMap[279][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[280][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[280][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[280][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[280][ObjSpec] = 423;
   _jumpMap[280][Table] = 422;
   _jumpMap[280][TableList] = 421;
   _jumpMap[280][JoinSpecList] = 420;
   _jumpMap[280][TableSource] = 419;
   _actionMap[281][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[281][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[281][FROM] = ActionEntry(REDUCE, 219);
   _actionMap[281][AS] = ActionEntry(SHIFT, 426);
   _actionMap[281][KSEP] = ActionEntry(REDUCE, 219);
   _jumpMap[281][NoAliasOpt] = 425;
   _jumpMap[281][AliasOpt] = 424;
   _actionMap[282][KSEP] = ActionEntry(SHIFT, 427);
   _actionMap[282][FROM] = ActionEntry(REDUCE, 198);
   _actionMap[283][FROM] = ActionEntry(REDUCE, 201);
   _actionMap[283][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[284][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[286][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[288][TO] = ActionEntry(SHIFT, 428);
   _actionMap[289][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[293][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[293][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[293][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[293][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[293][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[293][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[293][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[293][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[293][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[293][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[293][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[293][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[293][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[293][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[293][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[293][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[293][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[293][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[293][STR2INT] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser206()
{
   _actionMap[293][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[293][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[293][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[293][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[293][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[293][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[293][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[293][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[293][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[293][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[293][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[293][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[293][LB] = ActionEntry(SHIFT, 138);
   _actionMap[293][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[293][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[293][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[293][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[293][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[293][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[293][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[293][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[293][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[293][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[293][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[293][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[293][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[293][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[293][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[293][ObjSpec] = 96;
   _jumpMap[293][Constant] = 95;
   _jumpMap[293][SignedFloat] = 94;
   _jumpMap[293][SignedInt] = 93;
   _jumpMap[293][Attribute] = 92;
   _jumpMap[293][Function] = 91;
   _jumpMap[293][CasePrepare] = 90;
   _jumpMap[293][CaseClause] = 89;
   _jumpMap[293][Factor] = 88;
   _jumpMap[293][Term] = 87;
   _jumpMap[293][Expr] = 429;
   _actionMap[294][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[295][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[296][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[297][SET] = ActionEntry(SHIFT, 298);
   _actionMap[298][IDENTIFIER] = ActionEntry(SHIFT, 432);
   _jumpMap[298][Assignment] = 431;
   _jumpMap[298][UpdateList] = 430;
   _actionMap[299][SET] = ActionEntry(REDUCE, 252);
}
void Cego::loadParser207()
{
   _actionMap[299][WHERE] = ActionEntry(REDUCE, 252);
   _actionMap[299][GROUP] = ActionEntry(REDUCE, 252);
   _actionMap[299][ORDER] = ActionEntry(REDUCE, 252);
   _actionMap[299][ROWLIMIT] = ActionEntry(REDUCE, 252);
   _actionMap[299][UNION] = ActionEntry(REDUCE, 252);
   _actionMap[299][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[299][RB] = ActionEntry(REDUCE, 252);
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[299][RETURNTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[300][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[300][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[300][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[300][ObjSpec] = 433;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[38][ObjSpec] = 175;
   _actionMap[39][STRINGVAL] = ActionEntry(SHIFT, 177);
   _jumpMap[39][CounterId] = 176;
   _actionMap[40][KEY] = ActionEntry(SHIFT, 178);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[41][ObjSpec] = 179;
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[42][ObjSpec] = 180;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[43][ObjSpec] = 181;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[44][ObjSpec] = 182;
   _actionMap[45][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[46][ObjSpec] = 183;
   _actionMap[47][IDENTIFIED] = ActionEntry(SHIFT, 184);
   _actionMap[48][LB] = ActionEntry(SHIFT, 185);
   _actionMap[49][TO] = ActionEntry(REDUCE, 360);
   _actionMap[49][VALUES] = ActionEntry(REDUCE, 360);
   _actionMap[49][SELECT] = ActionEntry(REDUCE, 360);
   _actionMap[49][SET] = ActionEntry(REDUCE, 360);
   _actionMap[49][AS] = ActionEntry(REDUCE, 360);
   _actionMap[49][DROP] = ActionEntry(REDUCE, 360);
   _actionMap[49][MODIFY] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser208()
{
   _actionMap[49][RENAME] = ActionEntry(REDUCE, 360);
   _actionMap[49][ADD] = ActionEntry(REDUCE, 360);
   _actionMap[49][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[49][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[49][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[49][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[49][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[49][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[49][RB] = ActionEntry(REDUCE, 360);
   _actionMap[49][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[49][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[49][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[49][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[49][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[49][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[49][LB] = ActionEntry(REDUCE, 360);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 360);
   _actionMap[49][ON] = ActionEntry(REDUCE, 360);
   _actionMap[50][TO] = ActionEntry(REDUCE, 361);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 361);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 361);
   _actionMap[50][SET] = ActionEntry(REDUCE, 361);
   _actionMap[50][AS] = ActionEntry(REDUCE, 361);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 361);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 361);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 361);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 361);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[50][RB] = ActionEntry(REDUCE, 361);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[50][LB] = ActionEntry(REDUCE, 361);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 361);
   _actionMap[50][ON] = ActionEntry(REDUCE, 361);
   _actionMap[51][TO] = ActionEntry(REDUCE, 362);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 362);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 362);
   _actionMap[51][SET] = ActionEntry(REDUCE, 362);
   _actionMap[51][AS] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser209()
{
   _actionMap[51][DROP] = ActionEntry(REDUCE, 362);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 362);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 362);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 362);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[51][RB] = ActionEntry(REDUCE, 362);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 362);
   _actionMap[51][ON] = ActionEntry(REDUCE, 362);
   _actionMap[51][LB] = ActionEntry(REDUCE, 362);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 186);
   _actionMap[53][BEGIN] = ActionEntry(SHIFT, 187);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[55][INDEX] = ActionEntry(SHIFT, 188);
   _actionMap[56][STRINGVAL] = ActionEntry(SHIFT, 177);
   _jumpMap[56][CounterId] = 189;
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 190);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[58][ObjSpec] = 191;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[59][ObjSpec] = 192;
   _actionMap[60][INDEX] = ActionEntry(REDUCE, 180);
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[61][ObjSpec] = 193;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[62][ObjSpec] = 194;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[63][ObjSpec] = 195;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser210()
{
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[64][ObjSpec] = 196;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[65][ObjSpec] = 197;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[66][ObjSpec] = 198;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[67][ObjSpec] = 199;
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[68][ObjSpec] = 200;
   _actionMap[69][EXISTS] = ActionEntry(SHIFT, 201);
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[70][ObjSpec] = 202;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 203);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[72][IDENTIFIER] = ActionEntry(REDUCE, 75);
   _actionMap[72][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[73][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[73][TableSetOpt] = 204;
   _actionMap[74][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[74][TableSetOpt] = 206;
   _actionMap[75][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[75][TableSetOpt] = 207;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[76][TableSetOpt] = 208;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[77][TableSetOpt] = 209;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[78][TableSetOpt] = 210;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[79][TableSetOpt] = 211;
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 2);
}
void Cego::loadParser211()
{
   _actionMap[81][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[81][TableSetOpt] = 212;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 205);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[82][TableSetOpt] = 213;
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[84][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[84][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[84][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[84][ObjSpec] = 214;
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[86][PLUS] = ActionEntry(SHIFT, 217);
   _actionMap[86][MINUS] = ActionEntry(SHIFT, 216);
   _actionMap[86][CONCAT] = ActionEntry(SHIFT, 215);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[87][STAR] = ActionEntry(SHIFT, 218);
   _actionMap[87][DIVISION] = ActionEntry(SHIFT, 219);
   _actionMap[87][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[87][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[87][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[87][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[87][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[87][RETURNTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[87][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[87][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[87][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[87][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][OR] = ActionEntry(REDUCE, 139);
   _actionMap[87][AS] = ActionEntry(REDUCE, 139);
   _actionMap[87][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[87][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][AND] = ActionEntry(REDUCE, 139);
   _actionMap[87][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[87][IS] = ActionEntry(REDUCE, 139);
   _actionMap[87][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[87][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[87][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[87][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[87][LT] = ActionEntry(REDUCE, 139);
   _actionMap[87][MT] = ActionEntry(REDUCE, 139);
   _actionMap[87][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[87][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[87][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[87][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[87][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[87][ENDTOKEN] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser212()
{
   _actionMap[87][RB] = ActionEntry(REDUCE, 139);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[87][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[87][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[87][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[88][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[88][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[88][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[88][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[88][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[88][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[88][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[88][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[88][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[88][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][OR] = ActionEntry(REDUCE, 143);
   _actionMap[88][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[88][AS] = ActionEntry(REDUCE, 143);
   _actionMap[88][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][AND] = ActionEntry(REDUCE, 143);
   _actionMap[88][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[88][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[88][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][IS] = ActionEntry(REDUCE, 143);
   _actionMap[88][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[88][MT] = ActionEntry(REDUCE, 143);
   _actionMap[88][LT] = ActionEntry(REDUCE, 143);
   _actionMap[88][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[88][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[88][RB] = ActionEntry(REDUCE, 143);
   _actionMap[88][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[88][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[88][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[88][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[88][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[88][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[88][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[88][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[88][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[88][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[88][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[89][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[89][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[89][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[89][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[89][JOIN] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser213()
{
   _actionMap[89][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[89][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[89][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[89][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[89][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][OR] = ActionEntry(REDUCE, 151);
   _actionMap[89][AS] = ActionEntry(REDUCE, 151);
   _actionMap[89][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[89][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][AND] = ActionEntry(REDUCE, 151);
   _actionMap[89][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[89][IS] = ActionEntry(REDUCE, 151);
   _actionMap[89][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[89][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[89][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[89][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[89][LT] = ActionEntry(REDUCE, 151);
   _actionMap[89][MT] = ActionEntry(REDUCE, 151);
   _actionMap[89][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[89][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[89][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[89][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[89][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[89][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[89][RB] = ActionEntry(REDUCE, 151);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[89][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[89][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[89][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[89][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[89][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[90][WHEN] = ActionEntry(SHIFT, 222);
   _jumpMap[90][CaseCondition] = 221;
   _jumpMap[90][CaseConditionList] = 220;
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][OR] = ActionEntry(REDUCE, 148);
   _actionMap[91][AS] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser214()
{
   _actionMap[91][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][AND] = ActionEntry(REDUCE, 148);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[91][IS] = ActionEntry(REDUCE, 148);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[91][LT] = ActionEntry(REDUCE, 148);
   _actionMap[91][MT] = ActionEntry(REDUCE, 148);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[91][RB] = ActionEntry(REDUCE, 148);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[92][AS] = ActionEntry(REDUCE, 147);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][OR] = ActionEntry(REDUCE, 147);
   _actionMap[92][AND] = ActionEntry(REDUCE, 147);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[92][IS] = ActionEntry(REDUCE, 147);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[92][LT] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser215()
{
   _actionMap[92][MT] = ActionEntry(REDUCE, 147);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[92][RB] = ActionEntry(REDUCE, 147);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[93][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[93][AS] = ActionEntry(REDUCE, 342);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][OR] = ActionEntry(REDUCE, 342);
   _actionMap[93][AND] = ActionEntry(REDUCE, 342);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][IS] = ActionEntry(REDUCE, 342);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[93][MT] = ActionEntry(REDUCE, 342);
   _actionMap[93][LT] = ActionEntry(REDUCE, 342);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[93][RB] = ActionEntry(REDUCE, 342);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser216()
{
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[94][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[94][AS] = ActionEntry(REDUCE, 348);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][OR] = ActionEntry(REDUCE, 348);
   _actionMap[94][AND] = ActionEntry(REDUCE, 348);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][IS] = ActionEntry(REDUCE, 348);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[94][MT] = ActionEntry(REDUCE, 348);
   _actionMap[94][LT] = ActionEntry(REDUCE, 348);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[94][RB] = ActionEntry(REDUCE, 348);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser217()
{
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[95][AS] = ActionEntry(REDUCE, 145);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][OR] = ActionEntry(REDUCE, 145);
   _actionMap[95][AND] = ActionEntry(REDUCE, 145);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[95][IS] = ActionEntry(REDUCE, 145);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[95][LT] = ActionEntry(REDUCE, 145);
   _actionMap[95][MT] = ActionEntry(REDUCE, 145);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[95][RB] = ActionEntry(REDUCE, 145);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[96][LB] = ActionEntry(SHIFT, 223);
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[97][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[97][AS] = ActionEntry(REDUCE, 347);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser218()
{
   _actionMap[97][OR] = ActionEntry(REDUCE, 347);
   _actionMap[97][AND] = ActionEntry(REDUCE, 347);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][IS] = ActionEntry(REDUCE, 347);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[97][MT] = ActionEntry(REDUCE, 347);
   _actionMap[97][LT] = ActionEntry(REDUCE, 347);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[97][RB] = ActionEntry(REDUCE, 347);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[98][LB] = ActionEntry(SHIFT, 224);
   _actionMap[99][LB] = ActionEntry(SHIFT, 225);
   _actionMap[100][LB] = ActionEntry(SHIFT, 226);
   _actionMap[101][LB] = ActionEntry(SHIFT, 227);
   _actionMap[102][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[103][LB] = ActionEntry(SHIFT, 228);
   _actionMap[104][LB] = ActionEntry(SHIFT, 229);
   _actionMap[105][LB] = ActionEntry(SHIFT, 230);
   _actionMap[106][LB] = ActionEntry(SHIFT, 231);
   _actionMap[107][LB] = ActionEntry(SHIFT, 232);
   _actionMap[108][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[108][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[108][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[108][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[108][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[108][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[108][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[108][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[108][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[108][AS] = ActionEntry(REDUCE, 356);
   _actionMap[108][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[108][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][OR] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser219()
{
   _actionMap[108][AND] = ActionEntry(REDUCE, 356);
   _actionMap[108][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[108][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[108][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][IS] = ActionEntry(REDUCE, 356);
   _actionMap[108][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[108][MT] = ActionEntry(REDUCE, 356);
   _actionMap[108][LT] = ActionEntry(REDUCE, 356);
   _actionMap[108][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[108][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[108][RB] = ActionEntry(REDUCE, 356);
   _actionMap[108][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[108][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[108][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[108][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[108][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[108][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[108][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[108][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[108][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[108][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[108][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[108][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[109][IDENTIFIER] = ActionEntry(SHIFT, 233);
   _actionMap[110][LB] = ActionEntry(SHIFT, 234);
   _actionMap[111][LB] = ActionEntry(SHIFT, 235);
   _actionMap[112][LB] = ActionEntry(SHIFT, 236);
   _actionMap[113][LB] = ActionEntry(SHIFT, 237);
   _actionMap[114][LB] = ActionEntry(SHIFT, 238);
   _actionMap[115][LB] = ActionEntry(SHIFT, 239);
   _actionMap[116][LB] = ActionEntry(SHIFT, 240);
   _actionMap[117][LB] = ActionEntry(SHIFT, 241);
   _actionMap[118][LB] = ActionEntry(SHIFT, 242);
   _actionMap[119][LB] = ActionEntry(SHIFT, 243);
   _actionMap[120][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[120][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[120][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[120][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[120][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[120][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[120][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[120][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[120][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[120][AS] = ActionEntry(REDUCE, 354);
   _actionMap[120][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[120][THEN] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser220()
{
   _actionMap[120][OR] = ActionEntry(REDUCE, 354);
   _actionMap[120][AND] = ActionEntry(REDUCE, 354);
   _actionMap[120][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[120][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[120][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][IS] = ActionEntry(REDUCE, 354);
   _actionMap[120][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[120][MT] = ActionEntry(REDUCE, 354);
   _actionMap[120][LT] = ActionEntry(REDUCE, 354);
   _actionMap[120][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[120][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[120][RB] = ActionEntry(REDUCE, 354);
   _actionMap[120][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[120][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[120][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[120][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[120][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[120][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[120][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[120][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[120][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[120][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[120][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[120][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[121][LB] = ActionEntry(SHIFT, 244);
   _actionMap[122][LB] = ActionEntry(SHIFT, 245);
   _actionMap[123][LB] = ActionEntry(SHIFT, 246);
   _actionMap[124][LB] = ActionEntry(SHIFT, 247);
   _actionMap[125][LB] = ActionEntry(SHIFT, 248);
   _actionMap[126][LB] = ActionEntry(SHIFT, 249);
   _actionMap[127][LB] = ActionEntry(SHIFT, 250);
   _actionMap[128][LB] = ActionEntry(SHIFT, 251);
   _actionMap[129][LB] = ActionEntry(SHIFT, 252);
   _actionMap[130][LB] = ActionEntry(SHIFT, 253);
   _actionMap[131][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[131][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[131][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[131][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[131][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[131][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[131][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[131][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[131][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[131][AS] = ActionEntry(REDUCE, 353);
   _actionMap[131][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[131][THEN] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser221()
{
   _actionMap[131][OR] = ActionEntry(REDUCE, 353);
   _actionMap[131][AND] = ActionEntry(REDUCE, 353);
   _actionMap[131][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[131][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[131][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][IS] = ActionEntry(REDUCE, 353);
   _actionMap[131][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[131][MT] = ActionEntry(REDUCE, 353);
   _actionMap[131][LT] = ActionEntry(REDUCE, 353);
   _actionMap[131][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[131][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[131][RB] = ActionEntry(REDUCE, 353);
   _actionMap[131][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[131][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[131][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[131][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[131][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[131][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[131][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[131][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[131][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[131][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[131][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[131][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[132][LB] = ActionEntry(SHIFT, 254);
   _actionMap[133][LB] = ActionEntry(SHIFT, 255);
   _actionMap[134][LB] = ActionEntry(SHIFT, 256);
   _actionMap[135][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[135][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[135][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[135][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[135][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[135][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[135][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[135][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[135][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[135][AS] = ActionEntry(REDUCE, 355);
   _actionMap[135][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[135][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][OR] = ActionEntry(REDUCE, 355);
   _actionMap[135][AND] = ActionEntry(REDUCE, 355);
   _actionMap[135][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[135][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[135][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][IS] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser222()
{
   _actionMap[135][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[135][MT] = ActionEntry(REDUCE, 355);
   _actionMap[135][LT] = ActionEntry(REDUCE, 355);
   _actionMap[135][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[135][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[135][RB] = ActionEntry(REDUCE, 355);
   _actionMap[135][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[135][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[135][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[135][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[135][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[135][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[135][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[135][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[135][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[135][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[135][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[135][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[136][LB] = ActionEntry(SHIFT, 257);
   _actionMap[137][LB] = ActionEntry(SHIFT, 258);
   _actionMap[138][LONG] = ActionEntry(SHIFT, 265);
   _actionMap[138][BIGINT] = ActionEntry(SHIFT, 261);
   _actionMap[138][SMALLINT] = ActionEntry(SHIFT, 266);
   _actionMap[138][TINYINT] = ActionEntry(SHIFT, 267);
   _actionMap[138][DOUBLE] = ActionEntry(SHIFT, 263);
   _actionMap[138][DECIMAL] = ActionEntry(SHIFT, 262);
   _actionMap[138][FIXED] = ActionEntry(SHIFT, 264);
   _actionMap[138][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[138][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[138][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[138][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[138][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[138][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[138][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[138][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[138][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[138][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[138][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[138][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[138][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[138][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[138][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[138][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[138][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[138][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[138][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[138][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[138][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[138][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[138][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser223()
{
   _actionMap[138][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[138][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[138][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[138][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[138][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[138][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[138][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[138][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[138][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[138][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[138][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[138][LB] = ActionEntry(SHIFT, 138);
   _actionMap[138][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[138][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[138][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[138][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[138][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[138][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[138][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[138][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[138][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[138][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[138][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[138][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[138][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[138][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[138][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[138][MAX] = ActionEntry(SHIFT, 117);
   _actionMap[138][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[138][ObjSpec] = 96;
   _jumpMap[138][Constant] = 95;
   _jumpMap[138][SignedFloat] = 94;
   _jumpMap[138][SignedInt] = 93;
   _jumpMap[138][Attribute] = 92;
   _jumpMap[138][Function] = 91;
   _jumpMap[138][SelectStatement] = 260;
   _jumpMap[138][CasePrepare] = 90;
   _jumpMap[138][CaseClause] = 89;
   _jumpMap[138][Factor] = 88;
   _jumpMap[138][Term] = 87;
   _jumpMap[138][Expr] = 259;
   _actionMap[139][INTVAL] = ActionEntry(SHIFT, 268);
   _actionMap[140][FLOATVAL] = ActionEntry(SHIFT, 270);
   _actionMap[140][INTVAL] = ActionEntry(SHIFT, 269);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser224()
{
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[141][AS] = ActionEntry(REDUCE, 338);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][OR] = ActionEntry(REDUCE, 338);
   _actionMap[141][AND] = ActionEntry(REDUCE, 338);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[141][IS] = ActionEntry(REDUCE, 338);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[141][LT] = ActionEntry(REDUCE, 338);
   _actionMap[141][MT] = ActionEntry(REDUCE, 338);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[141][RB] = ActionEntry(REDUCE, 338);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[142][AS] = ActionEntry(REDUCE, 340);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][OR] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser225()
{
   _actionMap[142][AND] = ActionEntry(REDUCE, 340);
   _actionMap[142][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[142][IS] = ActionEntry(REDUCE, 340);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[142][LT] = ActionEntry(REDUCE, 340);
   _actionMap[142][MT] = ActionEntry(REDUCE, 340);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[142][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[142][RB] = ActionEntry(REDUCE, 340);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[143][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[143][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[143][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[143][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[143][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[143][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[143][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[143][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[143][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[143][AS] = ActionEntry(REDUCE, 335);
   _actionMap[143][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[143][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][OR] = ActionEntry(REDUCE, 335);
   _actionMap[143][AND] = ActionEntry(REDUCE, 335);
   _actionMap[143][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[143][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[143][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][IS] = ActionEntry(REDUCE, 335);
   _actionMap[143][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[143][MT] = ActionEntry(REDUCE, 335);
   _actionMap[143][LT] = ActionEntry(REDUCE, 335);
   _actionMap[143][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[143][EQU] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser226()
{
   _actionMap[143][RB] = ActionEntry(REDUCE, 335);
   _actionMap[143][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[143][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[143][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[143][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[143][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[143][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[143][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[143][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[143][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[143][LB] = ActionEntry(REDUCE, 360);
   _actionMap[143][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[143][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[143][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[144][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[144][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[144][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[144][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[144][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[144][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[144][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[144][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[144][AS] = ActionEntry(REDUCE, 144);
   _actionMap[144][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[144][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[144][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][OR] = ActionEntry(REDUCE, 144);
   _actionMap[144][AND] = ActionEntry(REDUCE, 144);
   _actionMap[144][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[144][IS] = ActionEntry(REDUCE, 144);
   _actionMap[144][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[144][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[144][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[144][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[144][LT] = ActionEntry(REDUCE, 144);
   _actionMap[144][MT] = ActionEntry(REDUCE, 144);
   _actionMap[144][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[144][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[144][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[144][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[144][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[144][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[144][RB] = ActionEntry(REDUCE, 144);
   _actionMap[144][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[144][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[144][STAR] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser227()
{
   _actionMap[144][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[144][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[144][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[145][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[145][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[145][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[145][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[145][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[145][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[145][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[145][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[145][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[145][AS] = ActionEntry(REDUCE, 336);
   _actionMap[145][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[145][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][OR] = ActionEntry(REDUCE, 336);
   _actionMap[145][AND] = ActionEntry(REDUCE, 336);
   _actionMap[145][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[145][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[145][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][IS] = ActionEntry(REDUCE, 336);
   _actionMap[145][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[145][MT] = ActionEntry(REDUCE, 336);
   _actionMap[145][LT] = ActionEntry(REDUCE, 336);
   _actionMap[145][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[145][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[145][RB] = ActionEntry(REDUCE, 336);
   _actionMap[145][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[145][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[145][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[145][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[145][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[145][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[145][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[145][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[145][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[145][LB] = ActionEntry(REDUCE, 361);
   _actionMap[145][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[145][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[145][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[146][STAR] = ActionEntry(SHIFT, 271);
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[147][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[147][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[147][ObjSpec] = 272;
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[148][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
}
void Cego::loadParser228()
{
   _actionMap[148][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[148][ObjSpec] = 273;
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[149][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[149][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[149][ObjSpec] = 274;
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[150][ObjSpec] = 275;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[151][ObjSpec] = 276;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[152][ObjSpec] = 277;
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[153][ObjSpec] = 278;
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[154][ObjSpec] = 279;
   _actionMap[155][FROM] = ActionEntry(SHIFT, 280);
   _actionMap[156][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[156][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[156][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[156][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[156][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[156][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[156][ROUND] = ActionEntry(SHIFT, 126);
   _actionMap[156][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[156][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[156][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[156][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[156][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[156][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[156][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[156][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[156][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[156][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[156][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[156][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[156][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[156][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[156][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[156][RANDINT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser229()
{
   _actionMap[156][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[156][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[156][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[156][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[156][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[156][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[156][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[156][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[156][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[156][LB] = ActionEntry(SHIFT, 138);
   _actionMap[156][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[156][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[156][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[156][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[156][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[156][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[156][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[156][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[156][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[156][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[156][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[156][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[156][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[156][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[156][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[156][ObjSpec] = 96;
   _jumpMap[156][Constant] = 95;
   _jumpMap[156][SignedFloat] = 94;
   _jumpMap[156][SignedInt] = 93;
   _jumpMap[156][Attribute] = 92;
   _jumpMap[156][Function] = 91;
   _jumpMap[156][SelectItem] = 283;
   _jumpMap[156][SelectionList] = 282;
   _jumpMap[156][CasePrepare] = 90;
   _jumpMap[156][CaseClause] = 89;
   _jumpMap[156][Factor] = 88;
   _jumpMap[156][Term] = 87;
   _jumpMap[156][Expr] = 281;
   _actionMap[157][VARREF] = ActionEntry(REDUCE, 237);
   _actionMap[157][FETCH] = ActionEntry(REDUCE, 237);
   _actionMap[157][LB] = ActionEntry(REDUCE, 237);
   _actionMap[157][COUNT] = ActionEntry(REDUCE, 237);
   _actionMap[157][SUM] = ActionEntry(REDUCE, 237);
   _actionMap[157][AVG] = ActionEntry(REDUCE, 237);
   _actionMap[157][MIN] = ActionEntry(REDUCE, 237);
   _actionMap[157][MAX] = ActionEntry(REDUCE, 237);
   _actionMap[157][CASE] = ActionEntry(REDUCE, 237);
}
void Cego::loadParser230()
{
   _actionMap[157][TRIM] = ActionEntry(REDUCE, 237);
   _actionMap[157][RTRIM] = ActionEntry(REDUCE, 237);
   _actionMap[157][LTRIM] = ActionEntry(REDUCE, 237);
   _actionMap[157][ROUND] = ActionEntry(REDUCE, 237);
   _actionMap[157][DATE2STR] = ActionEntry(REDUCE, 237);
   _actionMap[157][DATE2INT] = ActionEntry(REDUCE, 237);
   _actionMap[157][INT2DATE] = ActionEntry(REDUCE, 237);
   _actionMap[157][LOWER] = ActionEntry(REDUCE, 237);
   _actionMap[157][UPPER] = ActionEntry(REDUCE, 237);
   _actionMap[157][LEFT] = ActionEntry(REDUCE, 237);
   _actionMap[157][RIGHT] = ActionEntry(REDUCE, 237);
   _actionMap[157][GETPOS] = ActionEntry(REDUCE, 237);
   _actionMap[157][SUBSTR] = ActionEntry(REDUCE, 237);
   _actionMap[157][REPLACE] = ActionEntry(REDUCE, 237);
   _actionMap[157][LENGTH] = ActionEntry(REDUCE, 237);
   _actionMap[157][TRUNC] = ActionEntry(REDUCE, 237);
   _actionMap[157][STR2INT] = ActionEntry(REDUCE, 237);
   _actionMap[157][STR2LONG] = ActionEntry(REDUCE, 237);
   _actionMap[157][RANDSTR] = ActionEntry(REDUCE, 237);
   _actionMap[157][RANDINT] = ActionEntry(REDUCE, 237);
   _actionMap[157][MOD] = ActionEntry(REDUCE, 237);
   _actionMap[157][DIV] = ActionEntry(REDUCE, 237);
   _actionMap[157][POWER] = ActionEntry(REDUCE, 237);
   _actionMap[157][BITAND] = ActionEntry(REDUCE, 237);
   _actionMap[157][BITOR] = ActionEntry(REDUCE, 237);
   _actionMap[157][BITXOR] = ActionEntry(REDUCE, 237);
   _actionMap[157][NEXTCOUNT] = ActionEntry(REDUCE, 237);
   _actionMap[157][SETCOUNT] = ActionEntry(REDUCE, 237);
   _actionMap[157][IDENTIFIER] = ActionEntry(REDUCE, 237);
   _actionMap[157][QUALIFIEDOBJ] = ActionEntry(REDUCE, 237);
   _actionMap[157][QUALIFIEDTS] = ActionEntry(REDUCE, 237);
   _actionMap[157][QUALIFIEDPRE] = ActionEntry(REDUCE, 237);
   _actionMap[157][STRINGVAL] = ActionEntry(REDUCE, 237);
   _actionMap[157][DATE] = ActionEntry(REDUCE, 237);
   _actionMap[157][SYSDATE] = ActionEntry(REDUCE, 237);
   _actionMap[157][NULLTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[157][TRUEVAL] = ActionEntry(REDUCE, 237);
   _actionMap[157][FALSEVAL] = ActionEntry(REDUCE, 237);
   _actionMap[157][LAB] = ActionEntry(REDUCE, 237);
   _actionMap[157][FLOATVAL] = ActionEntry(REDUCE, 237);
   _actionMap[157][MINUS] = ActionEntry(REDUCE, 237);
   _actionMap[157][INTVAL] = ActionEntry(REDUCE, 237);
   _actionMap[158][FROM] = ActionEntry(REDUCE, 199);
   _actionMap[159][OFF] = ActionEntry(SHIFT, 284);
   _actionMap[159][ON] = ActionEntry(SHIFT, 285);
   _actionMap[160][OFF] = ActionEntry(SHIFT, 286);
   _actionMap[160][ON] = ActionEntry(SHIFT, 287);
   _actionMap[161][STRINGVAL] = ActionEntry(SHIFT, 177);
   _jumpMap[161][CounterId] = 288;
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 289);
}
void Cego::loadParser231()
{
   _actionMap[163][OFF] = ActionEntry(SHIFT, 290);
   _actionMap[163][ON] = ActionEntry(SHIFT, 291);
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 292);
   _actionMap[165][EQU] = ActionEntry(SHIFT, 293);
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[166][ObjSpec] = 294;
   _actionMap[167][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[168][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[168][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[168][ObjSpec] = 295;
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[170][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[170][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[170][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[170][ObjSpec] = 296;
   _actionMap[171][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[172][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[173][IDENTIFIER] = ActionEntry(SHIFT, 299);
   _actionMap[173][SET] = ActionEntry(REDUCE, 253);
   _jumpMap[173][UpdDelAlias] = 297;
   _actionMap[174][CALL] = ActionEntry(SHIFT, 300);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 43);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 44);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 42);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 40);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 39);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 45);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 46);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 47);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[14][ObjSpec] = 48;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 61);
}
void Cego::loadParser232()
{
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 57);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 56);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 58);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 60);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 181);
   _jumpMap[17][IndexOption] = 55;
   _jumpMap[17][ProcDef] = 54;
   _jumpMap[17][ProcHead] = 53;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 62);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 67);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 64);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 68);
   _actionMap[19][KEY] = ActionEntry(SHIFT, 65);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 63);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 66);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 62);
   _actionMap[20][IF] = ActionEntry(SHIFT, 69);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 62);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 62);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 62);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 62);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 62);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 62);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 70);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 72);
   _jumpMap[22][JdbcArgList] = 71;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 80);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 79);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 77);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 82);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 75);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 76);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 74);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 78);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 81);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 73);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 84);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 58);
   _jumpMap[24][ProcDef] = 83;
   _jumpMap[24][ProcHead] = 53;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 85;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 142);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 140);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 141);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 134);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 115);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser233()
{
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 105);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 106);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 111);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 114);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 137);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 112);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 125);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 110);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 129);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 124);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 113);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 136);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 132);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 133);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 122);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 123);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 118);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 107);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 121);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 99);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 100);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 101);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 119);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 128);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 145);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 146);
   _actionMap[26][LB] = ActionEntry(SHIFT, 138);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 97);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 104);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 131);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 120);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 135);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 108);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 139);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 102);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 144);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 109);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 103);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 130);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 98);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 116);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 117);
   _jumpMap[26][ObjSpec] = 96;
   _jumpMap[26][Constant] = 95;
   _jumpMap[26][SignedFloat] = 94;
   _jumpMap[26][SignedInt] = 93;
   _jumpMap[26][Attribute] = 92;
   _jumpMap[26][Function] = 91;
}
void Cego::loadParser234()
{
   _jumpMap[26][CasePrepare] = 90;
   _jumpMap[26][CaseClause] = 89;
   _jumpMap[26][Factor] = 88;
   _jumpMap[26][Term] = 87;
   _jumpMap[26][Expr] = 86;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 151);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 148);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 149);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 150);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 152);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 147);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 154);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 153);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 157);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 238);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 238);
   _actionMap[30][LB] = ActionEntry(REDUCE, 238);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 238);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 238);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 238);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 238);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 238);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 238);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 238);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 238);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 238);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 238);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 238);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 238);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 238);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 238);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 238);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 238);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 238);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 238);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 238);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 238);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 238);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 238);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 238);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 238);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 238);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 238);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 238);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 238);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 238);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 238);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 238);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 238);
}
void Cego::loadParser235()
{
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 238);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 238);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 238);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 238);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 238);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 238);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 238);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 238);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 238);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 238);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 238);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 238);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 238);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 238);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 238);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 158);
   _jumpMap[30][DistinctOpt] = 156;
   _jumpMap[30][Selection] = 155;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 164);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 159);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 160);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 162);
   _actionMap[31][QUERYCACHE] = ActionEntry(SHIFT, 163);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 165);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 161);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 167);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 169);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 168);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 170);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 166);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 171);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[35][ObjSpec] = 172;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[36][ObjSpec] = 173;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 174);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
}
void Cego::loadParser236()
{
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser237()
{
   _prodInfo.Insert(ProdEntry(362, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(361, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(360, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(359, DateValue, 1));
   _prodInfo.Insert(ProdEntry(358, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(357, Constant, 5));
   _prodInfo.Insert(ProdEntry(356, Constant, 1));
   _prodInfo.Insert(ProdEntry(355, Constant, 1));
   _prodInfo.Insert(ProdEntry(354, Constant, 1));
   _prodInfo.Insert(ProdEntry(353, Constant, 1));
   _prodInfo.Insert(ProdEntry(352, Constant, 6));
   _prodInfo.Insert(ProdEntry(351, Constant, 4));
   _prodInfo.Insert(ProdEntry(350, Constant, 4));
   _prodInfo.Insert(ProdEntry(349, Constant, 4));
   _prodInfo.Insert(ProdEntry(348, Constant, 1));
   _prodInfo.Insert(ProdEntry(347, Constant, 1));
   _prodInfo.Insert(ProdEntry(346, Constant, 4));
   _prodInfo.Insert(ProdEntry(345, Constant, 4));
   _prodInfo.Insert(ProdEntry(344, Constant, 4));
   _prodInfo.Insert(ProdEntry(343, Constant, 4));
   _prodInfo.Insert(ProdEntry(342, Constant, 1));
   _prodInfo.Insert(ProdEntry(341, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(340, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(339, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(338, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(337, Attribute, 2));
   _prodInfo.Insert(ProdEntry(336, Attribute, 1));
   _prodInfo.Insert(ProdEntry(335, Attribute, 1));
   _prodInfo.Insert(ProdEntry(334, Comparison, 2));
   _prodInfo.Insert(ProdEntry(333, Comparison, 2));
   _prodInfo.Insert(ProdEntry(332, Comparison, 1));
   _prodInfo.Insert(ProdEntry(331, Comparison, 1));
   _prodInfo.Insert(ProdEntry(330, Comparison, 2));
   _prodInfo.Insert(ProdEntry(329, Comparison, 1));
   _prodInfo.Insert(ProdEntry(328, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(327, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(326, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(325, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(324, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(323, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(322, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(321, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(320, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(319, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(318, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(317, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(316, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(315, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(314, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(313, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(312, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(311, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(310, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(309, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(308, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(307, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(306, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(305, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(304, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(303, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(302, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(301, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(300, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(299, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(298, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(297, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(296, Function, 3));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, Function, 4));
   _prodInfo.Insert(ProdEntry(269, Function, 4));
   _prodInfo.Insert(ProdEntry(268, Function, 4));
   _prodInfo.Insert(ProdEntry(267, Function, 4));
   _prodInfo.Insert(ProdEntry(266, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(265, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(264, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(263, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(262, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(261, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(260, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(259, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(258, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(257, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(256, AlterList, 1));
   _prodInfo.Insert(ProdEntry(255, AlterList, 3));
   _prodInfo.Insert(ProdEntry(254, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(253, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(252, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(251, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(250, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(249, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(248, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(247, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(246, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(245, Assignment, 3));
   _prodInfo.Insert(ProdEntry(244, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(243, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(242, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(241, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(240, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(239, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(238, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(237, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(236, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(235, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(234, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(233, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(232, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(231, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(230, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(229, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(228, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(227, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(226, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(225, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(224, GroupList, 1));
   _prodInfo.Insert(ProdEntry(223, GroupList, 3));
   _prodInfo.Insert(ProdEntry(222, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(221, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(220, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(219, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(218, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(217, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(216, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(215, Table, 2));
   _prodInfo.Insert(ProdEntry(214, Table, 1));
   _prodInfo.Insert(ProdEntry(213, TableList, 1));
   _prodInfo.Insert(ProdEntry(212, TableList, 3));
   _prodInfo.Insert(ProdEntry(211, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(210, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(209, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(208, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(207, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(206, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(205, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(204, TableSource, 1));
   _prodInfo.Insert(ProdEntry(203, TableSource, 1));
   _prodInfo.Insert(ProdEntry(202, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(201, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(200, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(199, Selection, 1));
   _prodInfo.Insert(ProdEntry(198, Selection, 2));
   _prodInfo.Insert(ProdEntry(197, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(196, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(195, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(194, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(193, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(192, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(191, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(190, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(189, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(188, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(187, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(186, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(185, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(184, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(183, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(182, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(181, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(180, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(179, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(178, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(177, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(176, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(175, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(174, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(173, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(172, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(171, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(170, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(169, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(168, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(167, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(166, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(165, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(164, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(163, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(162, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(161, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(160, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(159, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(158, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(157, Factor, 4));
   _prodInfo.Insert(ProdEntry(156, Factor, 4));
   _prodInfo.Insert(ProdEntry(155, Factor, 4));
   _prodInfo.Insert(ProdEntry(154, Factor, 4));
   _prodInfo.Insert(ProdEntry(153, Factor, 4));
   _prodInfo.Insert(ProdEntry(152, Factor, 4));
   _prodInfo.Insert(ProdEntry(151, Factor, 1));
   _prodInfo.Insert(ProdEntry(150, Factor, 3));
   _prodInfo.Insert(ProdEntry(149, Factor, 3));
   _prodInfo.Insert(ProdEntry(148, Factor, 1));
   _prodInfo.Insert(ProdEntry(147, Factor, 1));
   _prodInfo.Insert(ProdEntry(146, Factor, 6));
   _prodInfo.Insert(ProdEntry(145, Factor, 1));
   _prodInfo.Insert(ProdEntry(144, Factor, 1));
   _prodInfo.Insert(ProdEntry(143, Term, 1));
   _prodInfo.Insert(ProdEntry(142, Term, 3));
   _prodInfo.Insert(ProdEntry(141, Term, 3));
   _prodInfo.Insert(ProdEntry(140, Expr, 3));
   _prodInfo.Insert(ProdEntry(139, Expr, 1));
   _prodInfo.Insert(ProdEntry(138, Expr, 3));
   _prodInfo.Insert(ProdEntry(137, Expr, 3));
   _prodInfo.Insert(ProdEntry(136, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(135, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(134, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(133, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(132, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(131, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(130, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(129, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(128, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(127, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(126, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(125, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(124, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(123, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(122, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(121, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(120, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(119, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(118, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(117, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(116, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(115, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(114, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(113, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(112, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(111, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(110, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(109, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(98, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(97, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(94, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(93, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(92, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(91, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(90, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(89, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(88, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(87, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(86, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(85, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(84, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(83, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(82, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(81, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(80, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(79, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(78, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(77, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(76, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(75, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(74, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(73, Statement, 2));
   _prodInfo.Insert(ProdEntry(72, CounterId, 1));
   _prodInfo.Insert(ProdEntry(71, Statement, 5));
   _prodInfo.Insert(ProdEntry(70, Statement, 3));
   _prodInfo.Insert(ProdEntry(69, Statement, 3));
   _prodInfo.Insert(ProdEntry(68, Statement, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 2));
   _prodInfo.Insert(ProdEntry(66, Statement, 4));
   _prodInfo.Insert(ProdEntry(65, Statement, 8));
   _prodInfo.Insert(ProdEntry(64, Statement, 15));
   _prodInfo.Insert(ProdEntry(63, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(62, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 4));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 3));
   _prodInfo.Insert(ProdEntry(56, Statement, 3));
   _prodInfo.Insert(ProdEntry(55, Statement, 9));
   _prodInfo.Insert(ProdEntry(54, Statement, 8));
   _prodInfo.Insert(ProdEntry(53, Statement, 6));
   _prodInfo.Insert(ProdEntry(52, Statement, 7));
   _prodInfo.Insert(ProdEntry(51, Statement, 5));
   _prodInfo.Insert(ProdEntry(50, Statement, 2));
   _prodInfo.Insert(ProdEntry(49, Statement, 2));
   _prodInfo.Insert(ProdEntry(48, Statement, 5));
   _prodInfo.Insert(ProdEntry(47, Statement, 5));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 2));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 1));
   _prodInfo.Insert(ProdEntry(29, Statement, 1));
   _prodInfo.Insert(ProdEntry(28, Statement, 1));
   _prodInfo.Insert(ProdEntry(27, Statement, 7));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 3));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 2));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(12, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 815; i++)
   {
      int j;
      for ( j = 0; j < 176; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 116; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 362:
                     setObject3();
                     break;
                  case 361:
                     setObject2();
                     break;
                  case 360:
                     setObject1();
                     break;
                  case 359:
                     miscDateValue();
                     break;
                  case 358:
                     miscDateFormat();
                     break;
                  case 357:
                     miscBlobRef();
                     break;
                  case 356:
                     miscFalseValue();
                     break;
                  case 355:
                     miscTrueValue();
                     break;
                  case 354:
                     miscNull();
                     break;
                  case 353:
                     miscSysDate();
                     break;
                  case 352:
                     miscFormatDate();
                     break;
                  case 351:
                     miscFixedValue();
                     break;
                  case 350:
                     miscDecimalValue();
                     break;
                  case 349:
                     miscDoubleValue();
                     break;
                  case 348:
                     miscFloatValue();
                     break;
                  case 347:
                     miscStringValue();
                     break;
                  case 346:
                     miscTinyIntValue();
                     break;
                  case 345:
                     miscSmallIntValue();
                     break;
                  case 344:
                     miscBigIntValue();
                     break;
                  case 343:
                     miscLongValue();
                     break;
                  case 342:
                     miscIntValue();
                     break;
                  case 341:
                     miscNegatedFloatString();
                     break;
                  case 340:
                     miscFloatString();
                     break;
                  case 339:
                     miscNegatedIntString();
                     break;
                  case 338:
                     miscIntString();
                     break;
                  case 337:
                     miscAttribute3();
                     break;
                  case 336:
                     miscAttribute2();
                     break;
                  case 335:
                     miscAttribute1();
                     break;
                  case 334:
                     miscMoreEqualComp();
                     break;
                  case 333:
                     miscLessEqualComp();
                     break;
                  case 332:
                     miscMoreComp();
                     break;
                  case 331:
                     miscLessComp();
                     break;
                  case 330:
                     miscNotEqualComp();
                     break;
                  case 329:
                     miscEqualComp();
                     break;
                  case 328:
                     miscBlobType();
                     break;
                  case 327:
                     miscFixedType();
                     break;
                  case 326:
                     miscDecimalType();
                     break;
                  case 325:
                     miscTinyIntType();
                     break;
                  case 324:
                     miscSmallIntType();
                     break;
                  case 323:
                     miscDoubleType();
                     break;
                  case 322:
                     miscFloatType();
                     break;
                  case 321:
                     miscBigIntType();
                     break;
                  case 320:
                     miscBoolType();
                     break;
                  case 319:
                     miscDateTimeType();
                     break;
                  case 318:
                     miscStringType();
                     break;
                  case 317:
                     miscLongType();
                     break;
                  case 316:
                     miscIntType();
                     break;
                  case 315:
                     wcPredicateNotPredicate();
                     break;
                  case 314:
                     wcPredicateCondition();
                     break;
                  case 313:
                     wcPredicateNotLikeComp();
                     break;
                  case 312:
                     wcPredicateLikeComp();
                     break;
                  case 311:
                     wcPredicateNotNullComp();
                     break;
                  case 310:
                     wcPredicateNullComp();
                     break;
                  case 309:
                     wcPredicateBetween();
                     break;
                  case 308:
                     wcPredicateExprComp();
                     break;
                  case 307:
                     wcPredicateQueryNotIn();
                     break;
                  case 306:
                     wcPredicateQueryIn();
                     break;
                  case 305:
                     wcPredicateQueryExists();
                     break;
                  case 304:
                     wcConditionPredicate();
                     break;
                  case 303:
                     wcConditionOr();
                     break;
                  case 302:
                     wcConditionAnd();
                     break;
                  case 300:
                     wcEmptyClause();
                     break;
                  case 299:
                     wcWhereClause();
                     break;
                  case 298:
                     functionExprList2();
                     break;
                  case 297:
                     functionExprList1();
                     break;
                  case 296:
                     functionUserDef2();
                     break;
                  case 295:
                     functionUserDef1();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     functionNative();
                     break;
                  case 269:
                     functionNative();
                     break;
                  case 268:
                     functionNative();
                     break;
                  case 267:
                     functionNative();
                     break;
                  case 266:
                     renameCheck();
                     break;
                  case 265:
                     renameView();
                     break;
                  case 264:
                     renameProcedure();
                     break;
                  case 263:
                     renameKey();
                     break;
                  case 262:
                     renameIndex();
                     break;
                  case 261:
                     renameTable();
                     break;
                  case 260:
                     alterRenameCol();
                     break;
                  case 259:
                     alterModCol();
                     break;
                  case 258:
                     alterAddCol();
                     break;
                  case 257:
                     alterDropCol();
                     break;
                  case 254:
                     alterStore();
                     break;
                  case 252:
                     setUpdDelAlias();
                     break;
                  case 251:
                     deleteStore();
                     break;
                  case 250:
                     returnVarAssignment();
                     break;
                  case 245:
                     updateAssignment();
                     break;
                  case 242:
                     updateStore();
                     break;
                  case 240:
                     selectLimitOpt2();
                     break;
                  case 239:
                     selectLimitOpt1();
                     break;
                  case 237:
                     selectDistinctOpt();
                     break;
                  case 234:
                     selectOrderingDesc();
                     break;
                  case 233:
                     selectOrderingAsc();
                     break;
                  case 232:
                     selectOrderingList2();
                     break;
                  case 231:
                     selectOrderingList1();
                     break;
                  case 229:
                     selectEmptyOrderingClause();
                     break;
                  case 228:
                     selectOrderingClause();
                     break;
                  case 226:
                     selectEmptyHavingClause();
                     break;
                  case 225:
                     selectHavingClause();
                     break;
                  case 224:
                     selectGroupList2();
                     break;
                  case 223:
                     selectGroupList1();
                     break;
                  case 221:
                     selectEmptyGroupClause();
                     break;
                  case 220:
                     selectGroupClause();
                     break;
                  case 218:
                     noAliasOpt();
                     break;
                  case 217:
                     aliasOpt();
                     break;
                  case 216:
                     selectStackJoinTable();
                     break;
                  case 215:
                     selectTable2();
                     break;
                  case 214:
                     selectTable1();
                     break;
                  case 209:
                     selectRightOuterJoinStore();
                     break;
                  case 208:
                     selectLeftOuterJoinStore();
                     break;
                  case 207:
                     selectInnerJoinStore();
                     break;
                  case 204:
                     selectJoinSpecStore();
                     break;
                  case 203:
                     selectTableListStore();
                     break;
                  case 202:
                     selectItem();
                     break;
                  case 201:
                     selectionList2();
                     break;
                  case 200:
                     selectionList1();
                     break;
                  case 199:
                     selectSelectionStore2();
                     break;
                  case 198:
                     selectSelectionStore1();
                     break;
                  case 197:
                     selectStore();
                     break;
                  case 196:
                     insertExprValue();
                     break;
                  case 195:
                     insertExprValue();
                     break;
                  case 194:
                     insertArg();
                     break;
                  case 193:
                     insertArg();
                     break;
                  case 192:
                     insertValueSpecStoreExecute();
                     break;
                  case 189:
                     insertPrepare();
                     break;
                  case 186:
                     insertBySelectStore();
                     break;
                  case 185:
                     insertStore();
                     break;
                  case 184:
                     rollbackStore();
                     break;
                  case 183:
                     commitStore();
                     break;
                  case 182:
                     startStore();
                     break;
                  case 180:
                     createUniqueIndex();
                     break;
                  case 179:
                     createSimpleAttr();
                     break;
                  case 178:
                     createSimpleAttrList();
                     break;
                  case 175:
                     defaultNullOpt();
                     break;
                  case 174:
                     defaultOpt();
                     break;
                  case 172:
                     createNullOpt();
                     break;
                  case 171:
                     createNotNullOpt();
                     break;
                  case 170:
                     createNullOpt();
                     break;
                  case 169:
                     createFieldName();
                     break;
                  case 168:
                     createSetOrdinary();
                     break;
                  case 167:
                     createSetPrimary();
                     break;
                  case 164:
                     procStoreFetchArg2();
                     break;
                  case 163:
                     procStoreFetchArg1();
                     break;
                  case 162:
                     casePrepare();
                     break;
                  case 161:
                     caseCondition();
                     break;
                  case 160:
                     caseConditionList2();
                     break;
                  case 159:
                     caseConditionList1();
                     break;
                  case 158:
                     caseClause();
                     break;
                  case 157:
                     procFactor14();
                     break;
                  case 156:
                     procFactor13();
                     break;
                  case 155:
                     procFactor12();
                     break;
                  case 154:
                     procFactor11();
                     break;
                  case 153:
                     procFactor10();
                     break;
                  case 152:
                     procFactor9();
                     break;
                  case 151:
                     procFactor8();
                     break;
                  case 150:
                     procFactor7();
                     break;
                  case 149:
                     procFactor6();
                     break;
                  case 148:
                     procFactor5();
                     break;
                  case 147:
                     procFactor4();
                     break;
                  case 146:
                     procFactor3();
                     break;
                  case 145:
                     procFactor2();
                     break;
                  case 144:
                     procFactor1();
                     break;
                  case 143:
                     procTerm3();
                     break;
                  case 142:
                     procTerm2();
                     break;
                  case 141:
                     procTerm1();
                     break;
                  case 140:
                     procExpr4();
                     break;
                  case 139:
                     procExpr3();
                     break;
                  case 138:
                     procExpr2();
                     break;
                  case 137:
                     procExpr1();
                     break;
                  case 136:
                     procPredicate4();
                     break;
                  case 135:
                     procPredicate3();
                     break;
                  case 134:
                     procPredicate2();
                     break;
                  case 133:
                     procPredicate1();
                     break;
                  case 132:
                     procCondition3();
                     break;
                  case 131:
                     procCondition2();
                     break;
                  case 130:
                     procCondition1();
                     break;
                  case 129:
                     procWhileCondition();
                     break;
                  case 128:
                     procWhileStatement();
                     break;
                  case 127:
                     procElsIfCondition();
                     break;
                  case 126:
                     procIfCondition();
                     break;
                  case 125:
                     procElsePart();
                     break;
                  case 123:
                     procStoreElseBlock();
                     break;
                  case 122:
                     procStoreIfBlock();
                     break;
                  case 119:
                     procStoreIfBlock();
                     break;
                  case 118:
                     procIfStatement();
                     break;
                  case 117:
                     procExceptionCondition();
                     break;
                  case 116:
                     procExprValue();
                     break;
                  case 115:
                     procExprValue();
                     break;
                  case 113:
                     procValueSpec();
                     break;
                  case 112:
                     procExceptionStatement();
                     break;
                  case 109:
                     procBlockStart();
                     break;
                  case 108:
                     procBlockStatement();
                     break;
                  case 107:
                     procReturnStatement2();
                     break;
                  case 106:
                     procReturnStatement1();
                     break;
                  case 105:
                     procQueryStatement();
                     break;
                  case 104:
                     procQueryStatement();
                     break;
                  case 103:
                     procQueryStatement();
                     break;
                  case 102:
                     procQueryStatement();
                     break;
                  case 101:
                     procQueryStatement();
                     break;
                  case 100:
                     procQueryStatement();
                     break;
                  case 98:
                     procInitialAssignment2();
                     break;
                  case 97:
                     procInitialAssignment1();
                     break;
                  case 96:
                     procNoopStatement();
                     break;
                  case 95:
                     procAssign2NullStatement();
                     break;
                  case 94:
                     procAssignStatement();
                     break;
                  case 93:
                     procCursorCloseStatement();
                     break;
                  case 92:
                     procCursorCreateStatement();
                     break;
                  case 91:
                     procVarStatement();
                     break;
                  case 90:
                     procStoreBlock();
                     break;
                  case 87:
                     procArg2();
                     break;
                  case 86:
                     procArg1();
                     break;
                  case 80:
                     procReturnOpt();
                     break;
                  case 79:
                     procStore();
                     break;
                  case 78:
                     procHead();
                     break;
                  case 76:
                     unionAllStore();
                     break;
                  case 75:
                     jdbcArg2();
                     break;
                  case 74:
                     jdbcArg1();
                     break;
                  case 73:
                     jdbcInfo();
                     break;
                  case 72:
                     execCounterId();
                     break;
                  case 71:
                     execSetCounter();
                     break;
                  case 70:
                     execDropCounter();
                     break;
                  case 69:
                     execCreateCounter();
                     break;
                  case 68:
                     execIndexCheck();
                     break;
                  case 67:
                     execPrint();
                     break;
                  case 66:
                     execAssignStatement();
                     break;
                  case 65:
                     execCheckCreate();
                     break;
                  case 64:
                     execForeignKeyCreate();
                     break;
                  case 63:
                     dropOpt2();
                     break;
                  case 62:
                     dropOpt1();
                     break;
                  case 61:
                     execCheckDrop();
                     break;
                  case 60:
                     execFKeyDrop();
                     break;
                  case 59:
                     execProcDrop();
                     break;
                  case 58:
                     execViewDrop();
                     break;
                  case 57:
                     execIndexDrop();
                     break;
                  case 56:
                     execTableDrop();
                     break;
                  case 55:
                     execIndexCreate();
                     break;
                  case 54:
                     execPrimaryIndexCreate();
                     break;
                  case 53:
                     execUserTableCreate();
                     break;
                  case 52:
                     execFuncCall();
                     break;
                  case 51:
                     execProcCall();
                     break;
                  case 50:
                     execProcLoad();
                     break;
                  case 49:
                     execProcCreate();
                     break;
                  case 48:
                     execViewLoad();
                     break;
                  case 47:
                     execViewCreate();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 45:
                     execQuery();
                     break;
                  case 44:
                     execQuery();
                     break;
                  case 43:
                     execQuery();
                     break;
                  case 41:
                     execSelectPlan();
                     break;
                  case 40:
                     execSelect();
                     break;
                  case 39:
                     execIndexReorganize();
                     break;
                  case 38:
                     execTableReorganize();
                     break;
                  case 37:
                     execDisableQueryCache();
                     break;
                  case 36:
                     execEnableQueryCache();
                     break;
                  case 35:
                     execSetIsolation();
                     break;
                  case 34:
                     execDisableAutoCommit();
                     break;
                  case 33:
                     execEnableAutoCommit();
                     break;
                  case 32:
                     execDisableAppendMode();
                     break;
                  case 31:
                     execEnableAppendMode();
                     break;
                  case 30:
                     execQuery();
                     break;
                  case 29:
                     execQuery();
                     break;
                  case 28:
                     execQuery();
                     break;
                  case 27:
                     execAuthUser();
                     break;
                  case 26:
                     execSetTableSet();
                     break;
                  case 25:
                     execCheckShow();
                     break;
                  case 24:
                     execViewShow();
                     break;
                  case 23:
                     execProcShow();
                     break;
                  case 22:
                     execProcDesc();
                     break;
                  case 21:
                     execCheckDesc();
                     break;
                  case 20:
                     execKeyDesc();
                     break;
                  case 19:
                     execViewDesc();
                     break;
                  case 18:
                     execIndexDesc();
                     break;
                  case 17:
                     execTableDesc();
                     break;
                  case 16:
                     execShowSystemSpace();
                     break;
                  case 15:
                     execShowPool();
                     break;
                  case 14:
                     execTableInfo();
                     break;
                  case 12:
                     setTableSetOpt();
                     break;
                  case 11:
                     execListCheck();
                     break;
                  case 10:
                     execListTmpObj();
                     break;
                  case 9:
                     execListSysObj();
                     break;
                  case 8:
                     execListCounter();
                     break;
                  case 7:
                     execListKey();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
